/*
* mUDFDownloader - Copyright 2010 the European Commission
* 
* Licensed under the EUPL (the Licence");
* You may not use this work except in compliance with the Licence.
* You may obtain a copy of the Licence at:
* http://ec.europa.eu/idabc/eupl.html
* 
* Unless required by applicable law or agreed to in
  writing, software distributed under the Licence is
  distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
  express or implied.
* See the Licence for the specific language governing
  permissions and limitations under the Licence.
*
* The software binaries include MySQL-C binaries (compiled from the un-modified
  MySQL-C source). 
* MySQL-C is copyrighted by Oracle Corp. and licensed under the Gnu GPL v 2.
*
*/
/*
 * Author: Pascal Havelange (Pascal.HAVELANGE@ec.europa.eu)
 */

#ifndef __METANULL_UDF_HTTP_H__
#define __METANULL_UDF_HTTP_H__

#define CERTIFICATE_PATH "C:\\ca-bundle.crt"

my_bool urlEncode_init(UDF_INIT *initid, UDF_ARGS *args, char *message);
void urlEncode_deinit(UDF_INIT *initid);
char * urlEncode(UDF_INIT *initid, UDF_ARGS *args, char *result, unsigned long *length, char *null_value, char *error);

my_bool urlDecode_init(UDF_INIT *initid, UDF_ARGS *args, char *message);
void urlDecode_deinit(UDF_INIT *initid);
char * urlDecode(UDF_INIT *initid, UDF_ARGS *args, char *result, unsigned long *length, char *null_value, char *error);

char from_hex(char ch);
char to_hex(char code);

my_bool httpGet_init(UDF_INIT *initid, UDF_ARGS *args, char *message);
void httpGet_deinit(UDF_INIT *initid);
char * httpGet(UDF_INIT *initid, UDF_ARGS *args, char *result, unsigned long *length, char *null_value, char *error);

my_bool httpHead_init(UDF_INIT *initid, UDF_ARGS *args, char *message);
void httpHead_deinit(UDF_INIT *initid);
char * httpHead(UDF_INIT *initid, UDF_ARGS *args, char *result, unsigned long *length, char *null_value, char *error);

my_bool httpPost_init(UDF_INIT *initid, UDF_ARGS *args, char *message);
void httpPost_deinit(UDF_INIT *initid);
char * httpPost(UDF_INIT *initid, UDF_ARGS *args, char *result, unsigned long *length, char *null_value, char *error);

struct sizedBuffer {
	size_t cbData;
	void * pData;
	size_t cbLength;
};

size_t curlReceiveCallback( void * pData, size_t cbSize, size_t cbNMemb, void * pArg );
my_bool _httpRequest_init(UDF_INIT *initid, UDF_ARGS *args, char *message, int fetchHeaders, long method );

#endif // ifdef __METANULL_UDF_HTTP_H__