﻿/*
 * mDownloaderService - © EUROPEAN COMMISSION, 2009-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la
«Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que
conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse
suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le
logiciel distribué sous la Licence est distribué «en
l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT,
expresses ou implicites.
 * Consultez la Licence pour les autorisations et les
restrictions linguistiques spécifiques relevant de la
Licence.
 *
 * Auteur de l'oeuvre: Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace mDownloaderService
{
	[Serializable]
	public class debugStatus
	{
		static char[] charFlag = new char[] { '-', '\\', '|', '/' };
		static int charFlagIdx = 0;
		public bool[] downloadThreads;
		public int downloadQueue = 0;
		public bool[] writerThreads;
		public int writerQueue = 0;
		
		public int clientThreads = 0;

		public int writerCounter = 0;
		public int downloadCounter = 0;
		public int clientCounter = 0;

		public TimeSpan upTime;
		

		public debugStatus()
		{
		}
		public debugStatus(int nbDownloads, int nbWriters)
		{
			downloadThreads = new bool[nbDownloads];
			downloadQueue = 0;
			for (int i = 0; i < downloadThreads.Length; i++)
			{
				downloadThreads[i] = false;
			}
			writerThreads = new bool[nbWriters];
			writerQueue = 0;
			for (int i = 0; i < writerThreads.Length; i++)
			{
				writerThreads[i] = false;
			}
		}

		public override string ToString()
		{
			charFlagIdx++;
			if (charFlagIdx >= charFlag.Length)
			{
				charFlagIdx = 0;
			}
			char flagChar = charFlag[charFlagIdx];

			StringBuilder bldr = new StringBuilder();
			bldr.AppendLine("Service's Up-time: " + upTime.ToString());
			bldr.AppendLine("Downloader Threads:");
			foreach (bool flag in downloadThreads)
			{
				bldr.Append((flag ? flagChar : '.'));
			}
			bldr.AppendLine(string.Empty);
			bldr.AppendLine("Download Queue: " + String.Format("{0,-3}", downloadQueue));
			bldr.AppendLine(string.Empty);

			bldr.AppendLine("Writer Threads:");
			foreach (bool flag in writerThreads)
			{
				bldr.Append((flag ? flagChar : '.'));
			}
			bldr.AppendLine(string.Empty);
			bldr.AppendLine("Writer queue:    " + String.Format("{0,-3}", writerQueue));
			bldr.AppendLine(string.Empty);

			bldr.AppendLine("Client Threads:  " + String.Format("{0,-3}", clientThreads));
			bldr.AppendLine(string.Empty);

			bldr.AppendLine("Download count:  " + String.Format("{0,-5}", downloadCounter));
			bldr.AppendLine("Writer count:    " + String.Format("{0,-5}", writerCounter));
			bldr.AppendLine("Client count:    " + String.Format("{0,-5}", clientCounter));

			return bldr.ToString();
		}
	}
}
