﻿/*
 * mDownloaderStatus - © EUROPEAN COMMISSION, 2009-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la
«Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que
conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse
suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le
logiciel distribué sous la Licence est distribué «en
l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT,
expresses ou implicites.
 * Consultez la Licence pour les autorisations et les
restrictions linguistiques spécifiques relevant de la
Licence.
 *
 * Auteur de l'oeuvre: Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.IO.Pipes;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Formatters;
using System.Runtime.Serialization.Formatters.Binary;

using mDownloaderService;

namespace mDownloaderStatus
{
	class Program
	{
		static void Main(string[] args)
		{

			BinaryFormatter bf = new BinaryFormatter();
			NamedPipeServerStream pipe = new NamedPipeServerStream( "mDownloaderService", PipeDirection.In );

			try
			{
				do
				{
					Console.WriteLine("Awaiting connection...");
					Console.Clear();
					pipe.WaitForConnection();
					Console.WriteLine("Client connected...");

					try
					{
						int cl = 0, ct = 0;
						cl = Console.CursorLeft;
						ct = Console.CursorTop;

						debugStatus status = new debugStatus();
						while (null != (status = (debugStatus)bf.Deserialize(pipe)))
						{
							Console.CursorTop = ct;
							Console.CursorLeft = cl;
							Console.WriteLine(System.DateTime.Now.ToString());
							Console.WriteLine(status.ToString());
						}
					}
					catch (SerializationException e)
					{
						Console.WriteLine("SerializationException: " + e.Message);
					}
					catch (IOException e)
					{
						Console.WriteLine("IOException: " + e.Message);
					}

					Console.WriteLine("Disconnecting...");
					pipe.Disconnect();

				} while (true);
			}
			catch (Exception e)
			{
				Console.WriteLine("Exception: " + e.Message);
				Console.WriteLine(e.StackTrace);
			}
			finally
			{
				pipe.Close();
			}
		}
	}
}
