﻿/*
 * mDownloaderWebService - © EUROPEAN COMMISSION, 2009-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la
«Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que
conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse
suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le
logiciel distribué sous la Licence est distribué «en
l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT,
expresses ou implicites.
 * Consultez la Licence pour les autorisations et les
restrictions linguistiques spécifiques relevant de la
Licence.
 *
 * Auteur de l'oeuvre: Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace mDownloaderWebService
{
	// NOTE: If you change the interface name "ImDownloaderWebService" here, you must also update the reference to "ImDownloaderWebService" in Web.config.
	[ServiceContract]
	public interface ImDownloaderWebService
	{

		/*[OperationContract]
		string GetData(int value);

		[OperationContract]
		CompositeType GetDataUsingDataContract(CompositeType composite);
		*/
		// TODO: Add your service operations here
		[OperationContract]
		int SendGetRequest(string url, bool intranet);

		[OperationContract]
		int SendPostRequest(string url, string postData, bool intranet);

		[OperationContract]
		int SendMultipleRequests( DownloadRequest[] requests );

		[OperationContract]
		int ProcessExistingMultipleRequest(int requestId);

		[OperationContract]
		int PendingResponses(int requestId);

		[OperationContract]
		string GetResults(int requestId);

		[OperationContract]
		string GetResultsFiltered(int requestId, int[] urlIds );

		[OperationContract]
		int ResetRequest(int requestId);

		[OperationContract]
		int DeleteRequest(int requestId);
	}

	[DataContract]
	public enum HttpMethod {
		Get, Post
	}

	[DataContract]
	public class DownloadRequest
	{
		HttpMethod method;
		string url;
		string postData;
		bool intranet;

		[DataMember]
		public HttpMethod Method
		{
			get { return method; }
			set { method = value; }
		}

		[DataMember]
		public string PostData
		{
			get { return postData; }
			set { postData = value; }
		}

		[DataMember]
		public string Url
		{
			get { return url; }
			set { url = value; }
		}

		[DataMember]
		public bool Intranet
		{
			get { return intranet; }
			set { intranet = value; }
		}
	}
}
