﻿/*
 * © EUROPEAN COMMISSION, 2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous 
 * la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou 
 * implicites.
 * Consultez la Licence pour les autorisations et les restrictions 
 * linguistiques spécifiques relevant de la Licence.
 *
 * Auteur de l'oeuvre: Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Configuration;
using System.Xml;
using System.Web;
using System.Text.RegularExpressions;
using MetaNull.Configuration;

namespace mFileMonitorService
{
	/// <summary>
	/// Custom Configuration Section's collection for &lt;input&gt; elements
	/// </summary>
	public class InputCollection : ConfigurationElementCollection
	{
		/// <summary>
		/// constructor
		/// </summary>
		public InputCollection()
		{
		}
		/// <summary/>
		public override ConfigurationElementCollectionType CollectionType
		{
			get
			{
				return ConfigurationElementCollectionType.AddRemoveClearMap;
			}
		}
		/// <summary/>
		protected override ConfigurationElement CreateNewElement()
		{
			return new Input();
		}
		/// <summary/>
		protected override object GetElementKey(ConfigurationElement element)
		{
			return ((Input)element).Name;
		}
		/// <summary>
		/// Accessor for &lt;input&gt; tag elements
		/// </summary>
		/// <param name="index">Index of the tag</param>
		/// <returns></returns>
		public Input this[int index]
		{
			get
			{
				return (Input)BaseGet(index);
			}
			set
			{
				if (BaseGet(index) != null)
				{
					BaseRemoveAt(index);
				}
				BaseAdd(index, value);
			}
		}
		/// <summary>
		/// Accessor for &lt;input&gt; tag elements
		/// </summary>
		/// <param name="Name">Key name of the tag</param>
		/// <returns></returns>
		new public Input this[string Name]
		{
			get
			{
				return (Input)BaseGet(Name);
			}
		}
		/// <summary/>
		public int IndexOf(Input inp)
		{
			return BaseIndexOf(inp);
		}
		/// <summary/>
		public void Add(Input inp)
		{
			BaseAdd(inp);
		}
		/// <summary/>
		protected override void BaseAdd(ConfigurationElement element)
		{
			BaseAdd(element, false);
		}
		/// <summary/>
		public void Remove(Input inp)
		{
			if (BaseIndexOf(inp) >= 0)
			{
				BaseRemove(inp.Name);
			}
		}
		/// <summary/>
		public void RemoveAt(int index)
		{
			BaseRemoveAt(index);
		}
		/// <summary/>
		public void Remove(string name)
		{
			BaseRemove(name);
		}
		/// <summary/>
		public void Clear()
		{
			BaseClear();
		}
	}
}