<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */
 
namespace MetaNull\Tools{
	
	/**
	 * Place Holder for helper static functions
	 * @author Cosmin Popescu
	 * @copyright © EUROPEAN COMMISSION, 2010
	 * @package MetaNull\Tools
	 * @license http://ec.europa.eu/idabc/eupl
	 */
	class mTools{
		/**
		 * URL encode a string according to RFC 1738
		 * @param string $s The string
		 * @access public
		 * @static
		 * @return string
		 */
		public static function rawurlencode($s) {
			$s = mb_ereg_replace('%', '%25', $s);
			$s = mb_ereg_replace('\+', '%2B', $s);
			$s = mb_ereg_replace('<', '%3C', $s);
			$s = mb_ereg_replace('>', '%3E', $s);
			$s = mb_ereg_replace('&', '%26', $s);
			$s = mb_ereg_replace('=', '%3D', $s);
			$s = mb_ereg_replace(':', '%3A', $s);
			$s = mb_ereg_replace(';', '%3B', $s);
			$s = mb_ereg_replace(' ', '%20', $s);
			$s = mb_ereg_replace('\?', '%3F', $s);
			$s = mb_ereg_replace(',', '%2C', $s);
			$s = mb_ereg_replace('"', '%22', $s);
			$s = mb_ereg_replace('\n', '%0D', $s);
			$s = mb_ereg_replace('\r', '%0A', $s);

			return $s;
		}

		/**
		 * URL decodes a string according to RFC 1738
		 * @param string $s The string
		 * @access public
		 * @static
		 * @return string
		 */
		public static function rawurldecode($s) {
			$pattern = '/(%u([\d]{4}))/i';
			do{
				preg_match($pattern, $s, $matches);
				if (count($matches) != 0){
					$n = hexdec($matches[2]);
					$s = str_replace($matches[0], '&#' . $n . ';', $s);
				}
			} while (count($matches) != 0);

			return rawurldecode($s);
		}
	}
}
?>