/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */


var SELECTED_IDS = new Array();
var FUNCTIONS_MODIFIED = false;
var ARTICLE_TYPE = 1;

var selection_checkbox = {
    type: 'checkbox',
    sel_css: 'jstree-checked',
    unsel_css: 'jstree-unchecked',
    sel_func: 'check_node',
    unsel_func: 'uncheck_node', 
    html: '<ins class="jstree-checkbox"> </ins><ins class="jstree-icon"> </ins>'
}

var selection_ui = {
    type: 'ui',
    sel_css: 'jstree-clicked',
    unsel_css: 'jstree-unchecked',
    sel_func: 'select_node',
    unsel_func: 'deselect_node',
    html: '<ins class="jstree-icon"> </ins>'
}

var selection = selection_checkbox;

function dialogResponse(params){
}

function getTreeSelectedIds(){
    var ids = new Array();
    $('.' + selection.sel_css).each(function(index){
        ids.push(selection.type != 'ui'?$(this).attr('id'):$(this).parent().attr('id'));
    });

    return ids;
}

function uncheckAll(){
    $('.' + selection.sel_css).removeClass(selection.sel_css).addClass(selection.unsel_css);
    $('.jstree-undetermined').removeClass('jstree-undetermined').addClass(selection.unsel_css);
}

function getMainType(id){
    if (id.substring(0, 2) != 'T_'){
        var obj = $('#' + id).parent();
        while (typeof(obj.attr('id')) == 'undefined' || obj.attr('id') == '' || obj.attr('id') == null ){
            obj = obj.parent();
        }
        return getMainType(obj.attr('id'));
    }
    return id.substr(2).replace(/([0-9]+)_new_items/, '$1');
}

function getType(id){
    var el = $('#' + id);
    if (el.length == 0) return null;
    return el.attr('rel');
}

function addFolder(){
    var ids = getTreeSelectedIds();
    if (ids.length == 0){
        tariqaAlert(MESSAGES['SELECT_FOLDER'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }
    if (ids.length > 1){
        tariqaAlert(MESSAGES['SELECT_ONLY_ONE_FOLDER'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }

    var id = ids[0];
    if (getType(id) != 'folder' && getType(id) != 'root_folder'){
        tariqaAlert(MESSAGES['SELECT_FOLDER_NOT_FILE'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }

    tariqaPrompt(MESSAGES['NEW_FOLDER_NAME'], function(name){
        //var name = prompt('Please input the name of the new folder: ');
        sendAjax(URL('index.php', 'module=ajax&action=addBriefcaseFolder&name=' + name + '&parent_id=' + id), 'get', folderAdded);
    }, 'Question');
}

function addNewItems(id){
    var obj = $('#' + id + '_new_items');
    if (obj.length == 0){
        $('#' + id).append('<ul id="' + id + '_new_items"></ul>');
    }
}

function folderAdded(response){
    var xp = new xpath(response);
    var result = xp.doXPath('//new_html');
    var html = result.firstNode();
    if (typeof(html) != 'boolean' || html != false){
        var new_node = $(html.firstChild.data);
        var ids = getTreeSelectedIds();
        var id = ids[0];
        addNewItems(id);
        var parent = $('#' + id + '_new_items');
        new_node.appendTo(parent);

        $('#briefcase_tree').jstree('destroy');
        initTree();
    }
    else {
        tariqaAlert(MESSAGES['ERROR_CREATING_FOLDER'], 'Error', TYPE_ALERT_ERROR);
    }
}

function bfitemMoved(response){
    var xp = new xpath(response);
    var result = xp.doXPath('//response');
    if (result.firstNode()){
        if (result.firstNode().firstChild.data != 'Ok'){
            tariqaAlert(result.firstNode().firstChild.data, 'Error', TYPE_ALERT_ERROR);
            return false;
        }
    }
    else {
        tariqaAlert(MESSAGES['PROBLEM_REMOVING_ITEM'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }
}

function emptyFolder(){
    var ids = getTreeSelectedIds();

    if (ids.length == 0){
        tariqaAlert(MESSAGES['SELECT_FOLDER_TO_EMPTY'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }

    for (var i = 0; i < ids.length; i++){
        if (getType(ids[i]) != 'folder'){
            tariqaAlert(MESSAGES['SELECT_ONLY_ONE_FOLDER_TO_EMPTY'], 'Error', TYPE_ALERT_ERROR);
            return false;
        }
    }

    tariqaConfirm(MESSAGES['DELETE_SUBFOLDERS'], function(subfolders){
        tariqaConfirm(MESSAGES['EMPTY_FOLDERS'], function(result){
            if (!result) {
                return false;
            }
            
            i = 0;
            while (i < ids.length){
                if ($('#' + ids[i]).hasClass('jstree-checked')){
                    uncheckSubtree(ids[i]);
                    $('#briefcase_tree').jstree(selection.sel_func, '#' + ids[i]);
                }
                i++;
            }

            ids = getTreeSelectedIds();

            for (var i = 0; i < ids.length; i++){
                var folder_id = 'null';
                var type_id = 'null';
                if (ids[i].substring(0, 2) == 'T_') type_id = ids[i].substr(2);
                else folder_id = ids[i].substr(2);
                sendAjax(URL('index.php', 'module=ajax&action=emptyBriefcaseFolder&folder_id=' + folder_id + '&type_id=' + type_id + '&subfolders=' + (subfolders?'y':'n')), 'get', folderEmptied, ids[i]);
            }
        })
    });
}

function folderEmptied(response, fid){
    var xp = new xpath(response);
    var result = xp.doXPath("//deleted");
    if (typeof(result.firstNode()) != 'boolean' || result.firstNode() != false){
        result = xp.doXPath('//subfolders');
        var subfolders = 'n';
        if (result.firstNode()){
            subfolders = result.firstNode().firstChild.data;
        }

        var children = $('#' + fid + '_new_items').children();
        var id;

        for (var i = 0; i < children.length; i++){
            id = children[i].getAttribute('id');
            if (id.substring(0, 2) == 'F_' && subfolders == 'y'){
                $('#' + id).remove();
            }
            else if (id.substring(0, 2) == 'I_'){
                $('#' + id).remove();
            }
        }

    //$('#' + selectedItemId).remove();
    }
    else {
        tariqaAlert(MESSAGES['ERROR_ON_EMPTY'], 'Error', TYPE_ALERT_ERROR);
    }
}

function uncheckSubtree(id){
    $('#briefcase_tree').jstree(selection.unsel_func, '#' + id);
    var subnodes = $('#' + id + '_new_items').children();
    for (var i = 0; i < subnodes.length; i++){
        uncheckSubtree(subnodes[i].getAttribute('id'));
    }
}

function deleteItem(){
    var ids = getTreeSelectedIds();

    if (ids.length == 0){
        tariqaAlert(MESSAGES['SELECT_FOLDER_TO_DELETE'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }

    for (var i = 0; i < ids.length; i++){
        if (ids[i].substring(0, 2) == 'T_'){
            tariqaAlert(MESSAGES['CANNOT_DELETE_LEVEL'], 'Error', TYPE_ALERT_ERROR);
            return false;
        }
    }

    i = 0;
    while (i < ids.length){
        if ($('#' + ids[i]).hasClass('jstree-checked')){
            uncheckSubtree(ids[i]);
            $('#briefcase_tree').jstree('check_node', '#' + ids[i]);
        }
        i++;
    }

    ids = getTreeSelectedIds();

    for (var i = 0; i < ids.length; i++){
        if ($('#' + ids[i]).length > 0){
            if (ids[i].substring(0, 2) == 'F_'){
                if ($('#' + ids[i] + '_new_items').length > 0){
                    tariqaConfirm($('#' + ids[i]).attr('title') + MESSAGES['FOLDER_NOT_EMPTY'], function(result, params){
                        if (result){
                            sendAjax(URL('index.php', 'module=ajax&action=deleteBriefcaseFolder&id=' + params[0]), 'get', itemDeleted, params[0]);
                        }
                    }, 'Question', [ids[i]]);
                }
                else {
                    sendAjax(URL('index.php', 'module=ajax&action=deleteBriefcaseFolder&id=' + ids[i]), 'get', itemDeleted, ids[i]);
                }
            }
            else {
                sendAjax(URL('index.php', 'module=ajax&action=briefcaseDeleteContent&id=' + ids[i]), 'get', itemDeleted, ids[i]);
            }
        }
    }
}

function itemDeleted(response, id){
    var xp = new xpath(response);
    var result = xp.doXPath("//deleted");
    if (typeof(result.firstNode()) != 'boolean' || result.firstNode() != false){
        $('#' + id).remove();
    }
    else {
        tariqaAlert(MESSAGES['ERROR_ON_DELETE'], 'Error', TYPE_ALERT_ERROR);
    }
}

function renameItem(){
    var ids = getTreeSelectedIds();
    if (ids.length == 0){
        tariqaAlert(MESSAGES['SELECT_FOLDER_TO_RENAME'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }
    if (ids.length > 1){
        tariqaAlert(MESSAGES['SELECT_ITEM_TO_RENAME'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }

    var id = ids[0];

    if (id.substring(0, 2) == 'T_'){
        tariqaAlert(MESSAGES['CANNOT_RENAME_LEVEL'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }


    var def = $('#' + $escape(ids[0])).children().first().next().text().replace(/^\s+|\s+$/g, '');

    tariqaPrompt(MESSAGES['NEW_ITEM_NAME'], function(name){
        var action = id.substring(0, 2) == 'F_' ? 'renameBriefcaseFolder' : 'briefcaseRenameContent';
        sendAjax(URL('index.php', 'module=ajax&action=' + action + '&id=' + id + "&new_name=" + name), 'get', itemRenamed, id);
    }, 'Question', def);
}

function itemRenamed(response, id){
    var xp = new xpath(response);
    var result = xp.doXPath('//renamed');
    if (typeof(result.firstNode()) != 'boolean' || result.firstNode() != false){
        result = xp.doXPath('//new_name');
        if (typeof(result.firstNode()) != 'boolean' || result.firstNode() != false){
            var item = $('#' + id).children('a');
            item.html(selection.html + result.firstNode().firstChild.data);
            $('#' + id).attr('title', result.firstNode().firstChild.data);
        }
    }
    else {
        tariqaAlert(MESSAGES['ERROR_ON_RENAME'], 'Error', TYPE_ALERT_ERROR);
    }
}

function overrideFunctions(){
    FUNCTIONS_MODIFIED = true;
    $.jstree._fn.change_state = function(obj, state){
        obj = this._get_node(obj);
        state = (state === false || state === true) ? state : obj.hasClass("jstree-checked");
        if(state) {
            obj/*.find("li").andSelf()*/.removeClass("jstree-checked jstree-undetermined").addClass("jstree-unchecked");
        }
        else {
            obj/*.find("li").andSelf()*/.removeClass("jstree-unchecked jstree-undetermined").addClass("jstree-checked");
            if(this.data.ui) {
                this.data.ui.last_selected = obj;
            }
            this.data.checkbox.last_selected = obj;
        }
        if(this.data.ui) {
            this.data.ui.selected = this.get_checked();
        }
        this.__callback(obj);
    };
    $.jstree._fn._dnd_finish = $.jstree._fn.dnd_finish;
    $.jstree._fn.dnd_finish = function(e){
        $('briefcase_tree').jstree.my_var = getTreeSelectedIds();
        this._dnd_finish(e);
    }
    $.jstree.defaults['core']['animation'] = 100;
}

function initTree(sel_type){
    $('#briefcase_tree').height($(window).height() - $('#pageBanner').height() - $('#pageHeader').height() - $('#pageFooter').height() - 115);
    if (typeof(sel_type) != 'undefined' && sel_type != null){
        selection = sel_type;
    }
    if (!FUNCTIONS_MODIFIED) overrideFunctions();
    $('#briefcase_tree')
    .jstree({
        'types':{
            'valid_children': ['folder', 'file'],
            'types':{
                'root_folder':{
                   'valid_children': ['file', 'folder'],
                    'icon': {
                        'image': 'themes/default/images/_drive.png'
                    }
                },
                'folder': {
                    'valid_children': ['file', 'folder']
                },
                'file': {
                    'max_children': 0,
                    'icon': {
                        'image': 'themes/default/images/iconText.gif'
                    }
                }
            }
        },
        'ui':{
           'select_limit': -1,
           'disable_selecting_children': true,
           'select_multiple_modifier': (_isIE?'shift':'ctrl')
        },
        'dnd':{
            'check_timeout': 0
        },
        'crrm': {
            'move': {
                //'always_copy': true,
                'check_move': function(m){
                    var s_id = m.o.attr('id');
                    var d_id = m.r.attr('id');
                    var ids = getTreeSelectedIds();
                    
                    if (ids.length != 0){
                        var selected_source = false;
                        var type = getMainType(s_id);
                        for (var i = 0; i < ids.length; i++){
                            if (ids[i] == s_id){
                                selected_source = true;
                            }
                            if (getMainType(ids[i]) != type){
                                $('#briefcase_tree').jstree(selection.unsel_func, '#' + ids[i]);
                            }
                        }

                        ids = getTreeSelectedIds();

                        if (!selected_source || ids.length == 1){
                            for (i = 0; i < ids.length; i++){
                                $('#briefcase_tree').jstree(selection.unsel_func, '#' + ids[i]);
                            }
                        }
                        else {
                            $('#vakata-dragged').html('<ins class="jstree-icon">Multiple selection');
                        }
                    }

                    if ((m.p == 'before' || m.p == 'after') && d_id.substring(0, 2) == 'T_'){
                        return false;
                    }
                    
                    if (getType(d_id) != 'folder' && getType(d_id) != 'root_folder'){
                        return false;
                    }

                    if (getMainType(s_id) != getMainType(d_id)){
                        return false;
                    }

                    return true;
                }
            }
        }, 
        plugins: ['themes', 'html_data', selection.type, 'types', 'dnd', 'cookies', 'crrm']
    }
    )
    .bind('select_node.jstree', function(e, data){
        if (typeof(data.args[0]) != 'string'){
            var ids = getTreeSelectedIds();
            var id = data.args[0].parentNode.getAttribute('id');
            var type = getMainType(id);
            for (var i = 0; i < ids.length; i++){
                if (getMainType(ids[i]) != type){
                    $('#briefcase_tree').jstree(selection.unsel_func, '#' + ids[i]);
                }
            }
        }
    })
    .bind("move_node.jstree", function (e, data) {
        var action;
        
        var s_id = data.args[0].o.attr('id');
        var d_id;

        var ids = ((selection.type == 'ui' ? data.args[0].o.first().children().last().hasClass(selection.sel_css):data.args[0].o.hasClass(selection.sel_css) ) ? $('briefcase_tree').jstree.my_var : [s_id]);

        switch (data.args[0].p){
            case 'before':
            case 'after':
                var obj = data.args[0].r.parent();
                while (typeof(obj.attr('id')) == 'undefined' || obj.attr('id') == '' || obj.attr('id') == null){
                    obj = obj.parent();
                }
                d_id = obj.attr('id').replace(/([0-9]+)_new_items/, '$1');
                break;
            case 'last':
                d_id = data.args[0].r.attr('id');
                break;
        }

        var tmp_el;
        addNewItems(d_id);

        for (var i = 0; i < ids.length; i++){
            if (ids[i] != d_id){
                s_id = ids[i];

                if (getType(s_id) == 'file'){
                    action = 'briefcaseMoveToFolder';
                }
                else if (getType(s_id) == 'folder'){
                    action = 'briefcaseMoveFolder';
                }

                tmp_el = $('#' + s_id).detach();
                $('#' + d_id + '_new_items').append(tmp_el);

                /*alert(s_id);
                alert(d_id);*/

                sendAjax(URL(TARIQA_URL, 'module=ajax&action=' + action + '&source_id=' + s_id.substr(2) + '&dest_id=' + (d_id.substring(0, 2) == 'T_' ? 'null' : d_id.substr(2))), 'get', bfitemMoved);

                //$('#briefcase_tree').jstree('move_node', '#' + ids[i]);
            }
        }

        uncheckAll();
        //$('briefcase_tree').jstree('reload');
        $('#briefcase_tree').jstree('destroy');
        initTree();

    });
    changeStyle('.jstree a', null, 'line-height:16px; height:16px; color:black; white-space:nowrap; text-decoration:none; padding:1px 2px; margin:0;');
}

/**
 * Gets the element ids (for each article that can be added to the briefcase)
 * @return Array
 */
function get_elements_ids(){
    //Set the tag name (the tag which contains all the ids)
    var nodeName = 'xtariqa:result-ids';
    if (_isIE){
        nodeName = 'result-ids';
    }

    //Gets all DOM elements
    var results = document.getElementsByTagName(nodeName);
    var ids = new Array();

    //var pattern = /<xtariqa:result>([^<]*)<\/xtariqa:result>/gi;
    for (var i = 0; i < results.length; i++){
        //Extracts the ids
        if (!_isIE){
            var ids_str = results[i].innerHTML.replace(/<xtariqa:result[^>]*id[ ]*=[ ]*"_([^"]*)"[^>]*>([^<]*)<\/xtariqa:result>/gi, '$1<:results:>');
        }
        else {
            var ids_str = results[i].innerHTML.replace(/[<\?xml:namespace prefix = xtariqa \/>]*<xtariqa:result id[ ]*=[ ]*_([^ >]*)[ ]*[^>]*>([^<]*)<\/xtariqa:result>/gi, '$1<:results:>');
        }
        var ids_str = ids_str.replace(/<:results:>$/gi, '');
        ids = ids.concat(ids_str.split('<:results:>'));
    }

    return ids;
}

/**
 * Gets the value of a parameter (this is needed mostly for Google). When fetching an article from Google, we will only
 * receive the body of the article, not the title (which is needed to add it into the briefcase)
 * @param id The article id
 * @param parameter The parameter name
 * @return string
 */
function get_parameters(id, parameter){
    //Get the DOM element
    if ($('#_' + $escape(id)).lenth > 0){
        return $('#_' + $escape(id)).attr(parameter)
    }
    else if (parameter == 'title'){
        for (var i = 0; i < BRIEFCASE_SELECTED_IDS.length; i++){
            if (BRIEFCASE_SELECTED_IDS[i] == id){
                return BRIEFCASE_SELECTED_TITLES[i];
            }
        }
    }
    //Return the parameter (which is stored as a DOM attribute)
    return null;
}

/**
 * Gets all the selected articles (to be sent to the briefcase)
 * @return Array
 */
function get_selected_ids(other_pages){
    if (typeof(other_pages) == 'undefined' || other_pages == null){
        other_pages = true;
    }
    //Fetch all the articles ids
    var ids = get_elements_ids();

    var sel_ids = new Array();
    //var _ids, _id;

    for (var i = 0; i < ids.length; i++){
        var chb = document.getElementById(ids[i]);
        if (chb != null){
            if (chb.checked) sel_ids.push(ids[i]);
        }
    }

    if (other_pages){
        sel_ids = sel_ids.concat(BRIEFCASE_SELECTED_IDS);
    }

    return sel_ids;
}

function sendArticleToBriefcase(id){
    var urls = new Array();
    var title;

    $('#briefcase_select_folder').dialog('open');

    dialogResponse = function(folder_id){
	title = encodeURIComponent($('#title_id')[0].value);
	urls.push(new multiAjaxURL(URL(TARIQA_SERVICE_URL, 'action=sendToBriefcase&folder_id=' + folder_id + '&type_id=1&id=' + id + '&title=' + title)));

	sendURLS(urls, articleSaved, function(){
	    $('#loading_id').show();
	}, function(){
	    $('#loading_id').hide()
	    }, true);
    }
}

/**
 * Sends an article to the briefcase, but first let the server know which user will make the request
 * @param onBegin Function to be called before the request is sent to the server
 * @param onEnd Function to be called when the request has been processed
 * @return void
 */
function sendArticlesToBriefcase(onBegin, onEnd){
    //Get the list of selected articles
    var ids = get_selected_ids();
    
    if (ids.length == 0) {
        tariqaAlert(MESSAGES['SELECT_ARTICLE_TO_SAVE'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }

    $('#briefcase_select_folder').dialog('open');
    dialogResponse = function(folder_id){
	_doSendArticles(folder_id, ids, onBegin, onEnd);
    }
}

function _doSendArticles(folder_id, ids, onBegin, onEnd){
    var urls = new Array();
    var title;

    for (var i = 0; i < ids.length; i++){
        title = encodeURIComponent(get_parameters(ids[i], 'title'));
        urls.push(new multiAjaxURL(URL(TARIQA_SERVICE_URL, 'action=sendToBriefcase&folder_id=' + folder_id + '&type_id=1&id=' + ids[i] + '&title=' + title)));
    }

    if (typeof(onBegin) == 'undefined') onBegin = null;
    if (typeof(onEnd) == 'undefined') onEnd = null;
    if (typeof(processResult) == 'undefined') processResult = null;

    sendURLS(urls, articleSaved, onBegin, onEnd, true);
}

/**
 * Saves a search to Briefcase
 * @param title The title of the search
 * @param GET_data The GET data to be saved
 * @param POST_data The POST data to be saved
 */
function saveSearchToBriefcase(title, GET_data, POST_data){
    var params = 'get_data=' + encodeURIComponent(GET_data) + '&post_data=' + encodeURIComponent(POST_data);
    sendAjax(URL(TARIQA_URL, 'action=briefcaseSaveSearch&module=ajax&title=' + encodeURIComponent(title)), 'post', searchSaved, null, params);
}

function searchSaved(response){
    var xp = new xpath(response);
    var result = xp.doXPath('//error');
    if (typeof(result.firstNode()) != 'boolean' || result.firstNode()){
        tariqaAlert(result.firstNode().firstChild.data, 'Error', TYPE_ALERT_ERROR);
    }
    else {
        tariqaAlert(MESSAGES['SEARCH_SAVED']);
    }
}

function articleSaved(_response){
    var response = new multiAjaxResponse(_response);
    var text = response.content.replace(/<[\/]{0,1}result>/gi, '');
    if (!text.match(/^\d*$/i)){
        tariqaAlert(text, 'Error', TYPE_ALERT_ERROR);
    }
}

function exportArticles(){
    var ids = getTreeSelectedIds();
    var rez = '';
    for (var i = 0; i < ids.length; i++){
        if (getMainType(ids[i]) == ARTICLE_TYPE && getType(ids[i]) != 'root_folder'){
            rez += (rez == ''?'':',') + ids[i];
        }
    }
    $('#selected_articles_for_export').val(rez);
    document.export_form.submit();
}

function initSelectFolderForm(){
    $('#briefcase_select_folder').dialog({
	    autoOpen: false,
	    width: 400,
	    height: 170,
	    modal: true,
	    hide: 'slide',
	    show: 'slide',
	    title: 'Briefcase folders',
	    buttons: {
		    'Ok': function (){
			$(this).dialog('close');
			dialogResponse($('#briefcase_selected_folder').val());
		    },
                    'New folder': function(){
                        var sel = $('#briefcase_selected_folder')[0];
                        tariqaPrompt(MESSAGES['NEW_FOLDER_NAME'], function(name){
                            var id = sel.value;
                            sendAjax(URL('index.php', 'module=ajax&action=addBriefcaseFolder&name=' + name + '&parent_id=' + (id == 'null' ? 'T_1' : 'F_' + id)), 'get', function(response){
                                var spaces = (sel.selectedIndex > 0 ? '&nbsp;&nbsp;' : '');
                                $('#briefcase_selected_folder').children().each(function(idx){
                                    if ($(this).attr('value') == id){
                                        var i;
                                        i = 0;
                                        var text = $(this).text();
                                        while (text.substr(i, 1) == ' ' || text.substr(i, 1) == 0){
                                            i++;
                                            spaces += '&nbsp;';
                                        }

                                        var xp = new xpath(response);
                                        var result = xp.doXPath('//new_id');
                                        if (result.firstNode()){
                                            var new_id = result.firstNode().firstChild.data;
                                        }
                                        name = spaces + name;
                                        var html = '<option value="' + new_id + '" selected="selected">' + name + "</option>";
                                        $(this).after(html);
                                    }
                                });
                            });
                        });
                    }, 
		    'Cancel': function(){
			$(this).dialog('close');
		    }
	    }
    });
}

function getFolderFiles(folder_id){
    var result = new Array();
    var id;
    var children = $('#' + folder_id + '_new_items').children();
    for (var i = 0; i < children.length; i++){
        id = children[i].getAttribute('id')
        if (getType(id) == 'file'){
            result.push(id);
        }
        else if (getType(id) == 'folder'){
            var ids = getFolderFiles(id);
            for (var j = 0; j < ids.length; j++){
                if (arrayIndexOf(result, ids[j]) == -1){
                    result.push(ids[j]);
                }
            }
        }
    }

    return result;
}

function briefcaseShare(){
    var _ids = getTreeSelectedIds();
    _ids = getTreeSelectedIds();
    var ids = new Array();
    var __ids;

    for (var i = 0; i < _ids.length; i++){
        if (getMainType(_ids[i]) == 1){
            if (getType(_ids[i]) == 'file'){
                if (arrayIndexOf(ids, _ids[i]) == -1){
                    ids.push(_ids[i]);
                }
            }
            else if (getType(_ids[i]) == 'folder') {
                __ids = getFolderFiles(_ids[i]);
                for (var j = 0; j < __ids.length; j++){
                    if (arrayIndexOf(ids, __ids[j]) == -1){
                        ids.push(__ids[j]);
                    }
                }
            }
        }
    }

    var titles = new Array();
    for (var i = 0; i < ids.length; i++){
        titles.push($('#' + ids[i]).attr('title'));
    }

    if (ids.length == 0){
        tariqaAlert(MESSAGES['SELECT_ARTICLE'], 'Error', TYPE_ALERT_ERROR);
        return false;
    }

    shareItem(shareArticles, 'share_article', [function(){$('#share_wait').show()}, function(){$('#share_wait').hide()}, null, null, ids, titles]);return false;
}