/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

var TABS_SET = new Array();

function initNewsJQueryUI(){

	$tabs = $('#news_tabs').tabs({
		show: function(event, ui){
			var id = ui.panel.getAttribute('id').replace(/^tab\-(.*)$/, '$1');
			setCombosHeight(id);
		}
	});

	addTabsScroll('news_tabs');

	$filter_form = $('#filter-form').dialog({
		autoOpen: false,
		width: 400,
		height: 350,
		modal: true,
		buttons: {
			'Filter the news': function(){
				var query = $('#filter_query')[0].value;
				var start_date = $('#filter_start_date')[0].value;
				var end_date = $('#filter_end_date')[0].value;

				if (query == '' && start_date == '' && end_date == ''){
					tariqaAlert(MESSAGES['INPUT_SEARCH_CRITERIA'], 'Error', TYPE_ALERT_ERROR);
				}
				else {
					var filter = '';
					var d;
					if (query != '') {
						filter += 'query=' + encodeURIComponent(query);
					}
					if (start_date != ''){
						if (!_isIE && !_isFF){
							d = Math.floor(Date.parse(start_date) / 1000);
						}
						else {
							d = Math.floor(Date.parse(start_date.substr(5, 2) + '/' + start_date.substr(8, 2) + '/' + start_date.substr(0, 4)) / 1000);
						}
						filter += (filter == '' ? '' : '&') + 'start_date=' + d;
					}
					if (end_date != ''){
						if (!_isIE && !_isFF){
							d = Math.floor(Date.parse(end_date) / 1000);
						}
						else {
							d = Math.floor(Date.parse(end_date.substr(5, 2) + '/' + end_date.substr(8, 2) + '/' + end_date.substr(0, 4)) / 1000);
						}
						filter += (filter == '' ? '' : '&') + 'end_date=' + d;
					}

					var id = getSectionId();

					sendAjax(URL('index.php', 'module=ajax&action=setFilter&query_id=' + $('#filter_query_id')[0].value +
						'&' + id) + '&flavour_id=' + $('#filter_flavour_id')[0].value, 'post', filterSet, null, filter);

					$(this).dialog('close');
				}
			},
			'Cancel': function(){
				$('#filter_query')[0].value = '';
				$('#filter_start_date')[0].value = '';
				$('#filter_end_date')[0].value = '';
				$('#filter_flavour_id')[0].value = '';
				$('#filter_query_id')[0].value = '';
				$(this).dialog('close');
			}
		}
	});
	$('.select_date').datepicker({
		dateFormat: 'yy-mm-dd',
		changeMonth: true,
		changeYear: true
	});
}

function filterSet(response){
	var xp = new xpath(response);
	var error = xp.doXPath('//error');
	if (error.firstNode()){
		tariqaAlert(error.firstNode().firstChild.data, 'Error', TYPE_ALERT_ERROR);
		return false;
	}
	var result = xp.doXPath('//query/txt');
	if (result.firstNode()){
		var query = myDecode(result.firstNode().firstChild.data);
		var source_id = null, start_date = null, end_date = null;
		result = xp.doXPath('//query/source_id');
		if (result.firstNode()){
			source_id = result.firstNode().firstChild.data;
			result = xp.doXPath('//query/start_date');
			if (result.firstNode()){
				start_date = result.firstNode().firstChild.data;
			}
			result = xp.doXPath('//query/end_date');
			if (result.firstNode()){
				end_date = result.firstNode().firstChild.data;
			}
			result = xp.doXPath('//flavour_id');
			var flavour_id;
			if (result.firstNode()){
				flavour_id = result.firstNode().firstChild.data;

				result = xp.doXPath('//html');
				var html = '';
				if (result.firstNode()){
					html = myDecode(result.firstNode().firstChild.data);
				}

				var search = new searchObject(query, source_id);
				search.setType('OS');
				search.setResultId('news_' + flavour_id);
				search.setNavigationId('navigation_' + flavour_id);
				search.noNewTab();

				if (start_date != null){
					search.setStartDate(start_date);
				}
				if (end_date != null){
					search.setEndDate(end_date);
				}
				result = xp.doXPath('//specific_data');
				if (result.firstNode()){
					search.setSpecificData(result.firstNode().firstChild.data);
				}
				var searches = new Array();
				searches.push(search);
				performMultiAjaxSearch(searches, function(){$('#nav_load_news_' + flavour_id).show()}, function(){
					$('#nav_load_news_' + flavour_id).hide();
					if (html != ''){
						$('#filtering_' + flavour_id).remove();
						$('#after_' + flavour_id).after(html);
					}
                                        setCombosHeight(flavour_id);
				});
			}

		}

	}
}

function filterNews(flavour_id){
	var existing_filters = $('#filtering_' + flavour_id);
	$('#filter_query')[0].value = '';
	$('#filter_start_date')[0].value = '';
	$('#filter_end_date')[0].value = '';

	if (existing_filters.length == 1){
		var query = post2array($('#filtering_query_' + flavour_id)[0].value);
		if (typeof(query['query']) != 'undefined') {
			$('#filter_query')[0].value = query['query'];
		}
		if (typeof(query['start_date']) != 'undefined'){
			var d = new Date(query['start_date'] * 1000);
			var m = d.getMonth() + 1;
			var day = d.getDate();
			$('#filter_start_date')[0].value = d.getFullYear() + '-' + (m < 10 ? '0' + m : m) + '-' + (day < 10 ? '0' + day : day);
		}

		if (typeof(query['end_date']) != 'undefined'){
			var d = new Date(query['end_date'] * 1000);
			var m = d.getMonth() + 1;
			var day = d.getDate();
			$('#filter_end_date')[0].value = d.getFullYear() + '-' + (m < 10 ? '0' + m : m) + '-' + (day < 10 ? '0' + day : day);
		}
	}

	var query = post2array($('#flavour_query_' + flavour_id)[0].value);
	$('#filter_flavour_id')[0].value = flavour_id;
	$('#filter_query_id')[0].value = query['query_id'];

	$('#filter-form').dialog('open');
}

function removeAllFilters(flavour_id, query_id){
	var id = getSectionId();
	sendAjax(URL('index.php', 'module=ajax&action=removeFilter&query_id=' + query_id + '&' + id + '&flavour_id=' + flavour_id), 'get', filterRemoved);
}

function filterRemoved(response){
	var xp = new xpath(response);
	var result = xp.doXPath('//query_id');
	if (result.firstNode()){
		var query_id = result.firstNode().firstChild.data;
		result = xp.doXPath('//flavour_id');
		if (result.firstNode()){
			var flavour_id = result.firstNode().firstChild.data;
			$('#filtering_' + flavour_id).remove();
			var query = post2array(document.getElementById('flavour_query_' + flavour_id).value);
			var search = new searchObject(query['query'], query['source_id']);
			search.setType('OS');
			search.setResultId('news_' + flavour_id);
			search.setNavigationId('navigation_' + flavour_id);
			search.noNewTab();

			var source_name = '';
			result = xp.doXPath('//source_name');
			if (result.firstNode()){
			    source_name = result.firstNode().firstChild.data;
			}
			search.setSpecificData('source_name=' + source_name);

			var range = query['range'];
			var end_date = new Date();
			var start_date = new Date((end_date.getTime() - range * 24 * 60 * 60 * 1000));

			search.setStartDate(Math.floor(start_date.getTime() / 1000));
			search.setEndDate(Math.floor(end_date.getTime() / 1000));
			search.setCount(query['count']);
			var searches = new Array();
			searches.push(search);
			performMultiAjaxSearch(searches, function(){$('#nav_load_news_' + flavour_id).show()}, function(){$('#nav_load_news_' + flavour_id).hide()});
		}
		else {
			tariqaAlert(MESSAGES['PROBLEM_REMOVING_FILTER'], 'Error', TYPE_ALERT_ERROR)
		}
	}
	else {
		tariqaAlert(MESSAGES['PROBLEM_REMOVING_FILTER'], 'Error', TYPE_ALERT_ERROR)
	}
}

function articlesSentC(){
	showLoading('none', 'save_to_briefcase');
	$('.save_to_briefcase').hide();
	tariqaAlert(MESSAGES['ARTICLES_SAVED']);
}

function saveSearchC(flavour_id){
    tariqaPrompt(MESSAGES['SHARE_TITLE'], function(title){
        var query = post2array($('#flavour_query_' + flavour_id)[0].value);
        var query_id = query['query_id'];
        var id = getSectionId();
        sendAjax(URL(TARIQA_URL, 'module=ajax&action=saveSearchC&query_id=' + query_id + '&' + id +
                '&title=' + encodeURIComponent(title)), 'get', searchSavedC);
    })
}

function searchSavedC(response){

}

function changeSource(flavour_id, query_id){
	var id = getSectionId();
	TABS_SET[flavour_id] = null;
	$('#sources_list_' + flavour_id)[0].style.height = null;
	$('#news_' + flavour_id)[0].style.height = null;
	sendAjax(URL('index.php', 'module=ajax&action=changeSource&query_id=' + query_id + '&' + id) + '&flavour_id=' + flavour_id, 'get', sourceChanged);
}

function sourceChanged(response){
	var xp = new xpath(response);
	var result = xp.doXPath('//flavour_id');
	var flavour_id = null;
	if (result.firstNode()){
		flavour_id = result.firstNode().firstChild.data;
		var flavour_query = '';
		result = xp.doXPath('//flavour_query');
		if (result.firstNode()){
			flavour_query = result.firstNode().firstChild.data;
		}
		$('#flavour_query_' + flavour_id)[0].value = myDecode(flavour_query);
		var sources_list = null;
		result = xp.doXPath('//sources_list');
		if (result.firstNode()){
			if (!_isFF){
				sources_list = myDecode(result.firstNode().firstChild.data);
			}
			else {
				sources_list = myDecode(result.firstNode().textContent);
			}
			$('#sources_list_' + flavour_id)[0].innerHTML = sources_list;
		}

		result = xp.doXPath('//filter_display');
		if (result.firstNode()){
			$('#after_' + flavour_id)[0].style.display = result.firstNode().firstChild.data;
		}
		$(".source_list_widget").treeview({
			animated:"fast",
			persist: "cookie"
		});
	}
	filterSet(response);
}
