/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

function selectTags(event, ui){
    var parts = $('#tags').val().split(' ');
    var val = '';
    for (var i = 0; i < parts.length - 1; i++){
        val += (val == '' ? '' : ' ') + parts[i];
    }
    ui.item.value = val + (val == '' ? '' : ' ') + ui.item.value;
    //$('#tags').val();
}

function changeSelStyleImg(){
    $('#sel_style_img').attr('src', 'themes/default/images/sel_img' + $('#selection_type')[0].selectedIndex + '.jpg');
}

function initJQueryPref(){
    if ($('#visual_theme').children().length <= 1){
        $('#visual_theme_container').hide();
    }
    changeSelStyleImg();
	$('#country').autocomplete({
		minLength: 2,
		source: URL(TARIQA_URL, 'module=ajax&action=searchCountry&content_type=text&no_root_node'),
		select: function(event, ui){
			$('#country_id')[0].value=ui.item.id;
		}
	});
	
	$('#tags').autocomplete({
		minLength: 2,
		source: URL(TARIQA_URL, 'module=ajax&action=searchTags&content_type=text&no_root_node'),
                focus: function(event, ui){
                    return false;
                }, 
                open: function(event, ui){
                    var pos = $(this).offset();
                    var max_chars = Math.round($(this).width() / 10);
                    var text = $(this).val();
                    pos.top += Math.floor(text.length / max_chars) * 18 + 18;
                    
                    $('.ui-autocomplete').offset({left: pos.left, top: pos.top});
                }, 
		select: function(event, ui){
                    selectTags(event, ui);
		}
	});

        $("#countries_tree")
        .jstree({
            'html_data': {
                'ajax':{
                    'url': URL(TARIQA_URL, 'module=ajax&action=searchCountriesByContinent&no_root_node=&content_type=text/html'),
                    'data': function(n){
                        return {folder_id: n.attr ? n.attr('id') : 'null'};
                    },
                    'complete': function(obj, resp){
                        var id;
                        id = obj.responseText.replace(/[\n|\r]/g, '').replace(/^<div[^>]*>continent_id = ([\d]+).*$/g, '$1');
                        if (id.replace(/[\d]*/g, '') == ''){
                            var lis = $('#continent_' + id + ' > ul > li');
                            var cid;
                            if (lis.length > 1){
                                for (var i = 0; i < lis.length; i++){
                                    cid = lis[i].getAttribute('id');
                                    if (cid.length == 2){
                                        $('#' + $escape(cid) + ' > a > ins').attr('style', 'background-image: url(' + URL(TARIQA_URL + '/themes/default/images/countries/' + cid.toLowerCase() + '.png' + ') !important'));
                                    }
                                }
                            }
                        }
                    }

                }
            },
            'dnd':{
                'drop_finish': function(data){
                    dropFinish(data);
                }
            },
            'types':{
                'valid_children': ['continent', 'country'],
                'types':{
                    'continent': {
                        'valid_children': ['country']
                    },
                    'country': {
                        'max_children': 0,
                        'icon': {
                            'image': 'themes/default/images/iconText.gif'
                        }
                    }
                }
            },
            plugins: ['themes', 'html_data', 'types', 'dnd' ]
        }
        );

        $("#themes_tree")
        .jstree({
            'dnd':{
                'drop_finish': function(data){
                    dropFinish(data);
                }
            },
            'types':{
                'valid_children': ['folder', 'theme'],
                'types':{
                    'folder': {
                        'valid_children': ['theme']
                    },
                    'theme': {
                        'max_children': 0,
                        'icon': {
                            'image': 'themes/default/images/iconText.gif'
                        }
                    }
                }
            },
            plugins: ['themes', 'html_data', 'types', 'dnd' ]
        }
        );

	$('.selectable').selectable({
	});

        $("#timezones_tree")
        .jstree({
            'dnd':{
                'drop_finish': function(data){
                    dropFinish(data);
                }
            },
            'types':{
                'valid_children': ['folder', 'zone'],
                'types':{
                    'folder': {
                        'valid_children': ['zone']
                    },
                    'zone': {
                        'max_children': 0,
                        'icon': {
                            'image': 'themes/default/images/iconText.gif'
                        }
                    }
                }
            },
            plugins: ['themes', 'html_data', 'types', 'dnd' ]
        }
        );

	$('.selectable').selectable({
	});

	setSelectedPosition('countries_tree');
	setSelectedPosition('themes_tree');
	setSelectedPosition('timezones_tree');

	window.onresize = function(){
		setSelectedPosition('countries_tree');
		setSelectedPosition('themes_tree');
		setSelectedPosition('timezones_tree');
	}

	initSliders();
}

function dropFinish(data){
    var id = data.o.attr('id');
    var ol;
    var html;
    var _id;
    if (id.match(/^[a-zA-Z]{2}$/)){
            ol = $('#list_countries_tree');
            html = getLiHtml(id, true);
    }
    else if (id.match(/^continent_[\d]+$/)){
            if ($('#' + $escape(id)).children().length <= 2){
                tariqaAlert(MESSAGES['CLICK_CONTINENT'], 'Error', TYPE_ALERT_ERROR);
                return false;
            }
            ol = $('#list_countries_tree');
            var children = $('#' + $escape(id) + ' ul li');

            html = '';

            children.each(function(idx){
                _id = $(this).attr('id');
                html += getLiHtml(_id, true);
            })
    }
    else if (id.match(/^I_[\d]+$/)){
            ol = $('#list_themes_tree');
            html = getLiHtml(id);
    }
    else if (id.match(/^I_[^\/]*\/.*$/)){
            ol = $('#list_timezones_tree');
            html = getLiHtml(id);
    }

    ol.append(html);

    $('.selectable').selectable('refresh');
}

function getLiHtml(id, style){
	if (typeof(style) == 'undefined' || style == null) style = false;
	var _style = '';
	if (style){
		var background = $('#' + $escape(id)).children().first().next().children().first().css('background');
		_style = ' style="background: ' + background + '; padding-left: 13px; background-repeat: no-repeat; "';
	}
	if ($('#_' + $escape(id)).length != 0) return '';
        var text = $('#' + $escape(id)).children().first().next().text().trim();
        if (id.substring(0, 2) == 'I_'){
            id = id.substr(2);
        }
	var html = '<li id="_' + id + '" class="ui-selectee"><span' + _style + ' class="ui-selectee">' + text + '</span></li>';

	return html;
}

function addItem(){

}

function deleteItem(){
	
}

function setSelectedPosition(id){
	var padding = 20;
	var position = $('#container_' + $escape(id)).position();
	$('#selected_' + $escape(id))[0].style.left = ($('#container_' + $escape(id)).innerWidth() - $('#selected_' + $escape(id)).innerWidth() - padding) + "px";
	$('#selected_' + $escape(id))[0].style.top = position.top * 1 + padding * 1 + "px";

	$('#title_' + $escape(id))[0].style.left = ($('#container_' + $escape(id)).innerWidth() - $('#selected_' + $escape(id)).innerWidth() - padding) + "px";
	$('#title_' + $escape(id))[0].style.top = position.top + "px";

	$('#links_' + $escape(id))[0].style.left = ($('#container_' + $escape(id)).innerWidth() - $('#selected_' + $escape(id)).innerWidth() - padding) + "px";
	$('#links_' + $escape(id))[0].style.top = (position.top * 1 + padding * 1 + $('#selected_' + $escape(id)).innerHeight() * 1) + "px";

	$('#selected_' + $escape(id)).show();
	$('#title_' + $escape(id)).show();
	$('#links_' + $escape(id)).show();
}

function removeSelected(id){
	var elements = $('#selected_' + $escape(id) + " > ol > li[class*='ui-selected']").remove();
	$('.selectable').selectable('refresh');
}

function getSelectedIds(id){
	var elements = $('#selected_' + $escape(id) + ' > ol > li');
	var ids = '';
	for (var i = 0; i < elements.length; i++){
		ids += (ids == '' ? '' : ',') + elements[i].getAttribute('id').substring(1);
	}

	return ids;
}

function prepareSettings(){
	$("input[name='text_selected_countries_tree']")[0].value = getSelectedIds('countries_tree');
	$("input[name='text_selected_themes_tree']")[0].value = getSelectedIds('themes_tree');
	$("input[name='text_selected_timezones_tree']")[0].value = getSelectedIds('timezones_tree');

	$("input[name='newsticker_speed_0']")[0].value = $('#newsticker_speed_0').slider('value');
	$("input[name='newsticker_speed_1']")[0].value = $('#newsticker_speed_1').slider('value');

	return true;
}

function method(){
	return METHOD;
}