/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

var IDX_ADV_SEARCH = 1;
var IDX_LIST_SEARCH = -1;
var IDX_SIMPLE_SEARCH = 0;

var SHARE_SEARCH = 'search';
var SHARE_ARTICLE = 'share_article';

function initJQueryShare(){
	$("#select_contact").selectable();
	$('#share_results_form').dialog({
		autoOpen: false,
		width: 800,
		height: 600,
		modal: true,
		hide: 'slide',
		show: 'slide',
		title: 'LDAP Search Results',
		buttons: {
			'Select contacts': function(){
				var selected_contacts = $('#select_contact li.ui-selected');

				if (selected_contacts.length == 0){
					tariqaAlert(MESSAGES['SELECT_CONTACT'], 'Error', TYPE_ALERT_ERROR);
					return false;
				}

				var ids = new Array();
				for (var i = 0; i < selected_contacts.length; i++){
					ids.push(myDecode(selected_contacts[i].getAttribute('id')));
				}
                                tariqaPrompt(MESSAGES['SHARE_MESSAGE'], function(message){
                                    $('#select_contact')[0].innerHTML = '';
                                    $(this).dialog('close');
                                    $share_form.dialog('close');
                                    $share_tabs.onSelect(ids, message, $share_tabs.params);
                                }, 'Question', '', TYPE_PROMPT_TEXTAREA);
			},
			'Select more contacts': function(){
				$(this).dialog('close');
			},
			'Cancel': function(){
				$('#select_contact')[0].innerHTML = '';
				$(this).dialog('close');
			}
		}
	});
	$share_form = $('#share_search_form').dialog({
		autoOpen: false,
		width: 800,
		height: 600,
		modal: true,
		hide: 'slide',
		show: 'slide',
		title: 'LDAP Search',
		buttons: {
			'Search': function (){
				ldapSearch();
			},
			'Cancel': function(){
				$(this).dialog('close');
			}
		}
	});
	
	$share_tabs = $('#share_tabs').tabs({
	});
}

function shareItem(onSelect, type, params){
	switch(type){
		case SHARE_ARTICLE:
			if (get_selected_ids().length == 0) {
				if (typeof(params) == 'undefined' || params.length < 4){
					tariqaAlert(MESSAGES[''], 'Error', TYPE_ALERT_ERROR);
					return false;
				}
			}
			break;
		case SHARE_SEARCH:
			break;
	}
	if (typeof(params) == 'undefined') params = null;
	$share_tabs.onSelect = onSelect;
	$share_tabs.params = params;
	$('#share_search_form').dialog('open');
}

function gotLdapResult(response){
	response = new multiAjaxResponse(response);
	if (response.http_code != 200){
		tariqaAlert(MESSAGES['ERROR_FETCH_SEARCH_RESULTS'], 'Error', TYPE_ALERT_ERROR);
	}
	else {
		var xp = new xpath(response.content);
		var result = xp.doXPath('//contact');
		var node, data, name, id;

		while (node = result.nextNode()){
			data = node.childNodes;
			name = '';id = '';
			if (data[0]) if (data[0].firstChild) if (data[0].firstChild.data) {
				name = data[0].firstChild.data;
			}
			if (data[1]) if (data[1].firstChild) if (data[1].firstChild.data) {
				id = data[1].firstChild.data;
			}

			var element = document.createElement('li');
			element.setAttribute('id', id);
			element.innerHTML = name;

			$('#select_contact')[0].appendChild(element);
		}
	}
}

function ldapSearch(){
	var idx = $share_tabs.tabs('option', 'selected');
	var action = '';
        var tags = '';
	if (idx == IDX_ADV_SEARCH || idx == IDX_SIMPLE_SEARCH){
		var filter = '';
		action = 'ldapSearch';
		if (idx == IDX_SIMPLE_SEARCH){
			if ($('#share_simple_search_terms')[0].value == ''){
				tariqaAlert(MESSAGES['INPUT_SEARCH_CRITERIA'], 'Error', TYPE_ALERT_ERROR);
				return false;
			}
			filter = '|(uid=' + $('#share_simple_search_terms')[0].value + '*)(cn=' + $('#share_simple_search_terms')[0].value + '*)';
                        tags = '&tags=' + rawurlencode($('#share_simple_search_terms')[0].value);
		}
		else {
			if ($('#share_uid')[0].value != ''){
				filter += '(uid=' + $('#share_uid')[0].value + '*)';
			}
			if ($('#share_display_name')[0].value != ''){
				filter += '(cn=' + $('#share_display_name')[0].value + '*)';
			}
			if ($('#share_mail')[0].value != ''){
				filter += '(mail=' + $('#share_mail')[0].value + '*)';
			}
			if ($('#share_dg')[0].value != ''){
				filter += '(dg=' + $('#share_dg')[0].value + '*)';
			}
			if ($('#share_department')[0].value != ''){
				filter += '(departmentnumber=' + $('#share_department')[0].value + '*)';
			}
			if ($('#share_phone')[0].value != ''){
				filter += '(telephonenumber=' + $('#share_phone')[0].value + '*)';
			}
			if ($('#share_office')[0].value != ''){
				filter += '(physicaldeliveryofficename=' + $('#share_office')[0].value + '*)';
			}
			if ($('#share_group')[0].value != ''){
				filter += '(cudgroup=' + $('#share_group')[0].value + '*)';
			}

                        if ($('#share_tags').val() != ''){
                            tags = '&tags=' + rawurlencode($('#share_tags').val());
                            if (filter == ''){
                                filter = "(uid=dummy)";
                            }
                        }

			if (filter == ''){
				tariqaAlert(MESSAGES['INPUT_SEARCH_CRITERIA'], 'Error', TYPE_ALERT_ERROR);
				return false;
			}

                        if (filter == '(uid=dummy)'){
                            filter = '|' + filter;
                        }
                        else {
                            filter = '&' + filter + '';
                        }
		}
		var url = new multiAjaxURL(URL(TARIQA_SERVICE_URL, 'action=ldapSearch&filter=' + encodeURIComponent(filter) + tags));
		url.set_method('post');
		var urls = new Array();
		urls.push(url);
	}
	else if (idx == IDX_LIST_SEARCH){
		var url = new multiAjaxURL(URL(TARIQA_SERVICE_URL, 'action=' + action + '&filter=' + encodeURIComponent(filter)));
		url.set_method('post');
		var urls = new Array();
		urls.push(url);
	}

	sendURLS(urls, gotLdapResult, function(){
		$('#ldap_searching').show();
		$('#ldap_results').hide();
		$('#share_results_form').dialog('open');
	}, function(){
		$('#ldap_results').show();
		$('#ldap_searching').hide();
	}, false);
	//$(this).dialog('close');
}

function shareArticles(data, message, params){
	var share_with = '';

	for (var i = 0; i < data.length; i++){
		share_with += (share_with == '' ? '' : '&') + 'share_with[]=' + encodeURIComponent(data[i]);
	}

	var article_ids = '';
	var article_titles = '';

	var aids = null;
	
	if (typeof(params) != 'undefined' && params != null){
		f1 = params[0];
		f2 = params[1];

		if (params.length == 4){
			article_ids = 'article_ids[]=' + params[2];
			article_titles = 'article_titles[]=' + encodeURIComponent(params[3]);
		}
                else if (params.length == 6){
                    for (i = 0; i < params[4].length; i++){
                        article_ids += (article_ids == '' ? '' : '&') + 'article_ids[]=' + params[4][i];
                        article_titles += (article_titles == '' ? '' : '&') + 'article_titles[]=' + encodeURIComponent(params[5][i]);
                    }
                }
	}

	if (aids == null){
		aids = get_selected_ids();
		for (i = 0; i < aids.length; i++){
			article_ids += (article_ids == '' ? '' : '&') + 'article_ids[]=' + aids[i];
			article_titles += (article_titles == '' ? '' : '&') + 'article_titles[]=' + encodeURIComponent(get_parameters(aids[i], 'title'));
		}
	}

	var url = new multiAjaxURL(URL(TARIQA_SERVICE_URL, 'action=shareArticle&' + share_with + '&' + article_ids + '&' + article_titles + '&message=' + encodeURIComponent(message)));
	url.set_method('post');
	var urls = new Array();
	urls.push(url);
	sendURLS(urls, articleShared, function(){f1();}, function(){f2();}, true);
}

function articleShared(response){
	tariqaAlert(MESSAGES['ARTICLES_SHARED']);
}

function shareSearch(ids, message, params){
	var share_with = '';
	for (var i = 0; i < ids.length; i++){
		share_with += (share_with == '' ? '' : '&') + 'share_with[]=' + encodeURIComponent(ids[i]);
	}

        tariqaPrompt(MESSAGES['SHARE_TITLE'], function(title){
            if (params != null){
                    var query = post2array($('#flavour_query_' + params)[0].value);
                    var query_id = query['query_id'];
                    var id = getSectionId();
                    sendAjax(URL(TARIQA_URL, 'module=ajax&action=shareSearchC&query_id=' + query_id) + '&' + id, 'post', searchShared, null, 'message=' + encodeURIComponent(message) +
                            '&title=' + encodeURIComponent(title) + '&' + share_with);
            }
            else {
                    sendAjax(URL(TARIQA_URL, 'module=ajax&action=shareSearch'), 'post', searchShared, null, 'message=' + encodeURIComponent(message) +
                            '&title=' + encodeURIComponent(title) + '&' + share_with + '&post_data=' + encodeURIComponent($('#form_post')[0].value) +
                            '&get_data=' + encodeURIComponent($('#form_get')[0].value));
            }
        })
}

function searchShared(response){
	tariqaAlert(MESSAGES['SEARCH_SHARED']);
}