/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

function getUploadType(id, tree_id){
    id = id.replace('[' + tree_id + ']', '');
    id = id.replace(/_new_items$/g, '', id);
    if (id == tree_id){
        return 'folder';
    }
    var el = document.getElementById(id.substring(0, 2) + '[' + tree_id + ']' + id.substring(2));
    if (typeof(el) == 'undefined' || el == null) return null;
    var type = el.getAttribute('rel');
    if (type.substring(0, 4) == 'file'){
        return 'file';
    }
    return type;
}

function initJQueryUploaderUI(tree_id, dnd){
    if (typeof(dnd) == 'undefined' || dnd == null){
	dnd = true;
    }
    var plugins_list;
    if (dnd){
	plugins_list = ['themes', 'html_data', 'ui', 'types', 'cookies', 'dnd', 'crrm'];
    }
    else {
	plugins_list = ['themes', 'html_data', 'ui', 'types', 'cookies'];
    }
    eval('tree_html_' + tree_id + ' = $(\'#\' + $escape(tree_id)).html();');
    $('#' + $escape(tree_id))
    .jstree({
        'types':{
            'valid_children': ['recycle', 'folder', 'file'],
            'types':{
                'recycle':{
                    'max_children': 0,
                    'icon': {
                        'image': 'themes/default/images/Recycle_Bin.png'
                    }
                },
                'folder': {
                    'valid_children': ['file', 'folder']
                },
                'file': {
                    'max_children': 0,
                    'icon': {
                        'image': 'themes/default/images/iconText.gif'
                    }
                }
            }
        },
        'ui':{
            'select_limit': -1,
            'disable_selecting_children': true,
            'select_multiple_modifier': (_isIE?'shift':'ctrl')
        },
        'dnd':{
            'check_timeout': 0
        },
        'crrm':{
            'move': {
                'check_move': function(m){
                    var s_id = m.o;
                    for (var i = 0; i < s_id.length; i++){
                        if (s_id[i].getAttribute('id').replace('[' + tree_id + ']', '') == 'I_recycle_bin_id/'){
                            return false;
                        }
                    }

                    var d_id = m.r.attr('id');
		    d_id = d_id.replace('[' + tree_id + ']', '');
                    if (getUploadType(d_id, tree_id) != 'folder' && getUploadType(d_id, tree_id) != 'recycle'){
                        return false;
                    }

                    return true;
                }
            }
        },
        plugins: plugins_list
    }
    )
    .bind('select_node.jstree', function(e, data){
        if (typeof(data.args[0]) == 'string'){
            var id = $(data.args[0])[0].parentNode.getAttribute('id');
        }
        else {
            var id = data.args[0].parentNode.getAttribute('id');
        }
	id = id.replace('[' + tree_id + ']', '');
        var ids = $('#'  + $escape(id) + "_new_items .jstree-clicked");
        for (var i = 0; i < ids.length; i++){
            id = ids[i].parentNode.getAttribute('id').replace('[' + tree_id + ']', '');;
            $('#' + $escape(tree_id)).jstree('deselect_node', '#' + $escape(id));
        }
    })
    .bind("move_node.jstree", function (e, data) {
        addTransparency(tree_id);
        var s_id = data.args[0].o;
        var d_id;

        switch (data.args[0].p){
            case 'before':
            case 'after':
                var obj = data.args[0].r.parent();
                while (typeof(obj.attr('id')) == 'undefined' || obj.attr('id') == '' || obj.attr('id') == null){
                    obj = obj.parent();
                }
		    d_id = obj.attr('id').replace(/([0-9]+)_new_items/, '$1');
                break;
            case 'last':
                d_id = data.args[0].r.attr('id');
                break;
        }
	d_id = d_id.replace('[' + tree_id + ']', '');

        if (getUploadType(d_id, tree_id) == 'file'){
            tariqaAlert(MESSAGES['ERROR_MOVE_ITEMS'], 'Error', TYPE_ALERT_ERROR);
            removeTransparency();
            return false;
        }

        d_id = d_id.replace(/_new_items$/g, '');

        var del = false;

        var func = function(){
            var id;
            var source;
            var destination = (d_id == tree_id ? '' : d_id.substring(2));

            for (var i = 0; i < s_id.length; i++){
                id = s_id[i].getAttribute('id').replace('[' + tree_id + ']', '');;
                source = id.substring(2);
                source = source.replace(/\\/g, '/');
                if (getUploadType(id, tree_id) == 'file'){
                    if (source.substr(source.length - 1, 1) == '/'){
                        source = source.substring(0, source.length - 1);
                    }
                }
                if (del){
                    sendAjax(URL(TARIQA_URL, 'module=ajax&action=deleteItem&type=' + getUploadType(id, tree_id) + '&source=' + encodeURIComponent(source) + '&page=' +
                        $('#page_type_' + $escape(tree_id))[0].value + '&root_folder=' + $('#root_folder_' + $escape(tree_id))[0].value) + '&tree_id=' + tree_id, 'get', itemMoved, tree_id)
                }
                else {
                    sendAjax(URL(TARIQA_URL, 'module=ajax&action=moveItem&type=' + getUploadType(id, tree_id) + '&source=' + encodeURIComponent(source) + '&destination=' + encodeURIComponent(destination) +
                        '&page=' + $('#page_type_' +  $escape(tree_id))[0].value + '&root_folder=' + $('#root_folder_' + $escape(tree_id))[0].value) + '&tree_id=' + tree_id, 'get', itemMoved, tree_id);
                }
            }
        }

        if (getUploadType(d_id, tree_id) == 'recycle'){
            del = true;
            tariqaConfirm(MESSAGES['DELETE_SELECTED_ITEMS'], function(result){
                if (!result){
                    rebuildTree(tree_id);
                }
                else {
                    func();
                }
            });
        }
        else {
            func();
        }

        removeTransparency();
        return true;

    /*$('#briefcase_tree').jstree('destroy');
        initTree();*/

    });
    //changeStyle('.jstree a', null, 'line-height:16px; height:16px; color:black; white-space:nowrap; text-decoration:none; padding:1px 2px; margin:0;');
}

/*function rebuildId(id){
    var _id = id;

    _id = _id.replace(/\\/, '/');
    if (_id.substr(_id.length - 1, 1) == '/') _id = _id.substr(0, _id.length - 1);

    var parts = _id.split('/');
    var old_folder = '';

    for (var i = 0; i < parts.length - 1; i++){
        old_folder += (old_folder == '' ? '' : '/') + parts[i];
    }

    if (old_folder == ''){
        old_folder = 'F_';
    }
    else {
        old_folder += '/';
    }

    var parent_id = $('#' + $escape(id)).parent().parent().attr('id');

    if (parent_id == 'files_tree'){
        parent_id = 'F_';
    }

    var new_id = id.substring(0, 2) + parent_id.substring(2) + id.substring(old_folder.length);

    $('#' + $escape(id)).attr('id', new_id);

    var new_items = $('#' + $escape(id) + '_new_items');
    if (new_items.length > 0){
        new_items.attr('id', new_id + '_new_items');
    }

    var children = $('#' + $escape(new_id) + " li");
    children.each(function(idx){
        var id = $(this).attr('id');
        $(this).attr('id', id.substring(0, 2) + parent_id.substring(2) + id.substring(old_folder.length));
    });

    return new_id;
}*/

function itemMoved(response, tree_id){
    var xp = new xpath(response);
    var result = xp.doXPath('//error');
    if (result.firstNode()){
	tariqaAlert(result.firstNode().firstChild.data, 'Error', TYPE_ALERT_ERROR);
	return false;
    }
    result = xp.doXPath('//operation');
    if (result.firstNode()){
        var r = result.firstNode().firstChild.data;
        if (r == 'Ok'){
            result = xp.doXPath('//new_tree');
            if (result.firstNode()){
                var html = result.firstNode().firstChild.data;
		eval('tree_html_' + tree_id + ' = "<ul>" + myDecode(html) + "</ul>"');
                rebuildTree(tree_id);
            }
        }
        else {
            tariqaAlert(r, 'Error', TYPE_ALERT_ERROR);
        }
    }


    removeTransparency();
}

function ajaxFileUpload(tree_id)
{
    addTransparency(tree_id);
    $.ajaxFileUpload
    (
    {
        url:URL(TARIQA_URL, 'module=ajax&action=doAjaxFileUpload&page=' + $('#page_type_' + $escape(tree_id))[0].value + '&root_folder=' + $('#root_folder_' + $escape(tree_id))[0].value + '&tree_id=' + tree_id),
        secureuri:false,
        fileElementId:'fileToUpload_' + tree_id,
        dataType: 'xml',
        success: function (data, status)
        {
            itemMoved(data, tree_id);
        },
        error: function (data, status, e)
        {
            tariqaAlert(e, 'Error', TYPE_ALERT_ERROR);
            removeTransparency();
        }
    }
    )

    return false;

}

function createFolder(tree_id){
    addTransparency(tree_id);
    tariqaPrompt(MESSAGES['NEW_FOLDER_NAME'], function(name){
        removeTransparency();
        sendAjax(URL(TARIQA_URL, 'module=ajax&action=uploaderCreateFolder&page=' + $('#page_type_' + $escape(tree_id))[0].value +
            '&root_folder=' + $('#root_folder_' + $escape(tree_id))[0].value + '&name=' + name) + '&tree_id=' + tree_id, 'get', folderCreated, tree_id);
        return false;
    });

    return false;
}

function folderCreated(response, tree_id){
    itemMoved(response, tree_id);
}

function rebuildTree(tree_id){
    $('#' + $escape(tree_id)).jstree('destroy');
    eval('$(\'#\' + $escape(tree_id))[0].innerHTML = tree_html_' + tree_id);
    initJQueryUploaderUI(tree_id);
}

function addTransparency(tree_id){
    var tree = $('#' + $escape(tree_id));
    var style = "padding-left: " + (Math.round(tree.width() / 2) - 50) + "px; padding-top: " + (Math.round(tree.height() / 2) - 50) + "px; width: " + tree.width() + "px; height: " + tree.height() + "px;  left: " + tree.position().left + "px; top: " + tree.position().top + "px; position: absolute; z-index: 1001;";
    var html = '<div class="ui-widget-overlay" style="' + style + '"><img src="themes/default/images/loading.gif"/></div>';
    $('#tree_container').append(html);
}

function removeTransparency(){
    $('#tree_container .ui-widget-overlay').remove();
}