/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

var IDX1 = 0;
var IDX2 = 0;
var player;

var playing = false;

function showChunk(IDX){
	var innerHTML = '';
	innerHTML += '<div style="padding-top: 10px; padding-bottom: 5px; width: 320px;">';
	innerHTML += (IDX > 0 ? '<div style="float: left;"><a class="virage_normal" href="#" onclick="setPosition(' + chunks[IDX - 1].startTime + '); return false;">&lt;&lt;Rewind</a></div>' : '');
	innerHTML += (IDX < chunks.length - 1 ? '<div style="float: right;"><a class="virage_normal" href="#" onclick="setPosition(' + chunks[IDX + 1].startTime + '); return false;">Fast forward&gt;&gt;</a></div>' : '');
	innerHTML += '<div style="clear: both;"></div>';
	innerHTML += '</div>';
	innerHTML += chunks[IDX].innerHTML;
	document.getElementById('current_chunk_id').innerHTML = innerHTML;
}

function setIdxPosition(position){
	for (var i = 0; i < chunks.length; i++){
		if (chunks[i].startTime <= position && chunks[i].endTime >= position) {
			IDX1 = i;
			for (var j = 0; j < chunks[i].words.length; j++){
				IDX2 = j;
				if (chunks[i].words[j].time > position){
					IDX2 = j - 1;
					break;
				}
			}
			break;
		}
	}
}

function OnDSPositionChangeEvt(oldPosition, NewPosition){
	setIdxPosition(NewPosition * 1000);
	showChunk(IDX1);
}

function getCurrentPosition(){
	if (player.controls)
		var currentPosition = player.controls.currentPosition * 1000;
	else var currentPosition = player.currentPosition * 1000;

	return currentPosition;
}

function OnDSPlayStateChangeEvt(newState){
	if (newState == 4 || newState == 5 || newState == 6) {
		if (newState == 6) playing = false;
		else playing = true;
		var currentPosition = getCurrentPosition();
		setIdxPosition(currentPosition);
		showChunk(IDX1);
	}
	else if (newState == 1 || newState == 0 || newState == 8){
		IDX1 = 0; IDX2 = 0; playing = false;
		showChunk(IDX1);
	}
	else if (newState == 3){
		if (!playing){
			playing = true;
			watchMovie();
		}
	}
	else if (newState == 2){
		playing = false;
	}
}

function getPlayer(id_ie, id_ff){
	player = document.getElementById(_isIE ? id_ie : id_ff);

	if (player.attachEvent){
		player.attachEvent('PositionChange', OnDSPositionChangeEvt);
		player.attachEvent('PlayStateChange', OnDSPlayStateChangeEvt);
	}
}

function setPosition(position){
	if (player.controls){
		player.controls.currentPosition = position / 1000;
		player.controls.play();
	}
	else {
		player.currentPosition = position / 1000;
		player.play();
	}
}

function nextChunk(currentPosition){
	IDX1++;
	if (chunks[IDX1].startTime > currentPosition || chunks[IDX1].endTime < currentPosition) IDX1--;
	else {
		IDX2 = 0; 
		if (IDX1 >= chunks.length) IDX1 = 0;
		showChunk(IDX1);
	}
}

function watchMovie(){
	var currentPosition = getCurrentPosition();

	if (chunks[IDX1].startTime <= currentPosition && chunks[IDX1].endTime >= currentPosition) {
		if (chunks[IDX1].words[IDX2].time <= currentPosition){
			var word = document.getElementById('word_' + chunks[IDX1].words[IDX2].time);
			if (word != null){
				word.className = 'virage_normal';
			}
			IDX2++;
			if (IDX2 >= chunks[IDX1].words.length){
				nextChunk(currentPosition);
			}
		}
		var word = document.getElementById('word_' + chunks[IDX1].words[IDX2].time);
		if (word != null){
			word.className = 'virage_highlight';
		}
	}
	else {
		nextChunk(currentPosition);
	}

	if (playing){
		setTimeout("watchMovie()", 200);
	}
}