<?php

/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 * 	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 * 	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

/**
 * Tarîqa 3.0 - Core components
 * @author Pascal Havelange, Cosmin Popescu
 * @copyright © EUROPEAN COMMISSION, 2009-2010
 *
 * @license http://ec.europa.eu/idabc/eupl
 */

namespace tariqa3 {

    /**
     * Class for filtering a list of feeds
     */
    class FilterFeeds {

        /**
         * The feed identifier to be filtered
         * @var int
         * @access protected
         **/
        protected $feed_id;

        /**
         * Constructs the object
         * @param int $feed_id  The feed identifier
         * @access public
         * @return void
         **/
        public function __construct($feed_id) {
            $this->feed_id = $feed_id;
        }

        /**
         * Executes the filtering
         * @param RSS_feed $feed The feed
         * @access public
         * @return boolean
         **/
        public function doFilter($feed) {
            return $feed->feed_id == $this->feed_id;
        }

    }
}
?>