<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

/**
 * Tarîqa 3.0 - SOAP Components
 * @author Pascal Havelange, Cosmin Popescu
 * @copyright © EUROPEAN COMMISSION, 2009-2010
 *
 * @license http://ec.europa.eu/idabc/eupl
 */
namespace tariqa3\SOAP{

	/**
	 * Class for connecting to the SOAP service
	 */
	class TariqaAuthenticationClient extends \SoapClient {

		/**
		 * @param array $options An array of options to pass to the SoapClient constructor
		 * @param array $config The config array
		 * @return TariqaClient
		 * */
		public function __construct( $options = null, $config ) {
			// Load Configuration File
			$this->config = $config;

			$soap_options = array();
			$soap_options["trace"] = true;
			$soap_options["exceptions"] = true;
			$soap_options["classmap"] = $this->config["soap-auth"]["classmap"];
			if( is_array( $options )) {
				if( array_key_exists( "classmap", $options )) {
					$more_classmap = $options["classmap"];
					unset( $options["classmap"] );
					foreach( $more_classmap as $k => $v ) {
						$soap_options["classmap"][$k] = $v;
					}
				}
				$soap_options = array_merge( $soap_options, $options );
			}
			parent::__construct( $this->config["soap-auth"]["wsdl"], $soap_options );
			if( array_key_exists( "ssl", $this->config ) && array_key_exists( "certificate", $this->config["ssl"] )) {
				if( "" != $this->config["ssl"]["certificate"] ) {
					$this->_local_cert = $this->config["ssl"]["certificate"];
				}
			}
		}
	}

}
?>