<?php

	/**
	 * Describe a news Article
	 * (Used by queries on engine/sources, such as LatestNews & LexisNexis)
	 * */
	class Article {
		
		/**
		 * The article identifier
		 * @var integer
		 * @access public
		*/
		public $id;
		
		/**
		 * Title of the article
		 * @var string
		 * */
		public $title;
		
		/**
		 * Date of publication of the article
		 * @var string
		 * */
		public $date;
		
		/**
		 * First paragraph of the article (or abstract or summary)
		 * @var string
		 * */
		public $lead_para;
		
		/**
		 * Text of the article (may be empty)
		 * @var string
		 * */
		public $body;
		
		/**
		 * If available, link to the full article
		 * @var string
		 * */
		public $url;
		
		/**
		 * If available, url to an icon to display in front of the article
		 * @var string
		 * */
		public $icon;
		
		/**
		 * If available the copyright information of the article
		 * @var string
		 * */
		public $copyright;
		
		/**
		 * RSS Enclosure tag -> URL attribute
		 * @var string
		 * */
		public $enclosure_url;

		/**
		 * RSS Enclosure tag -> type attribute
		 * @var string
		 * */
		public $enclosure_type;

		/**
		 * RSS Enclosure tag -> length attribute
		 * @var int
		 * */
		public $enclosure_length;
	}
?>