<?php
    /**
    * Containes information about an engine
    * @author Cosmin Popescu
    * @copyright  EUROPEAN COMMISSION, 2009
    * */

    class FactivaContentHeadline {
        /**
        * The article identifier
        * @var string
        * */
        public $accessionNo;

        /**
        * The base language of the article
        * @var string
        * */
        public $baseLanguage;

        /**
        * The article headlines
        * @var string[]
        * */
        public $headline;

        /**
        * The article publication date
        * @var int (UNIX timestamp format)
        * */
        public $publicationDate;

        /**
        * The identifier of the article source
        * @var string
        * */
        public $sourceCode;

        /**
        * The name of the source article
        * @var string
        * */
        public $sourceName;

        /**
        * The article words count
        * @var int
        * */
        public $wordCount;

        /**
        * This element represents the name of a column in which an article appeared. An example might be the "Asian-Pacific Markets" column in the Wall Street Journal.
        * @var string
        * */
        public $columnName;

        /**
        * Copyright informations
        * @var string
        * */
        public $copyright;

        /**
        * Parts of the content to which the headline belongs
        * @var FactivaContentPart
        * */
        public $part;

        /**
        * The section name in which the article appeared
        * @var string
        * */
        public $sectionName;

        /**
        * Snippets from the article
        * @var string[]
        * */
        public $snippet;

        /**
        * The by line
        * @var string
        * */
        public $byLine;

        /**
        * Credits for the article
        * @var string
        * */
        public $credit;
    }

?>