<?php

	class GoogleNewsQuery {
		
		const scoring_Relevance = 'r';
		const scoring_Date = 'd';
		const scoring_DateNoDuplicates = 'n';
		
		const topic_Headlines = 'h';
		const topic_World = 'w';
		const topic_Business = 'b';
		const topic_Nation = 'n';
		const topic_Technology = 't';
		const topic_Elections = 'el';
		const topic_Politics = 'p';
		const topic_Entertainment = 'e';
		const topic_Sports = 's';
		const topic_Health = 'm';
		const topic_Africa = 'af';		// Works only with African News Selected (Ie: Zimbabwe, South Africa, ...)
		const topic_Popular = 'po';		// Works only with some countries (I.e: Spain, USA, ...)
		
		const source_Spanish_Argentina = 'es_ar';
		const source_English_Australia = 'au';
		const source_Dutch_Belgium = 'nl_be';
		const source_French_Belgium = 'fr_be';
		const source_English_Botswana = 'en_bw';
		const source_Portuguese_Brasil = 'pt-br_br';
		const source_English_Canada = 'ca';
		const source_French_Canada = 'fr_ca';
		const source_Czech_CzechRepublic = 'cs_cz';
		const source_Spanish_Chile = 'es_cl';
		const source_Spanish_Colombia = 'es_co';
		const source_Spanish_Cuba = 'es_cu';
		const source_German_Germany = 'de';
		const source_Spanish_Spain = 'es';
		const source_Spanish_USA = 'es_us';
		const source_English_Ethiopia = 'en_et';
		const source_French_France = 'fr';
		const source_English_Ghana = 'en_gh';
		const source_English_India = 'in';
		const source_English_Ireland = 'en_ie';
		const source_English_Israel = 'en_il';
		const source_Italian_Italia = 'it';
		const source_English_Kenya = 'en_ke';
		const source_Hungarian_Hungary = 'hu_hu';
		const source_English_Malaysia = 'en_my';
		const source_Spanish_Mexico = 'es_mx';
		const source_English_Namibia = 'en_na';
		const source_Dutch_Nederland = 'nl_nl';
		const source_English_NewZealand = 'nz';
		const source_English_Nigeria = 'en_ng';
		const source_Norwegian_Norwege = 'no_no';
		const source_German_Austria = 'de_at';
		const source_English_Pakistan = 'en_pk';
		const source_Spanish_Peru = 'es_pe';
		const source_English_Philippines = 'en_ph';
		const source_Polish_Poland = 'pl_pl';
		const source_Portuguese_Portugal = 'pt-pt_pt';
		const source_German_Switzerland = 'de_ch';
		const source_English_Singapore = 'en_sg';
		const source_English_SouthAfrica = 'en_za';
		const source_French_Switzerland = 'fr_ch';
		const source_Swedish_Sweden = 'sv_se';
		const source_English_Tanzania = 'en_tz';
		const source_Turkish_Turkey = 'tr_tr';
		const source_English_UK = 'uk';
		const source_English_USA = 'us';
		const source_English_Uganda = 'en_ug';
		const source_Spanish_Venezuela = 'es_ve';
		const source_Vietnamese_VietName = 'vi_vn';
		const source_English_Zimbabwe = 'en_zw';
		const source_Greek_Greece = 'el_gr';
		const source_Russian_Russia = 'ru_ru';
		const source_Hebrew_Israel = 'iw_il';
		const source_Arabic = 'ar_me';
		const source_Hindi_India = 'hi_in';
		const source_Tamil_India = 'ta_in';
		const source_Telugu_India = 'te_in';
		const source_Malayalam_India = 'ml_in';
		const source_Korean_Korea = 'kr';
		const source_Chinese_China = 'cn';
		const source_Chinses_Taiwan = 'tw';
		const source_Japanese_Japan = 'jp';
		const source_Chinese_HongKong = 'hk';
		
		const size_small = 'small';
		const size_large = 'large';
		
		/**
		 * @var string This optional argument tells the news search system which edition of news to pull results from 
		 * */
		public $source;
		
		/**
		 * @var string This optional argument tells the news search system to scope search results to a particular topic
		 * */
		public $topic;
		
		/**
		 * @var string This optional argument tells the news search system how to order results
		 * */
		public $scoring;
		
		/**
		 * @var string This argument supplies the query, or search expression, that is passed into the searcher.
		 * */
		public $query;
		
		/**
		 * @var string This optional argument supplies the number of results that the application would like to recieve
		 * */
		public $size;
		
		/**
		 * @var int This optional argument supplies the start index of the first search result
		 * */
		public $start;
		
		/**
		 * @var string The engine type (news, blogs etc.)
		 * */
		public $data;
		
		/**
		 * @var Pair[] Specific search options
		 * */
		public $specific_options = array();

		/**
		 * Constructor
		 * @param string $query [OPTIONAL]
		 * @param int $start [OPTIONAL]
		 * @param string $scoring [OPTIONAL]
		 * @param string $source [OPTIONAL]
		 * @param string $topic [OPTIONAL]
		 * @param string $size [OPTIONAL]
		 * */
		public function __construct( $query = null, $start = null, $scoring = null, $source = null, $topic = null, $size = null ) {
			$this->query = (null === $query) ? null : $query;
			$this->start = (null === $start) ? 0 : $start;
			$this->scoring = (null === $scoring) ? self::scoring_Date : $scoring;
			$this->source = (null === $source) ? null : $source;
			$this->topic = (null === $topic) ? null : $topic;
			$this->size = (null === $size) ? self::size_large : $size;
		}

	}
?>