<?php

/**
  * this class describes an article of an RSS feed
  * */
class Latestnews_article {
	/**
	 * Unique identifier of the article
	 * @var int
	 * */
	public $article_id;
	
	/**
	 * ID of the feed this article belongs to
	 * @var int
	 * */
	public $feed_id;
	
	/**
	 * Date of publication of the article [UNIX timestamp]
	 * @var int
	 * */
	public $date;
	
	/**
	 * Title of the article (truncated to 255 chars)
	 * @var string
	 * */
	public $title;
	
	/**
	 * Title of the article (full length)
	 * @var string
	 * */
	public $headline;
	
	/**
	 * Summary of the article if available
	 * @var string
	 * */
	public $summary;
	
	/**
	 * Body of the article
	 * @var string
	 * */
	public $content;
	
	/**
	 * Language of the article
	 * @var string
	 * */
	public $language;
	
	/**
	 * Agency of the article
	 * @var string
	 * */
	public $agency;
    
	/**
	 * Latestnews identifier of the article
	 * @var int
	 * */
	public $latestnews_id;
}
?>