<?php

	/**
	 * Encloses a LexisNexis Search Query
	 */
	class LexisNexisQuery {
	
		/**
		 * The query string
		 * @var string
		 */
		public $query;
		
		/**
		 * List of sources to browses
		 * @var int[] 
		 */
		public $sources;
		
		/**
		 * Sort order
		 * @see SO_DATE
		 * @see SO_RELEVANCE
		 * @see SO_IMPLIED
		 * @var string
		 */
		public $sortOrder;
		
		/**
		 * Sort Order
		 * @see $sortOrder
		 */
		const SO_DATE = "Date";
		/**
 		 * Sort Order
		 * @see $sortOrder
		 */
		const SO_RELEVANCE = "Relevance";
		/**
		 * Sort Order
		 * @see $sortOrder
		 */
		const SO_IMPLIED = "Implied";
		
		/**
		 * Restricts the search to candidate documents that have been published on or after this date
		 * @var int
		 */
		public $startDate;
		
		/**
		 * Restricts the search to candidate documents that have been published on or before this date
		 * @var int
		 */
		public $endDate;
		
		/**
		 * Default constructor
		 * @param string $query
		 * @param int[] $sources
		 * @param string $sortOrder
		 * @param int $startDate
		 * @param int $endDate
		 * @return void
		 */
		public function __construct( $query = null, $sources = null, $sortOrder = self::SO_IMPLIED, $startDate = null, $endDate = null ) {
			$this->query = $query;
			$this->sources = $sources;
			$this->sortOrder = $sortOrder;
			$this->startDate = $startDate;
			$this->endDate = $endDate;
		}
		/**
		 * Set the list of sourcesfrom an array of LexisNexisSource objects
		 * @param LexisNexisSource[] $sources
		 * @return void
		 */
		public function setSources( $sources ) {
			$this->sources = array();
			foreach( $sources as $source ) {
				$this->sources[] = $source->id;
			}
		}
		 
	}

?>