<?php

	/**
	 * Encloses a LexisNexis SortResults Query
	 */
	class LexisNexisSortResultsQuery {
	
		/**
		 * The Search Id
		 * @var string
		 */
		public $searchId;
		
		/**
		 * Sort order
		 * @see SO_DATE
		 * @see SO_RELEVANCE
		 * @see SO_IMPLIED
		 * @var string
		 */
		public $sortOrder;
		
		/**
		 * Sort Order
		 * @see $sortOrder
		 */
		const SO_DATE = "Date";
		/**
 		 * Sort Order
		 * @see $sortOrder
		 */
		const SO_RELEVANCE = "Relevance";
		/**
		 * Sort Order
		 * @see $sortOrder
		 */
		const SO_IMPLIED = "Implied";
		
		
		/**
		 * The list of sortkeys (an array of Pair objects, which keys are the sortKey ID and the value is the sort direction
		 * @see SD_ASCENDING
		 * @see SD_DESCENDING
		 * @var Pair[]
		 */
		public $sortKeys;
		
		/**
		 * Sort Direction
		 * @see $sortKeys
		 */
		const SD_ASCENDING = "Ascending";
		/**
		 * Sort Direction
		 * @see $sortKeys
		 */
		const SD_DESCENDING = "Descending";
		
		
		/**
		 * Default constructor
		 * @param string $searchId
		 * @param string $sortOrder
		 * @param Pair[] $sortKeys
		 * @return void
		 */
		public function __construct( $searchId = null, $sortOrder = self::SO_RELEVANCE, $sortKeys = null ) {
			$this->searchId = $searchId;
			$this->sortOrder = $sortOrder;
			$this->sortKeys = $sortKeys;
		}

	}

?>