<?php
    /**
    * Containes information about a request to find a LexisNexis source
    * @author Cosmin Popescu
    * @copyright  EUROPEAN COMMISSION, 2009
    * */

    class LexisNexisSourceSearchRequest {
        /**
        * Identifies the language associated with the request.
        * @var string
        * */
        public $locale = null;

        /**
         * Identifies the folder within the source directory from which the search will begin. If this element is empty, the search will begin at the top of the source directory.
         * @var int
        */
        public $folderId = null;

        /**
         * Contains a string of characters that should appear in either the actual name of the publication or the name given to a group of publications.
         * @var string
        */
        public $query = null;

        /**
         * Use Combined Search Pricing Rules/Logic.
         * @var boolean
        */
        public $useCSP = null;

    }

?>