<?php

	class OxfordAnalyticaQueryBase {
		
		/**
		 * single executive summary paragraphs
		 * */
		const ST_EXECUTIVE_SUMMARY = "ES";
		/**
		 * full length articles
		 * */
		const ST_FULL_LENGTH_ARTICLE = "DB";
		/**
		 * Country profiles
		 * */
		const ST_COUNTRY_PROFILE = "CS";
		
		/**
		 * will produce results in XML-compatible HTML
		 * */
		const DM_HTML = "HTML";
		
		/**
		 * will return XML
		 * */
		const DM_XML = "XML";
		
		/**
		 * The content types to be retrieved. 
		 * @var string
		 * @see ST_EXECUTIBE_SUMMARY
		 * @see ST_FULL_LENGTH_ARTICLE
		 * @see ST_COUNTRY_PROFILE
		 * */
		public $storyType;
		
		/**
		 * Earliest content: The date (unix timestamp) representing the lower date limit of the search.
		 * @var int
		 * */
		public $from;
		
		/**
		 * Latest content: The date (unix timestamp) representing the lower date limit of the search.
		 * @var int
		 * */
		public $to;
		
		/**
		 * Number of results to be returned
		 * @var int
		 * */
		public $pageLen;
		
		/**
		 * The page of results desired, with the first page being identified by zero, next page by 1, etc.
		 * @var int
		 * */
		public $pageNo;
		
		/**
		 * Display mode
		 * @see DM_HTML
		 * @see DM_XML
		 * @var string
		 * */
		public $displayMode;
		
		/**
		 * Default constructor
		 * @return OxfordAnalyticaQueryBase
		 * */
		public function __construct() {
			$this->storyType = self::ST_FULL_LENGTH_ARTICLE;
			$this->displayMode = self::DM_XML;
			$this->pageNo = 0;
			$this->pageLen = 10;
			$this->from = 0;
			$this->to = 0;
		}
		
		
	}
?>