<?php

	/**
	 * Object returned by OxfordAnalyticaSimpleSearch and OxfordAnalyticaDetailedSearch
	 * @see Tariqa::OxfordAnalyticaSimpleSearch()
	 * @see Tariqa::OxfordAnalyticaDetailedSearch()
	 * */
	class OxfordAnalyticaSearchResult {
		
		/**
		 * Total number of matches
		 * @var int
		 * */
		public $totalNumberOfMatches;
		
		/**
		 * Note that the Navigation elements are there to be presented to users, not to be reused by programs using the API – these can navigate by simple incrementing of the pageNo variable.
		 * @var OxfordAnalyticaNavigation
		 * */
		public $navigation;
		
		/**
		 * Items returned as part of the search
		 * @var OxfordAnalyticaHitItem[]
		 * */
		public $hitItem;
		
		/**
		 * Default constructor
		 * @return OxfordAnalyticaSearchResult
		 * */
		public function __construct() {
			$this->navigation = new OxfordAnalyticaNavigation();
			$this->hitItem = array();
		}
	}
	
?>