<?php

/**
  * this class describes an article of an RSS feed,
  * from the RSS Aggregator!
  * */
class RSS_article {
	/**
	 * Unique identifier of the article (url is wrong as it can appear in several feeds)
	 * @var int
	 * */
	public $article_id;
	
	/**
	 * ID of the feed this article belongs to
	 * @var int
	 * */
	public $feed_id;
	
	/**
	 * Date of publication of the article [UNIX timestamp]
	 * @var int
	 * */
	public $date;
	
	/**
	 * Title of the article (truncated to 255 chars)
	 * @var string
	 * */
	public $title;
	
	/**
	 * Title of the article (full length)
	 * @var string
	 * */
	public $headline;
	
	/**
	 * Summary of the article if available
	 * @var string
	 * */
	public $description;
	
	/**
	 * Link to the article
	 * @var string
	 * */
	public $link;
	
	/**
	 * Comment about the article (if available)
	 * @var string
	 * */
	public $comments;
	
	/**
	 * Author of the article (if available)
	 * @var string
	 * */
	public $author;
    
}
?>