<?php

	/**
	 * Describes a Geographic Region
	 * @author Pascal Havelange
	 * @copyright © EUROPEAN COMMISSION, 2008
	 * */
	class Region {

		/**
		 * Id of the region
		 * @var int
		 * */
		public $region_id;

		/**
		 * Name of the region in english
		 * @var string
		 * */
		public $name;

		/**
		 * Comments
		 * @var string
		 * */
		public $comments;

		/**
		 * If false, it indicates that the region is a group of countries (I.e. Middle East, Balkans are regions composed of several countries)
		 * If true, the region is a portion of a country (I.e. Kosovo 'belongs' to Serbia, Palestine 'belongs' to Israël)
		 * @var boolean
		 * */
		public $is_sub_region;

		/**
		 * List of countries belonging to the Region
		 * ATTENTION: if is_sub_region is true, then countries will contain only one item: the parent country
		 * @var Country[]
		 * */
		public $countries;

	}
?>