<?php

	/**
	 * Encloses a The images of a virage document
	 */
	class VirageDocumentImages {
	
		/**
		 * The document identifier
		 * @var int
		 */
		public $document_id;

		/**
		 * The large image content (base64 encoded)
		 * @var string[]
		 */
		public $largeImageContent;

		/**
		 * The large image MSec time
		 * @var int[]
		 */
		public $largeImageMSegTime;

		/**
		 * The small image content (base64 encoded)
		 * @var string[]
		 */
		public $smallImageContent;

		/**
		 * The small image MSec time
		 * @var int[]
		 */
		public $smallImageMSegTime;

		/**
		 * Sets the large images MSec time from an string (space delimiter)
		 * @param string $time The sound time
		 * @return void
		 * */
                public function setLargeImageMSecTime($time){
                    $this->largeImageMSegTime = array_filter($time == ""?array():explode(" ", $time));
                }

		/**
		 * Gets the large images MSec time
		 * @return string
		 * */
                
                public function getLargeImageMSecTime(){
                    $rez = "";
                    foreach ($this->largeImageMSegTime as $time)
                        $rez .= ($rez == ""?"":" ") . $time;
                        
                    return $rez;
                }

		/**
		 * Sets the small images MSec time from an string (space delimiter)
		 * @param string $time The sound time
		 * @return void
		 * */
                public function setSmallImageMSecTime($time){
                    $this->smallImageMSegTime = array_filter($time == ""?array():explode(" ", $time));
                }

		/**
		 * Gets the small images MSec time
		 * @return string
		 * */
                
                public function getSmallImageMSecTime(){
                    $rez = "";
                    foreach ($this->smallImageMSegTime as $time)
                        $rez .= ($rez == ""?"":" ") . $time;
                        
                    return $rez;
                }
		
		/**
		 * Sets the large images content time from an string (! delimiter)
		 * @param string $content The content of the image
		 * @return void
		 * */
                public function setLargeImageContent($content){
                    $this->largeImageContent = array_filter($content == ""?array():explode("|", $content));
                }

		/**
		 * Gets the large images content
		 * @return string
		 * */
                
                public function getLargeImageContent(){
                    $rez = "";
                    foreach ($this->largeImageContent as $content)
                        $rez .= ($rez == ""?"":"|") . $content;
                        
                    return $rez;
                }

		/**
		 * Sets the small images content time from an string (! delimiter)
		 * @param string $content The content of the image
		 * @return void
		 * */
                public function setSmallImageContent($content){
                    $this->smallImageContent = array_filter($content == ""?array():explode("|", $content));
                }

		/**
		 * Gets the small images content
		 * @return string
		 * */
                
                public function getSmallImageContent(){
                    $rez = "";
                    foreach ($this->smallImageContent as $content)
                        $rez .= ($rez == ""?"":"|") . $content;
                        
                    return $rez;
                }

	}

?>