<?php
	
	/**
	 * Object returned by a Tariqa::fetchUrl() operation, describing a document received from the internet
	 * @see Tariqa::fetchUrl
	 * */
	class WebDocument {
		
		/**
		 * HTTP Code
		 * @var int
		 * */
		public $http_code;
		
		/**
		 * Effective URL
		 * @var string
		 * */
		public $url;
		
		/**
		 * Content-type
		 * @var string
		 * */
		public $content_type;
		
		/**
		 * Content-length
		 * @var int
		 * */
		public $content_length;
		
		/**
		 * Total transaction time in seconds for last transfer 
		 * @var int
		 * */
		public $total_time;
		
		/**
		 * Average download speed
		 * @var int
		 * */
		public $speed_download;
		
		/**
		 * The content of the document
		 * @var string
		 * */
		public $body;
		
		/**
		 * set-cookie headers
		 * @var Cookie[]
		 * */
		public $cookies;
	}
?>