<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

namespace tariqa3{

	/**
	 * Base class for all modules that requires users to be valid members of the RELEX_TARIQANG group (NGO, Member States, COMMISSION officials, RELEX officials)
	 * @package tariqa3
	 * @author Pascal Havelange, Cosmin Popescu
	 * @copyright © EUROPEAN COMMISSION, 2009-2010
	 * @license http://ec.europa.eu/idabc/eupl
	 */
	abstract class baseModule_RELEX_TARIQANG extends BaseModuleWithAuthenticationAndLanguages {

		/**
		 * Build the module and parse the config file
		 * @param array $config The multidimentionnal config array
		 * @param string $charset Character set of the module's output
		 */
		public function __construct( $config, $charset = 'UTF-8' ) {
			parent::__construct( $config, $charset );
		}

		/**
		 * At initialisation, request authentication, or throw an exception on failure
		 */
		protected function onInitialize() {
			parent::onInitialize();
			if (defined('DEBUG')){
				if (DEBUG == true){
					if (in_array($this->user->user_id, $this->config['security']['debug-users']['user'])){
						error_log('Debug access granted to ' . $this->user->user_id);
						return true;
					}
				}
			}

			if( !$this->user->isMemberOf( array('RELEX_TARIQANG', 'RELEX_TARIQAEM', 'RELEX_TARIQAEC', 'RELEX_TARIQARX'), false ) ) {
				throw new \MetaNull\Authentication\insufficientPrivilegesException( 'Access to this page is restricted' );
			}
		}
	}
}
?>