<?php
/**
 * Class used for rendering the list of themes
 *
 * @license http://ec.europa.eu/idabc/eupl
 */
namespace tariqa3{

require_once('ThemesTree.class.php');

class ThemesListSection extends tariqa3ModuleSection{
	/**
	 * Constructs the object
	 * @param array $config The configuration array
	 * @param string $parentBase base_folder of the container class
	 * @param string $section_id The section identifier
	 * @param array $translationTable The translation table
	 * @access public
	 * @return void
	 */
	public function __construct($config, $parentBase, $section_id, $translationTable) {
		parent::__construct($config, $parentBase, $section_id);
		$this->translationTable = $translationTable;
	}

	/**
	 * Render the module
	 * @return string
	 */
	public function getPageContent() {
		$tpl = new \MetaNull\Application\MTemplate( 'm' );
		$tpl->loadTemplate($this->getTemplateFilePath('listing.html'));
		$tpl->data = $this->translationTable;
		
		$tree = new ThemesTree($this->translate('module/root_node_name'));
		$tpl->data['html'] = $tree->folderHTML('TEST', null);

		return $tpl->transform();
	}

}
}
?>
