<?php
/*
 * © EUROPEAN COMMISSION, 2007-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs:
 *	Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *	Cosmin Popescu,   Adrian.POPESCU@ext.ec.europa.eu
 */

namespace tariqa3{
	/**
	 * Tarîqa 3.0 Application's base module (takes care of the general layout)
	 * @package tariqa3
	 * @author Pascal Havelange
	 * @copyright © EUROPEAN COMMISSION, 2009-2010
	 * @license http://ec.europa.eu/idabc/eupl
	 */
	class tariqa3ModuleDescriptor {
		/**
		 * Label of the module (appears on the menu)
		 * @var string
		 */
		public $label;
		/**
		 * Keyname of the module
		 * @var string
		 */
		public $keyname;
		/**
		 * Title of the module (header/title)
		 * @var string
		 */
		public $title;
		/**
		 * Description of the module (header/title + a/title)
		 * @var string
		 */
		public $description;
		/**
		 * php class name
		 * @var string
		 */
		public $className;
		/**
		 * Url to the module
		 * @var string
		 */
		public $link;
		/**
		 * = 'active' if if the module is the active module, empty string if it is not the case or null if unknown
		 * @var null|string
		 */
		public $active;

		/**
		 * Flag indicating weither the object has been successfully initialized by the constructor
		 * @var bool
		 */
		public $valid;

		/**
		 * Build a tariqa3ModuleDescriptor object
		 * @param tariqa3Module $module
		 */
		public function __construct( $module = null ) {
			if( !is_null($module) && is_a( $module, 'tariqa3\\tariqa3Module') ) {
				$this->className = get_class($module);
				$this->keyName = $module->getName();
				$this->label = $module->translate('module/tabTitle');
				$this->title = $module->getTitle();
				$this->description = $module->getDescription();
				$this->link = $module->getLink();
				$this->valid = true;
			} else {
				$this->valid = false;
			}
			$this->active = null;
		}
	}
}
?>
