<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	>
<!--xsl:output method="html" indent="yes" omit-xml-declaration="yes"/-->
<!--	xmlns:fn="http://www.w3.org/2005/xpath-functions"-->
	<xsl:template match="/articles[@folder='_root_']">
		<xsl:element name="map">
			<xsl:attribute name="version"><xsl:text>0.8.1</xsl:text></xsl:attribute>
			<xsl:element name="node">
				<xsl:attribute name="CREATED">
					<xsl:value-of select="@date"/>
				</xsl:attribute>
				<xsl:attribute name="ID">
					<xsl:value-of select="generate-id()"/>
				</xsl:attribute>
				<xsl:attribute name="MODIFIED">
					<xsl:value-of select="@date"/>
				</xsl:attribute>
				<xsl:attribute name="TEXT">
					<xsl:text>Articles</xsl:text>
				</xsl:attribute>
				<xsl:apply-templates />
			</xsl:element>
		</xsl:element>
	</xsl:template>

	<xsl:template match="articles">
		<xsl:element name="node">
			<xsl:attribute name="CREATED">
				<xsl:value-of select="@date"/>
			</xsl:attribute>
			<xsl:attribute name="ID">
				<xsl:value-of select="generate-id()"/>
			</xsl:attribute>
			<xsl:attribute name="MODIFIED">
				<xsl:value-of select="@date"/>
			</xsl:attribute>
			<xsl:attribute name="TEXT">
				<xsl:value-of select="@folder"/>
			</xsl:attribute>
			<xsl:apply-templates />
		</xsl:element>
	</xsl:template>

	<xsl:template match="article">
		<xsl:element name="node">
			<xsl:attribute name="CREATED"><xsl:value-of select="../@date"/></xsl:attribute>
			<xsl:attribute name="ID"><xsl:value-of select="generate-id()"/></xsl:attribute>
			<xsl:attribute name="MODIFIED"><xsl:value-of select="../@date"/></xsl:attribute>
			<xsl:attribute name="POSITION"><xsl:text>right</xsl:text></xsl:attribute>
			<xsl:attribute name="TEXT">
				<xsl:if test="title/text() != ''">
					<xsl:value-of select="title"/>
				</xsl:if>
			</xsl:attribute>
			<xsl:attribute name="LINK"><xsl:value-of select="url"/></xsl:attribute>
			<xsl:element name="hook">
				<xsl:attribute name="NAME"><xsl:text>accessories/plugins/NodeNote.properties</xsl:text></xsl:attribute>
				<xsl:element name="text">
					<xsl:if test="title/text() != ''">
						<xsl:value-of select="title"/>
						<!--xsl:text disable-output-escaping="yes">&#38;&#35;xa;</xsl:text-->
						<xsl:text disable-output-escaping="yes">&#38;&#35;xa;</xsl:text>
					</xsl:if>
					<xsl:if test="date/text() != ''">
						<xsl:value-of select="date"/>
						<!--xsl:text disable-output-escaping="yes">&#38;&#35;xa;</xsl:text-->
						<xsl:text disable-output-escaping="yes">&#38;&#35;xa;</xsl:text>
					</xsl:if>
					<xsl:if test="publisher/text() != ''">
						<xsl:value-of select="publisher"/>
						<!--xsl:text disable-output-escaping="yes">&#38;&#35;xa;</xsl:text-->
						<xsl:text disable-output-escaping="yes">&#38;&#35;xa;</xsl:text>
					</xsl:if>
					<xsl:apply-templates select="body/root"/>
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>


	<xsl:template match="root">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="br">
		<xsl:text disable-output-escaping="yes">&#38;&#35;xa;</xsl:text>
	</xsl:template>

	<xsl:template match="p">
		<xsl:apply-templates />
		<xsl:text disable-output-escaping="yes">&#38;&#35;xa;</xsl:text>
	</xsl:template>

	<xsl:template match="div">
		<xsl:apply-templates />
		<!--xsl:text disable-output-escaping="yes">&#38;&#35;xa;</xsl:text-->
	</xsl:template>

	<xsl:template match="a">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="img">
	</xsl:template>

	<xsl:template match="*">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="text()">
		<xsl:copy-of select="." />
	</xsl:template>


</xsl:stylesheet>
