<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format"
	>
<!--xsl:output method="html" indent="yes" omit-xml-declaration="yes"/-->
<!--	xmlns:fn="http://www.w3.org/2005/xpath-functions"-->
	<xsl:template match="/articles">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<fo:layout-master-set>
				<fo:simple-page-master master-name="articles-pages" page-height="297mm"
					page-width="210mm" margin="10mm">
					<fo:region-body margin-top="12mm" margin-bottom="12mm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<fo:page-sequence master-reference="articles-pages">
				<fo:flow flow-name="xsl-region-body">
					<xsl:apply-templates />
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>

	<xsl:template match="article">
		<xsl:if test="title/text() != ''">
			<fo:block font-size="1.5em" font-family="Lucida Grande" padding-bottom="19px">
				<xsl:value-of select="title"/>
			</fo:block>
		</xsl:if>
		<xsl:if test="date/text() != ''">
			<fo:block font-size="15px" font-family="Lucida Grande" padding-bottom="14px">
				<xsl:value-of select="date"/>
			</fo:block>
		</xsl:if>
		<xsl:if test="publisher/text() != ''">
			<fo:block font-size="15px" font-family="Lucida Grande" font-style="italic" padding-bottom="14px">
				<xsl:value-of select="publisher"/>
			</fo:block>
		</xsl:if>
		<fo:block font-size="13px" font-family="Lucida Grande">
			<xsl:apply-templates select="body/root"/>
		</fo:block>
		<xsl:if test="/articles/@page_breaks = 'on'">
		    <fo:block break-after="page"/>
		</xsl:if>
		<xsl:if test="/articles/@page_breaks = 'off'">
		    <fo:block font-size="15px" font-family="Lucida Grande" font-style="italic" padding-bottom="14px"/>
		</xsl:if>
	</xsl:template>


	<xsl:template match="root">
		<fo:block>
			<xsl:apply-templates />
		</fo:block>
	</xsl:template>

	<xsl:template match="br">
		<fo:block/>
	</xsl:template>

	<xsl:template match="p">
		<fo:block>
		<xsl:apply-templates />
		</fo:block>
	</xsl:template>

	<xsl:template match="div">
		<fo:block>
		<xsl:apply-templates />
		</fo:block>
	</xsl:template>
	
	<xsl:template match="a">
		<xsl:element
			name="fo:basic-link">
			<xsl:attribute name="external-destination">
				<xsl:text>url(</xsl:text><xsl:value-of select="@href"/><xsl:text>)</xsl:text>
			</xsl:attribute>
			<xsl:value-of select="." />
		</xsl:element>
	</xsl:template>

	<xsl:template match="img">
		<!--xsl:element
			name="fo:external-graphic">
			<xsl:attribute name="src">
				<xsl:text>url(</xsl:text><xsl:value-of select="@src"/><xsl:text>)</xsl:text>
			</xsl:attribute>
		</xsl:element-->
	</xsl:template>

	<xsl:template match="*">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="text()">
		<xsl:copy-of select="." />
	</xsl:template>


</xsl:stylesheet>
