<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0"
	xmlns="urn:schemas-microsoft-com:office:spreadsheet"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:o="urn:schemas-microsoft-com:office:office"
    xmlns:x="urn:schemas-microsoft-com:office:excel"
    xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
    xmlns:html="http://www.w3.org/TR/REC-html40"
	>
<xsl:output method="xml" indent="yes" omit-xml-declaration="no"/>
<!--	xmlns:fn="http://www.w3.org/2005/xpath-functions"-->
	<xsl:template match="/articles">
		<xsl:processing-instruction name="mso-application">progid="Excel.Sheet"</xsl:processing-instruction>
		<xsl:element name="Workbook" namespace="urn:schemas-microsoft-com:office:spreadsheet">
			<xsl:element name="DocumentProperties" namespace="urn:schemas-microsoft-com:office:office">
				<xsl:element name="LastAuthor"><xsl:value-of select="@user"/></xsl:element>
				<xsl:element name="Version"><xsl:text>11.9999</xsl:text></xsl:element>
			</xsl:element>
			<xsl:element name="ExcelWorkbook" namespace="urn:schemas-microsoft-com:office:excel">
				<xsl:element name="WindowHeight"><xsl:text>11505</xsl:text></xsl:element>
				<xsl:element name="WindowWidth"><xsl:text>19035</xsl:text></xsl:element>
				<xsl:element name="WindowTopX"><xsl:text>0</xsl:text></xsl:element>
				<xsl:element name="WindowTopY"><xsl:text>15</xsl:text></xsl:element>
				<xsl:element name="ProtectStructure"><xsl:text>False</xsl:text></xsl:element>
				<xsl:element name="ProtectWindows"><xsl:text>False</xsl:text></xsl:element>
			</xsl:element>
			<xsl:element name="Styles">
				<xsl:element name="Style">
					<xsl:attribute name="ss:ID"><xsl:text>Default</xsl:text></xsl:attribute>
					<xsl:attribute name="ss:Name"><xsl:text>Normal</xsl:text></xsl:attribute>
					<xsl:element name="Alignment"><xsl:attribute name="ss:Vertical"><xsl:text>Bottom</xsl:text></xsl:attribute></xsl:element>
					<xsl:element name="Borders"/>
					<xsl:element name="Font"/>
					<xsl:element name="Interior"/>
					<xsl:element name="Protection"/>
				</xsl:element>
				<xsl:element name="Style">
					<xsl:attribute name="ss:ID"><xsl:text>s21</xsl:text></xsl:attribute>
					<xsl:attribute name="ss:Name"><xsl:text>Hyperlink</xsl:text></xsl:attribute>
					<xsl:element name="Font">
						<xsl:attribute name="ss:Color"><xsl:text>#0000FF</xsl:text></xsl:attribute>
						<xsl:attribute name="ss:Underline"><xsl:text>Single</xsl:text></xsl:attribute>
					</xsl:element>
				</xsl:element>
				<xsl:element name="Style">
					<xsl:attribute name="ss:ID"><xsl:text>s26</xsl:text></xsl:attribute>
					<xsl:element name="Alignment">
						<xsl:attribute name="ss:Vertical"><xsl:text>Bottom</xsl:text></xsl:attribute>
						<xsl:attribute name="ss:WrapText"><xsl:text>1</xsl:text></xsl:attribute>
					</xsl:element>
				</xsl:element>
			</xsl:element>
			<xsl:element name="Worksheet">
				<xsl:attribute name="ss:Name"><xsl:text>articles</xsl:text></xsl:attribute>
				<xsl:element name="Table">
					<xsl:attribute name="ss:ExpandedColumnCount"><xsl:text>5</xsl:text></xsl:attribute>
					<xsl:element name="Row">
						<xsl:element name="Cell">
							<xsl:element name="Data">
								<xsl:attribute name="ss:Type"><xsl:text>String</xsl:text></xsl:attribute>
								<xsl:text>Title</xsl:text>
							</xsl:element>
						</xsl:element>
						<xsl:element name="Cell">
							<xsl:element name="Data">
								<xsl:attribute name="ss:Type"><xsl:text>String</xsl:text></xsl:attribute>
								<xsl:text>Date</xsl:text>
							</xsl:element>
						</xsl:element>
						<xsl:element name="Cell">
							<xsl:element name="Data">
								<xsl:attribute name="ss:Type"><xsl:text>String</xsl:text></xsl:attribute>
								<xsl:text>Publisher</xsl:text>
							</xsl:element>
						</xsl:element>
						<xsl:element name="Cell">
							<xsl:element name="Data">
								<xsl:attribute name="ss:Type"><xsl:text>String</xsl:text></xsl:attribute>
								<xsl:text>URL</xsl:text>
							</xsl:element>
						</xsl:element>
						<xsl:element name="Cell">
							<xsl:element name="Data">
								<xsl:attribute name="ss:Type"><xsl:text>String</xsl:text></xsl:attribute>
								<xsl:text>The article body</xsl:text>
							</xsl:element>
						</xsl:element>
					</xsl:element>
					<xsl:apply-templates />
					<!--xsl:for-each select="article">
						<xsl:call-template name="article"/>
					</xsl:for-each-->
				</xsl:element>
				<xsl:element name="WorksheetOptions" namespace="urn:schemas-microsoft-com:office:excel">
					<xsl:element name="Selected"/>
					<xsl:element name="Panes">
						<xsl:element name="Pane">
							<xsl:element name="Number">
								<xsl:text>3</xsl:text>
							</xsl:element>
						</xsl:element>
					</xsl:element>
					<xsl:element name="ProtectObjects"><xsl:text>False</xsl:text></xsl:element>
					<xsl:element name="ProtectScenarios"><xsl:text>False</xsl:text></xsl:element>
				</xsl:element>
			</xsl:element>
			<!--xsl:apply-templates /-->
			<xsl:for-each select="/articles/article">
				<xsl:call-template name="worksheets"/>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>

	<xsl:template match="article">
		<xsl:element name="Row">
			<xsl:element name="Cell">
				<xsl:element name="Data">
					<xsl:attribute name="ss:Type"><xsl:text>String</xsl:text></xsl:attribute>
					<xsl:value-of select="title"/>
				</xsl:element>
			</xsl:element>
			<xsl:element name="Cell">
				<xsl:element name="Data">
					<xsl:attribute name="ss:Type"><xsl:text>String</xsl:text></xsl:attribute>
					<xsl:value-of select="date"/>
				</xsl:element>
			</xsl:element>
			<xsl:element name="Cell">
				<xsl:element name="Data">
					<xsl:attribute name="ss:Type"><xsl:text>String</xsl:text></xsl:attribute>
					<xsl:value-of select="publisher"/>
				</xsl:element>
			</xsl:element>
			<xsl:element name="Cell">
				<xsl:attribute name="ss:StyleID"><xsl:text>s21</xsl:text></xsl:attribute>
				<xsl:attribute name="ss:HRef"><xsl:value-of select="url"/></xsl:attribute>
				<xsl:element name="Data">
					<xsl:attribute name="ss:Type"><xsl:text>String</xsl:text></xsl:attribute>
					<xsl:value-of select="url"/>
				</xsl:element>
			</xsl:element>
			<xsl:element name="Cell">
				<xsl:attribute name="ss:StyleID"><xsl:text>s21</xsl:text></xsl:attribute>
				<xsl:attribute name="ss:HRef"><xsl:text>#'</xsl:text><xsl:value-of select="id"/><xsl:text>'!A1</xsl:text></xsl:attribute>
				<xsl:element name="Data">
					<xsl:attribute name="ss:Type"><xsl:text>String</xsl:text></xsl:attribute>
					<xsl:text>See </xsl:text><xsl:value-of select="title"/>
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>

	<xsl:template name="worksheets">
		<xsl:element name="Worksheet">
			<xsl:attribute name="ss:Name">
				<xsl:value-of select="id"/>
			</xsl:attribute>
			<xsl:element name="Table">
				<xsl:attribute name="ss:ExpandedColumnCount"><xsl:text>1</xsl:text></xsl:attribute>
				<xsl:attribute name="ss:ExpandedRowCount"><xsl:text>1</xsl:text></xsl:attribute>
				<xsl:attribute name="x:FullColumns"><xsl:text>1</xsl:text></xsl:attribute>
				<xsl:attribute name="x:FullRows"><xsl:text>1</xsl:text></xsl:attribute>
				<xsl:element name="Column">
					<xsl:attribute name="ss:AutoFitWidth"><xsl:text>0</xsl:text></xsl:attribute>
					<xsl:attribute name="ss:Width"><xsl:text>500</xsl:text></xsl:attribute>
				</xsl:element>
				<xsl:element name="Row">
					<xsl:attribute name="ss:AutoFitHeight"><xsl:text>0</xsl:text></xsl:attribute>
					<xsl:attribute name="ss:Height"><xsl:text>320</xsl:text></xsl:attribute>
					<xsl:element name="Cell">
						<xsl:attribute name="ss:StyleID"><xsl:text>s26</xsl:text></xsl:attribute>
						<xsl:element name="Data">
							<xsl:attribute name="ss:Type"><xsl:text>String</xsl:text></xsl:attribute>
							<xsl:apply-templates />
						</xsl:element>
					</xsl:element>
				</xsl:element>
			</xsl:element>
			<xsl:element name="WorksheetOptions" namespace="urn:schemas-microsoft-com:office:excel">
				<xsl:element name="Selected" />
				<xsl:element name="Panes">
					<xsl:element name="Pane">
						<xsl:element name="Number">
							<xsl:text>3</xsl:text>
						</xsl:element>
					</xsl:element>
				</xsl:element>
				<xsl:element name="ProtectObjects"><xsl:text>False</xsl:text></xsl:element>
				<xsl:element name="ProtectScenarios"><xsl:text>False</xsl:text></xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>

	<xsl:template match="body/root">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="br">
		<xsl:text disable-output-escaping="yes">&#38;&#35;10;</xsl:text>
	</xsl:template>

	<xsl:template match="p">
		<xsl:apply-templates />
		<xsl:text disable-output-escaping="yes">&#38;&#35;10;</xsl:text>
	</xsl:template>

	<xsl:template match="div">
		<xsl:apply-templates />
		<xsl:text disable-output-escaping="yes">&#38;&#35;10;</xsl:text>
	</xsl:template>

	<xsl:template match="a">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="img">
	</xsl:template>

	<xsl:template match="*">
		<xsl:if test="local-name() != 'title' and local-name() != 'date' and local-name() != 'id' and local-name() != 'url' and local-name() != 'publisher'">
			<xsl:apply-templates />
		</xsl:if>
	</xsl:template>

	<xsl:template match="text()">
		<xsl:copy-of select="." />
	</xsl:template>

</xsl:stylesheet>
