<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format"
	>
	
	<xsl:template match="/">
		<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
			<fo:layout-master-set>
				<fo:simple-page-master master-name="TPL-A4-permanence-schedule" page-height="297mm"
					page-width="210mm" margin="10mm">
					<fo:region-body margin-top="45mm" margin-bottom="25mm"/>
					<fo:region-before extent="50mm"/>
					<fo:region-after extent="17mm"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<fo:page-sequence master-reference="TPL-A4-permanence-schedule">
				<fo:static-content flow-name="xsl-region-before">
					<fo:block font-size="14pt" font-family="verdana" font-weight="bold" 
						space-before="5mm" space-after="5mm" text-align="center">
						News results
					</fo:block>
					<fo:block font-size="10pt" font-family="verdana" font-weight="bold" text-align="left">
						Query: 
					</fo:block>
					<fo:block font-size="10pt" font-family="verdana" text-align="left">
						<xsl:value-of select="/articles/query"/>
					</fo:block>
				</fo:static-content>
				<fo:static-content flow-name="xsl-region-after">
					<fo:block font-size="8pt" font-family="arial" font-weight="bold"
						text-align="right" padding-bottom="1mm" padding-top="1mm"
						border-before-style="solid"
						border-before-color=" rgb( 0, 0, 0 )"
						border-before-width="0.1pt"> Page <fo:page-number/> of
							<fo:page-number-citation ref-id="last-page"/>
					</fo:block>
				</fo:static-content>
				<fo:flow flow-name="xsl-region-body">
					<fo:table table-layout="fixed" width="100%">
						<fo:table-column column-width="40mm"/>
						<fo:table-column column-width="90mm"/>
						<fo:table-column column-width="40mm"/>
						<fo:table-column column-width="20mm"/>
						<fo:table-header color="rgb( 255, 255, 255 )"
							background-color=" rgb( 0, 0, 0 )">
							<fo:table-row>
								<fo:table-cell>
									<fo:block font-weight="bold" text-align="center">ID</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block font-weight="bold">Title</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block font-weight="bold">Date</fo:block>
								</fo:table-cell>
								<fo:table-cell>
									<fo:block font-weight="bold">Source</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-header>
						<fo:table-body>
							<xsl:for-each select="/articles/article">
								<fo:table-row>
									<fo:table-cell padding-top="1mm" padding-bottom="2mm">
										<fo:block font-family="serif" font-size="10pt"
											font-weight="normal" text-align="left">
											<xsl:value-of select="id" disable-output-escaping="yes"/>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell padding-top="1mm" padding-bottom="2mm">
										<fo:block font-family="serif" font-size="10pt"
											font-weight="normal" text-align="left">
											<fo:basic-link>
												<xsl:attribute name="external-destination">
												  <xsl:value-of select="url" disable-output-escaping="yes"/>
												</xsl:attribute>
												<xsl:value-of select="title" disable-output-escaping="yes"/>
											</fo:basic-link>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell padding-top="1mm" padding-bottom="2mm">
										<fo:block font-family="serif" font-size="10pt"
											font-weight="normal" text-align="left">
											<xsl:choose>
												<xsl:when test="date = '-1'">
													N/A
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="date" disable-output-escaping="yes"/>
												</xsl:otherwise>
											</xsl:choose>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell padding-top="1mm" padding-bottom="2mm">
										<fo:block font-family="serif" font-size="10pt"
											font-weight="normal" text-align="left">
											<xsl:choose>
												<xsl:when test="source = ''">
													N/A
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="source" disable-output-escaping="yes"/>
												</xsl:otherwise>
											</xsl:choose>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell number-columns-spanned="4" border-bottom-color="rgb(0,0,0)"
										border-bottom-style="solid" border-bottom-width=".1pt">
										<fo:block font-family="serif" font-size="10pt"
											font-weight="normal" text-align="left">
											<xsl:choose>
												<xsl:when test="summary = ''">
													Summary N/A
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="summary" disable-output-escaping="yes"/>
												</xsl:otherwise>
											</xsl:choose>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</xsl:for-each>
						</fo:table-body>
					</fo:table>
					<!-- LAST PAGE ID -->
					<fo:block id="last-page"/>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
</xsl:stylesheet>
