<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xtariqa="https://webgate.ec.europa.eu/tariqa/xtariqa"
	>
	
	<xsl:output method="html"/>
	
	<xsl:template match="/article">
		<xsl:variable name="publisher">
			<xsl:value-of select="publisher"/>
		</xsl:variable>
		<div style="padding: 10px;">
			<h1 class="important"><xsl:value-of select="title"/></h1>
			<div class="topPagination">
				<p>
					<xsl:value-of select="date"/>
				</p>
				<p style="padding-top: 10px; padding-bottom: 10px;">
					<xsl:choose>
						<xsl:when test="$publisher != ''">
							<em>
								<xsl:text>Clip URL: </xsl:text><xsl:value-of select="publisher" />
							</em>
						</xsl:when>
						<xsl:otherwise/>
					</xsl:choose>
				</p>
				<div id = "id_div_video">
			        <OBJECT id="VIDEO_IE" width="320" height="240" 
						CLASSID="CLSID:6BF52A52-394A-11d3-B153-00C04F79FAA6"
						type="application/x-oleobject">
						<PARAM NAME="URL" VALUE="{$publisher}"/>
						<PARAM NAME="SendPlayStateChangeEvents" VALUE="True"/>
						<PARAM NAME="AutoStart" VALUE="false"/>
						<PARAM name="uiMode" value="full"/>
		                <embed height="240" width="320"
		                       id="VIDEO_FF"
		                       pluginspage="http://www.microsoft.com/windows/windowsmedia/"
		                       sendplaystatechangeevents="True"
		                       autostart="0"
		                       uimode="full"
		                       name="MediaPlayer"
		                       src="{$publisher}"
		                       type="application/x-mplayer2">
		                </embed>
					</OBJECT>
				</div>
				<div style="padding-top: 10px" id="current_chunk_id">
				</div>
			</div>
		</div>
	</xsl:template>
</xsl:stylesheet>
