<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xtariqa="https://webgate.ec.europa.eu/tariqa/xtariqa"
	>
	
	<xsl:output method="html"/>
	
	<xsl:template match="/">
		<div style="font-weight: bold">News results</div>
		<div><strong>Query: </strong><xsl:value-of select="/articles/query"/></div>
		<div><strong>Engine: </strong><xsl:value-of select="/articles/engine"/></div>
		<div><strong>Source: </strong><xsl:value-of select="/articles/source"/></div>
		<div class="article">
			<xsl:for-each select="/articles/article">
				<xsl:variable name="_url">
					<xsl:value-of select="url" disable-output-escaping="yes"/>
				</xsl:variable>
				<xsl:variable name="_js_link">
					<xsl:value-of select="js_link" disable-output-escaping="yes"/>
				</xsl:variable>
				<xsl:variable name="_id">
					<xsl:value-of select="id" disable-output-escaping="yes"/>
				</xsl:variable>
				<div class="article_title">
					<input type="checkbox" id="{$_id}"/>
					<xsl:text>&#160;&#160;</xsl:text>
					<a href="{$_url}" target="_blank">
						<xsl:value-of select="title" disable-output-escaping="yes"/>
					</a>
				</div>
				<div class="article_date">
					<xsl:choose>
						<xsl:when test="date = '-1'">
							Date unknown
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="date" disable-output-escaping="yes"/>
						</xsl:otherwise>
					</xsl:choose>
				</div>
				
				<div class="article_summary">
					<xsl:choose>
						<xsl:when test="summary = ''">
							<xsl:text>Summary not available</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="summary" disable-output-escaping="yes"/>
						</xsl:otherwise>
					</xsl:choose>
				</div>
			</xsl:for-each>
		</div>
		<xsl:value-of select="/articles/html_ids" disable-output-escaping="yes"/>
	</xsl:template>
</xsl:stylesheet>
