-- MySQL dump 10.11
--
-- Host: localhost    Database: meta_common
-- ------------------------------------------------------
-- Server version	5.0.67-community

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

CREATE DATABASE  IF NOT EXISTS `meta_common` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `meta_common`;

--
-- Table structure for table `clusters`
--

DROP TABLE IF EXISTS `clusters`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `clusters` (
  `cluster_id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `description` text,
  `color` varchar(6) NOT NULL default 'ffffff',
  PRIMARY KEY  (`cluster_id`),
  KEY `ai_clusters_cluster_id` (`cluster_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COMMENT='Stores the list of clusters, given by the country cluster an';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `clusters`
--

LOCK TABLES `clusters` WRITE;
/*!40000 ALTER TABLE `clusters` DISABLE KEYS */;
INSERT INTO `clusters` VALUES (1,'Cluster A','Cluster A','a00000'),(2,'Cluster B','Cluster B','e16d0c'),(3,'Cluster C','Cluster C','e4d313'),(4,'Cluster D','Cluster D','aa5e5e'),(5,'Cluster E','Cluster E','dcb18d'),(6,'','Not in a cluster','e4e4e3');
/*!40000 ALTER TABLE `clusters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `continents`
--

DROP TABLE IF EXISTS `continents`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `continents` (
  `continent_id` int(11) unsigned NOT NULL auto_increment,
  `name_en` varchar(255) NOT NULL,
  `name_fr` varchar(255) NOT NULL,
  `comments` text,
  `display_order` int(11) default '0',
  PRIMARY KEY  (`continent_id`),
  KEY `idx_continents_name_en` (`name_en`),
  KEY `idx_continents_name_fr` (`name_fr`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COMMENT='List of continents';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `continents`
--

LOCK TABLES `continents` WRITE;
/*!40000 ALTER TABLE `continents` DISABLE KEYS */;
INSERT INTO `continents` VALUES (1,'North America','Amérique du Nord',NULL,40),(2,'South America','Amérique du Sud',NULL,0),(3,'Africa','Afrique',NULL,10),(4,'Asia','Asie',NULL,20),(5,'Europa','Europe',NULL,30),(6,'Oceania','Océanie',NULL,50),(7,'Antarctica','Antartique',NULL,60);
/*!40000 ALTER TABLE `continents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `countries`
--

DROP TABLE IF EXISTS `countries`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `countries` (
  `country_id` varchar(2) NOT NULL COMMENT 'ISO 3166-1',
  `name_en` varchar(255) NOT NULL COMMENT 'ISO 3166-2',
  `name_fr` varchar(255) NOT NULL COMMENT 'ISO 3166-2',
  `parent_country_id` varchar(2) default NULL COMMENT '"Parent" country or NULL',
  `eu_member` enum('0','1') NOT NULL default '0' COMMENT '1 if the Country belongs to the European Union',
  `continent_id` int(11) unsigned default NULL COMMENT 'Ref to the continent',
  `official` enum('0','1') NOT NULL default '1' COMMENT '0 If the country is not officialy recognised',
  `cluster_id` int(11) unsigned default NULL,
  `capital_city` varchar(255) default NULL,
  `capital_adm` varchar(255) default NULL,
  `region_id` int(11) unsigned default NULL,
  `other_country` enum('0','1') default '0' COMMENT 'If set to true, it means that there is another country with a similar name. ',
  PRIMARY KEY  (`country_id`),
  KEY `fk_countries_parents` (`parent_country_id`),
  KEY `idx_countries_name_en` (`name_en`),
  KEY `idx_countries_name_fr` (`name_fr`),
  KEY `fk_countries_continents` (`continent_id`),
  KEY `fk_countries_clusters` (`cluster_id`),
  KEY `FK_countries_official_regions` (`region_id`),
  CONSTRAINT `fk_countries_clusters` FOREIGN KEY (`cluster_id`) REFERENCES `clusters` (`cluster_id`) ON UPDATE CASCADE,
  CONSTRAINT `fk_countries_continents` FOREIGN KEY (`continent_id`) REFERENCES `continents` (`continent_id`) ON UPDATE CASCADE,
  CONSTRAINT `FK_countries_official_regions` FOREIGN KEY (`region_id`) REFERENCES `official_regions` (`region_id`),
  CONSTRAINT `fk_countries_parents` FOREIGN KEY (`parent_country_id`) REFERENCES `countries` (`country_id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='List of countries (ISO 3166-1 and 3166-2)';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `countries`
--

LOCK TABLES `countries` WRITE;
/*!40000 ALTER TABLE `countries` DISABLE KEYS */;
INSERT INTO `countries` VALUES ('AD','Andorra','Andorre',NULL,'0',5,'1',NULL,'',NULL,12,'0'),('AE','United Arab Emirates','Émirats Arabes Unis',NULL,'0',4,'1',5,'Abu Dhabi','Dubai',9,'0'),('AF','Afghanistan','Afghanistan',NULL,'0',4,'1',2,'Kabul',NULL,7,'0'),('AG','Antigua And Barbuda','Antigua-Et-Barbuda',NULL,'0',2,'1',1,'St John\'s',NULL,14,'0'),('AI','Anguilla','Anguilla','GB','0',2,'1',6,'','',14,'0'),('AL','Albania','Albanie',NULL,'0',5,'1',4,'Tirana',NULL,12,'0'),('AM','Armenia','Arménie',NULL,'0',4,'1',5,'Yerevan',NULL,9,'0'),('AN','Netherlands Antilles','Antilles Néerlandaises','NL','0',2,'1',NULL,'',NULL,14,'0'),('AO','Angola','Angola',NULL,'0',3,'1',2,'Luanda',NULL,2,'0'),('AQ','Antarctica','Antarctique',NULL,'0',7,'1',1,'',NULL,NULL,'0'),('AR','Argentina','Argentine',NULL,'0',2,'1',4,'Buenos Aires',NULL,16,'0'),('AS','American Samoa','Samoa Américaines','US','0',6,'1',NULL,'',NULL,21,'0'),('AT','Austria','Autriche',NULL,'1',5,'1',6,'Vienna',NULL,13,'0'),('AU','Australia','Australie',NULL,'0',6,'1',6,'Canberra',NULL,18,'0'),('AW','Aruba','Aruba','NL','0',2,'1',NULL,'',NULL,14,'0'),('AX','Åland Islands','Åland, Îles','FI','0',5,'1',NULL,NULL,NULL,NULL,'0'),('AZ','Azerbaijan','Azerbaïdjan',NULL,'0',4,'1',2,'Baku',NULL,9,'0'),('BA','Bosnia And Herzegovina','Bosnie-Herzégovine',NULL,'0',5,'1',4,'Sarajevo',NULL,12,'0'),('BB','Barbados','Barbade',NULL,'0',2,'1',NULL,'',NULL,14,'0'),('BD','Bangladesh','Bangladesh',NULL,'0',4,'1',3,'Dhaka',NULL,7,'0'),('BE','Belgium','Belgique',NULL,'1',5,'1',6,'Brussels',NULL,13,'0'),('BF','Burkina Faso','Burkina Faso',NULL,'0',3,'1',3,'Ouagadougou',NULL,5,'0'),('BG','Bulgaria','Bulgarie',NULL,'1',5,'1',6,'Sofia',NULL,10,'0'),('BH','Bahrain','Bahreïn',NULL,'0',4,'1',NULL,'',NULL,9,'0'),('BI','Burundi','Burundi',NULL,'0',3,'1',3,'Bujumbura',NULL,1,'0'),('BJ','Benin','Bénin',NULL,'0',3,'1',4,'Porto-Novo','Cotonou',5,'0'),('BL','Saint Barthélemy','Saint-Barthélemy',NULL,'0',2,'1',NULL,NULL,NULL,NULL,'0'),('BM','Bermuda','Bermudes','GB','0',1,'1',NULL,'',NULL,17,'0'),('BN','Brunei Darussalam','Brunéi Darussalam',NULL,'0',4,'1',1,'Bandar Seri Begawan',NULL,8,'0'),('BO','Bolivia','Bolivie',NULL,'0',2,'1',3,'Sucre','La Paz',16,'0'),('BR','Brazil','Brésil',NULL,'0',2,'1',4,'Brasilia',NULL,16,'0'),('BS','Bahamas','Bahamas',NULL,'0',2,'1',NULL,'',NULL,14,'0'),('BT','Bhutan','Bhoutan',NULL,'0',4,'1',5,'Thimphu',NULL,7,'0'),('BV','Bouvet Island','Bouvet, Île','NO','0',7,'1',NULL,'',NULL,NULL,'0'),('BW','Botswana','Botswana',NULL,'0',3,'1',4,'Gaborone',NULL,4,'0'),('BY','Belarus','Bélarus',NULL,'0',5,'1',5,'Minsk',NULL,10,'0'),('BZ','Belize','Belize',NULL,'0',2,'1',4,'Belmopan',NULL,15,'0'),('CA','Canada','Canada',NULL,'0',1,'1',6,'Ottawa',NULL,17,'0'),('CC','Cocos (Keeling) Islands','Cocos (Keeling), Îles','AU','0',6,'1',NULL,'',NULL,NULL,'0'),('CD','Congo, The Democratic Republic Of The','Congo, La République Démocratique Du',NULL,'0',3,'1',2,'Kinshasa',NULL,2,'1'),('CF','Central African Republic','Centrafricaine, République',NULL,'0',3,'1',3,'Bangui',NULL,2,'0'),('CG','Congo','Congo',NULL,'0',3,'1',2,'Brazzaville',NULL,2,'1'),('CH','Switzerland','Suisse',NULL,'0',5,'1',6,'Bern',NULL,13,'0'),('CI','Côte D\'Ivoire','Côte D\'Ivoire',NULL,'0',3,'1',2,'Yamoussoukro','Abidjan',5,'0'),('CK','Cook Islands','Cook, Îles','NZ','0',6,'1',NULL,'',NULL,21,'0'),('CL','Chile','Chili',NULL,'0',2,'1',6,'Santiago','Valparaiso',16,'0'),('CM','Cameroon','Cameroun',NULL,'0',3,'1',2,'Yaounde',NULL,2,'0'),('CN','China','Chine',NULL,'0',4,'1',5,'Bejing',NULL,6,'0'),('CO','Colombia','Colombie',NULL,'0',2,'1',4,'Bogota',NULL,16,'0'),('CR','Costa Rica','Costa Rica',NULL,'0',2,'1',4,'San Jose',NULL,15,'0'),('CU','Cuba','Cuba',NULL,'0',2,'1',5,'Havana',NULL,14,'0'),('CV','Cape Verde','Cap-Vert',NULL,'0',3,'1',NULL,'',NULL,5,'0'),('CX','Christmas Island','Christmas, Île','AU','0',6,'1',NULL,'',NULL,NULL,'0'),('CY','Cyprus','Chypre',NULL,'1',4,'1',6,'Nicosia',NULL,9,'0'),('CZ','Czech Republic','Tchèque, République',NULL,'1',5,'1',6,'Prague',NULL,10,'0'),('DE','Germany','Allemagne',NULL,'1',5,'1',6,'Berlin',NULL,13,'0'),('DJ','Djibouti','Djibouti',NULL,'0',3,'1',1,'Djibouti',NULL,1,'0'),('DK','Denmark','Danemark',NULL,'1',5,'1',6,'Copenhagen',NULL,11,'0'),('DM','Dominica','Dominique',NULL,'0',2,'1',NULL,'',NULL,14,'1'),('DO','Dominican Republic','Dominicaine, République',NULL,'0',2,'1',4,'Santo Domingo',NULL,14,'1'),('DZ','Algeria','Algérie',NULL,'0',3,'1',2,'Algiers',NULL,3,'0'),('EC','Ecuador','Équateur',NULL,'0',2,'1',4,'Quito',NULL,16,'0'),('EE','Estonia','Estonie',NULL,'1',5,'1',6,'Tallinn',NULL,11,'0'),('EG','Egypt','Égypte',NULL,'0',3,'1',5,'Cairo',NULL,3,'0'),('EH','Western Sahara','Sahara Occidental',NULL,'0',3,'1',1,'',NULL,3,'0'),('ER','Eritrea','Érythrée',NULL,'0',3,'1',5,'Asmara',NULL,1,'0'),('ES','Spain','Espagne',NULL,'1',5,'1',6,'Madrid',NULL,12,'0'),('ET','Ethiopia','Éthiopie',NULL,'0',3,'1',2,'Addis Ababa',NULL,1,'0'),('FI','Finland','Finlande',NULL,'1',5,'1',6,'Helsinki',NULL,11,'0'),('FJ','Fiji','Fidji',NULL,'0',4,'1',1,'Suva',NULL,19,'0'),('FK','Falkland Islands (Malvinas)','Falkland, Îles (Malvinas)','GB','0',2,'1',NULL,'',NULL,16,'0'),('FM','Micronesia, Federated States Of','Micronésie, États Fédérés De',NULL,'0',4,'1',NULL,'',NULL,20,'0'),('FO','Faroe Islands','Féroé, Îles','DK','0',5,'1',NULL,'',NULL,11,'0'),('FR','France','France',NULL,'1',5,'1',6,'Paris',NULL,13,'0'),('GA','Gabon','Gabon',NULL,'0',3,'1',3,'Libreville',NULL,2,'0'),('GB','United Kingdom','Royaume-Uni',NULL,'1',5,'1',6,'London',NULL,11,'0'),('GD','Grenada','Grenade',NULL,'0',2,'1',NULL,'',NULL,14,'0'),('GE','Georgia','Géorgie',NULL,'0',4,'1',3,'Tbilisi',NULL,9,'0'),('GF','French Guiana','Guyane Française','FR','0',2,'1',1,'',NULL,16,'0'),('GG','Guernsey','Guernesey',NULL,'0',5,'1',NULL,NULL,NULL,NULL,'0'),('GH','Ghana','Ghana',NULL,'0',3,'1',4,'Accra',NULL,5,'0'),('GI','Gibraltar','Gibraltar','GB','0',5,'1',NULL,'',NULL,12,'0'),('GL','Greenland','Groenland','DK','0',1,'1',1,'Nuuk',NULL,17,'0'),('GM','Gambia','Gambie',NULL,'0',3,'1',3,'Banjul',NULL,5,'0'),('GN','Guinea','Guinée',NULL,'0',3,'1',2,'Conakry',NULL,5,'1'),('GP','Guadeloupe','Guadeloupe','FR','0',2,'1',NULL,'',NULL,14,'0'),('GQ','Equatorial Guinea','Guinée Équatoriale',NULL,'0',3,'1',5,'Malabo',NULL,2,'1'),('GR','Greece','Grèce',NULL,'1',5,'1',6,'Athens',NULL,12,'0'),('GS','South Georgia And The South Sandwich Islands','Géorgie Du Sud Et Les Îles Sandwich Du Sud','GB','0',2,'1',NULL,'',NULL,NULL,'0'),('GT','Guatemala','Guatemala',NULL,'0',2,'1',3,'Guatemala',NULL,15,'0'),('GU','Guam','Guam','US','0',4,'1',NULL,NULL,NULL,20,'0'),('GW','Guinea-Bissau','Guinée-Bissau',NULL,'0',3,'1',3,'Bissau',NULL,5,'1'),('GY','Guyana','Guyane',NULL,'0',2,'1',4,'Georgetown',NULL,16,'0'),('HK','Hong Kong','Hong-Kong',NULL,'0',4,'1',NULL,'',NULL,6,'0'),('HM','Heard Island And Mcdonald Islands','Heard, Île Et Mcdonald, Îles','AU','0',7,'1',NULL,'',NULL,NULL,'0'),('HN','Honduras','Honduras',NULL,'0',2,'1',4,'Tegucigalpa',NULL,15,'0'),('HR','Croatia','Croatie',NULL,'0',5,'1',4,'Zagreb',NULL,12,'0'),('HT','Haiti','Haïti',NULL,'0',2,'1',2,'Port au Prince',NULL,14,'0'),('HU','Hungary','Hongrie',NULL,'1',5,'1',6,'Budapest',NULL,10,'0'),('ID','Indonesia','Indonésie',NULL,'0',4,'1',4,'Jakarta',NULL,8,'0'),('IE','Ireland','Irlande',NULL,'1',5,'1',6,'Dublin',NULL,11,'0'),('IL','Israel','Israël',NULL,'0',4,'1',4,'Jerusalem','Tel Aviv',9,'0'),('IM','Isle Of Man','Île De Man',NULL,'0',5,'1',NULL,NULL,NULL,11,'0'),('IN','India','Inde',NULL,'0',4,'1',4,'New Delhi',NULL,7,'0'),('IO','British Indian Ocean Territory','Océan Indien, Territoire Britannique De L\'','GB','0',4,'1',NULL,'',NULL,NULL,'0'),('IQ','Iraq','Iraq',NULL,'0',4,'1',2,'Baghdad',NULL,9,'0'),('IR','Iran, Islamic Republic Of','Iran, République Islamique D\'',NULL,'0',4,'1',5,'Tehran',NULL,7,'0'),('IS','Iceland','Islande',NULL,'0',5,'1',6,'Reykjavik',NULL,11,'0'),('IT','Italy','Italie',NULL,'1',5,'1',6,'Rome',NULL,12,'0'),('JE','Jersey','Jersey',NULL,'0',5,'1',NULL,NULL,NULL,NULL,'0'),('JM','Jamaica','Jamaïque',NULL,'0',2,'1',4,'Kingston',NULL,14,'0'),('JO','Jordan','Jordanie',NULL,'0',4,'1',5,'Amman',NULL,9,'0'),('JP','Japan','Japon',NULL,'0',4,'1',6,'Tokyo',NULL,6,'0'),('KE','Kenya','Kenya',NULL,'0',3,'1',3,'Nairobi',NULL,1,'0'),('KG','Kyrgyzstan','Kirghizistan',NULL,'0',4,'1',2,'Bishkek',NULL,7,'0'),('KH','Cambodia','Cambodge',NULL,'0',4,'1',2,'Phnom Penh',NULL,8,'0'),('KI','Kiribati','Kiribati',NULL,'0',4,'1',NULL,'',NULL,20,'0'),('KM','Comoros','Comores',NULL,'0',3,'1',NULL,'',NULL,1,'0'),('KN','Saint Kitts And Nevis','Saint-Kitts-Et-Nevis',NULL,'0',2,'1',NULL,'',NULL,14,'0'),('KP','Korea, Democratic People\'S Republic Of','Corée, République Populaire Démocratique De',NULL,'0',4,'1',1,'Pyongyang',NULL,6,'1'),('KR','Korea, Republic Of','Corée, République De',NULL,'0',4,'1',1,'Seoul',NULL,6,'1'),('KW','Kuwait','Koweït',NULL,'0',4,'1',5,'Kuwait',NULL,9,'0'),('KY','Cayman Islands','Caïmanes, Îles','GB','0',2,'1',NULL,'',NULL,14,'0'),('KZ','Kazakhstan','Kazakhstan',NULL,'0',4,'1',2,'Astana','Almaty',7,'0'),('LA','Lao People\'S Democratic Republic','Lao, République Démocratique Populaire',NULL,'0',4,'1',1,'Vientiane',NULL,8,'0'),('LB','Lebanon','Liban',NULL,'0',4,'1',2,'Beirut',NULL,9,'0'),('LC','Saint Lucia','Sainte-Lucie',NULL,'0',2,'1',NULL,'',NULL,14,'0'),('LI','Liechtenstein','Liechtenstein',NULL,'0',5,'1',NULL,NULL,NULL,13,'0'),('LK','Sri Lanka','Sri Lanka',NULL,'0',4,'1',3,'Colombo','Kotte',7,'0'),('LR','Liberia','Libéria',NULL,'0',3,'1',3,'Monrovia',NULL,5,'0'),('LS','Lesotho','Lesotho',NULL,'0',3,'1',4,'Maseru',NULL,4,'0'),('LT','Lithuania','Lituanie',NULL,'1',5,'1',6,'Vilnius',NULL,11,'0'),('LU','Luxembourg','Luxembourg',NULL,'1',5,'1',6,'Luxembourg',NULL,13,'0'),('LV','Latvia','Lettonie',NULL,'1',5,'1',6,'Riga',NULL,11,'0'),('LY','Libyan Arab Jamahiriya','Libyenne, Jamahiriya Arabe',NULL,'0',3,'1',5,'Tripoli',NULL,3,'0'),('MA','Morocco','Maroc',NULL,'0',3,'1',5,'Rabat',NULL,3,'0'),('MC','Monaco','Monaco',NULL,'0',5,'1',NULL,'',NULL,13,'0'),('MD','Moldova, Republic Of','Moldova, République De',NULL,'0',5,'1',3,'Chisinau',NULL,10,'0'),('ME','Montenegro','Monténégro',NULL,'0',5,'1',3,'Podgorica',NULL,NULL,'0'),('MF','Saint Martin','Saint-Martin',NULL,'0',2,'1',NULL,NULL,NULL,NULL,'0'),('MG','Madagascar','Madagascar',NULL,'0',3,'1',3,'Antananarivo',NULL,1,'0'),('MH','Marshall Islands','Marshall, Îles',NULL,'0',4,'1',NULL,'',NULL,20,'0'),('MK','Macedonia, The Former Yugoslav Republic Of','Macédoine, L\'Ex-République Yougoslave De',NULL,'0',5,'1',1,'Skopje',NULL,12,'0'),('ML','Mali','Mali',NULL,'0',3,'1',4,'Bamako',NULL,5,'0'),('MM','Myanmar','Myanmar',NULL,'0',4,'1',3,'Abu Dhabi','Dubai',8,'0'),('MN','Mongolia','Mongolie',NULL,'0',4,'1',4,'Ulaanbaatar',NULL,6,'0'),('MO','Macao','Macao',NULL,'0',4,'1',NULL,'',NULL,6,'0'),('MP','Northern Mariana Islands','Mariannes Du Nord, Îles','US','0',4,'1',NULL,'',NULL,20,'0'),('MQ','Martinique','Martinique','FR','0',2,'1',NULL,'',NULL,14,'0'),('MR','Mauritania','Mauritanie',NULL,'0',3,'1',2,'Nouakchott',NULL,5,'0'),('MS','Montserrat','Montserrat','GB','0',2,'1',NULL,'',NULL,14,'0'),('MT','Malta','Malte',NULL,'1',5,'1',NULL,'',NULL,12,'0'),('MU','Mauritius','Maurice',NULL,'0',3,'1',NULL,'',NULL,1,'0'),('MV','Maldives','Maldives',NULL,'0',4,'1',NULL,'',NULL,7,'0'),('MW','Malawi','Malawi',NULL,'0',3,'1',3,'Lilongwe',NULL,1,'0'),('MX','Mexico','Mexique',NULL,'0',1,'1',4,'Mexico',NULL,15,'0'),('MY','Malaysia','Malaisie',NULL,'0',4,'1',5,'Kuala Lumpur',NULL,8,'0'),('MZ','Mozambique','Mozambique',NULL,'0',3,'1',3,'Maputo',NULL,1,'0'),('NA','Namibia','Namibie',NULL,'0',3,'1',4,'Windhoek',NULL,4,'0'),('NC','New Caledonia','Nouvelle-Calédonie','FR','0',4,'1',NULL,'',NULL,19,'0'),('NE','Niger','Niger',NULL,'0',3,'1',3,'Niamey',NULL,5,'0'),('NF','Norfolk Island','Norfolk, Île','AU','0',6,'1',NULL,'',NULL,18,'0'),('NG','Nigeria','Nigéria',NULL,'0',3,'1',3,'Abuja',NULL,5,'0'),('NI','Nicaragua','Nicaragua',NULL,'0',2,'1',4,'Managua',NULL,15,'0'),('NL','Netherlands','Pays-Bas',NULL,'1',5,'1',6,'Amsterdam','The Hague',13,'0'),('NO','Norway','Norvège',NULL,'0',5,'1',6,'Oslo',NULL,11,'0'),('NP','Nepal','Népal',NULL,'0',4,'1',2,'Kathmandu',NULL,7,'0'),('NR','Nauru','Nauru',NULL,'0',4,'1',NULL,'',NULL,20,'0'),('NU','Niue','Niué','NZ','0',6,'1',NULL,'','',21,'0'),('NZ','New Zealand','Nouvelle-Zélande',NULL,'0',6,'1',6,'Wellington',NULL,18,'0'),('OM','Oman','Oman',NULL,'0',4,'1',5,'Muscat',NULL,9,'0'),('PA','Panama','Panama',NULL,'0',2,'1',4,'Panama',NULL,15,'0'),('PE','Peru','Pérou',NULL,'0',2,'1',4,'Lima',NULL,16,'0'),('PF','French Polynesia','Polynésie Française','FR','0',6,'1',NULL,'',NULL,21,'0'),('PG','Papua New Guinea','Papouasie-Nouvelle-Guinée',NULL,'0',4,'1',3,'Port Moresby',NULL,19,'0'),('PH','Philippines','Philippines',NULL,'0',4,'1',4,'Manila',NULL,8,'0'),('PK','Pakistan','Pakistan',NULL,'0',4,'1',2,'Islamabad',NULL,7,'0'),('PL','Poland','Pologne',NULL,'1',5,'1',6,'Warsaw',NULL,10,'0'),('PM','Saint Pierre And Miquelon','Saint-Pierre-Et-Miquelon','FR','0',1,'1',NULL,'',NULL,17,'0'),('PN','Pitcairn','Pitcairn','GB','0',6,'1',NULL,'',NULL,21,'0'),('PR','Puerto Rico','Porto Rico','US','0',2,'1',1,'San Juan',NULL,14,'0'),('PS','Palestinian Territory, Occupied','Palestinien Occupé, Territoire',NULL,'0',4,'1',NULL,NULL,NULL,9,'0'),('PT','Portugal','Portugal',NULL,'1',5,'1',6,'Lisbon',NULL,12,'0'),('PW','Palau','Palaos',NULL,'0',6,'1',NULL,'',NULL,20,'0'),('PY','Paraguay','Paraguay',NULL,'0',2,'1',4,'Asuncion',NULL,16,'0'),('QA','Qatar','Qatar',NULL,'0',4,'1',5,'Doha',NULL,9,'0'),('RE','Reunion','Réunion','FR','0',3,'1',NULL,'',NULL,1,'0'),('RO','Romania','Roumanie',NULL,'1',5,'1',6,'Bucharest',NULL,10,'0'),('RS','Serbia','Serbie',NULL,'0',5,'1',3,'Belgrade',NULL,NULL,'0'),('RU','Russian Federation','Russie, Fédération De',NULL,'0',4,'1',2,'Moscow',NULL,10,'0'),('RW','Rwanda','Rwanda',NULL,'0',3,'1',3,'Kigali',NULL,1,'0'),('SA','Saudi Arabia','Arabie Saoudite',NULL,'0',4,'1',5,'Riyadh',NULL,9,'0'),('SB','Solomon Islands','Salomon, Îles',NULL,'0',4,'1',NULL,'',NULL,19,'0'),('SC','Seychelles','Seychelles',NULL,'0',3,'1',NULL,'',NULL,1,'0'),('SD','Sudan','Soudan',NULL,'0',3,'1',3,'Khartoum',NULL,3,'0'),('SE','Sweden','Suède',NULL,'1',5,'1',6,'Stockholm',NULL,11,'0'),('SG','Singapore','Singapour',NULL,'0',4,'1',NULL,'',NULL,8,'0'),('SH','Saint Helena','Sainte-Hélène','GB','0',3,'1',NULL,'',NULL,5,'0'),('SI','Slovenia','Slovénie',NULL,'1',5,'1',6,'Ljubljana',NULL,12,'0'),('SJ','Svalbard And Jan Mayen','Svalbard Et Île Jan Mayen','NO','0',5,'1',NULL,'',NULL,NULL,'0'),('SK','Slovakia','Slovaquie',NULL,'1',5,'1',6,'Bratislava',NULL,10,'0'),('SL','Sierra Leone','Sierra Leone',NULL,'0',3,'1',3,'Freetown',NULL,5,'0'),('SM','San Marino','Saint-Marin',NULL,'0',5,'1',NULL,'',NULL,12,'0'),('SN','Senegal','Sénégal',NULL,'0',3,'1',4,'Dakar',NULL,5,'0'),('SO','Somalia','Somalie',NULL,'0',3,'1',3,'Mogadishu',NULL,1,'0'),('SR','Suriname','Suriname',NULL,'0',2,'1',4,'Paramaribo',NULL,16,'0'),('ST','Sao Tome And Principe','Sao Tomé-Et-Principe',NULL,'0',3,'1',NULL,'',NULL,2,'0'),('SV','El Salvador','El Salvador',NULL,'0',2,'1',4,'San Salvador',NULL,15,'0'),('SY','Syrian Arab Republic','Syrienne, République Arabe',NULL,'0',4,'1',5,'Damascus',NULL,9,'0'),('SZ','Swaziland','Swaziland',NULL,'0',3,'1',2,'Mbabane',NULL,4,'0'),('TC','Turks And Caicos Islands','Turks Et Caïques, Îles','GB','0',2,'1',NULL,'',NULL,14,'0'),('TD','Chad','Tchad',NULL,'0',3,'1',2,'N\'Djamena',NULL,2,'0'),('TF','French Southern Territories','Terres Australes Françaises','FR','0',7,'1',NULL,'',NULL,NULL,'0'),('TG','Togo','Togo',NULL,'0',3,'1',2,'Lomé',NULL,5,'0'),('TH','Thailand','Thaïlande',NULL,'0',4,'1',4,'Bangkok',NULL,8,'0'),('TJ','Tajikistan','Tadjikistan',NULL,'0',4,'1',2,'Dushanbe',NULL,7,'0'),('TK','Tokelau','Tokelau','NZ','0',6,'1',NULL,NULL,NULL,21,'0'),('TL','Timor-Leste','Timor-Leste',NULL,'0',4,'1',2,'Abu Dhabi','Dubai',8,'0'),('TM','Turkmenistan','Turkménistan',NULL,'0',4,'1',5,'Ashgabat',NULL,7,'0'),('TN','Tunisia','Tunisie',NULL,'0',3,'1',5,'Tunis',NULL,3,'0'),('TO','Tonga','Tonga',NULL,'0',6,'1',1,'Nuku\'alofa',NULL,21,'0'),('TR','Turkey','Turquie',NULL,'0',4,'1',4,'Ankara',NULL,9,'0'),('TT','Trinidad And Tobago','Trinité-Et-Tobago',NULL,'0',2,'1',4,'Port of Spain',NULL,14,'0'),('TV','Tuvalu','Tuvalu',NULL,'0',6,'1',NULL,'',NULL,21,'0'),('TW','Taiwan, Province Of China','Taïwan, Province De Chine',NULL,'0',4,'1',1,'Nankin','Taipei',6,'0'),('TZ','Tanzania, United Republic Of','Tanzanie, République-Unie De',NULL,'0',3,'1',3,'Dodoma','Dar es Salaam',1,'0'),('UA','Ukraine','Ukraine',NULL,'0',5,'1',4,'Kiev',NULL,10,'0'),('UG','Uganda','Ouganda',NULL,'0',3,'1',3,'Kampala',NULL,1,'0'),('UM','United States Minor Outlying Islands','Îles Mineures Éloignées Des États-Unis','US','0',6,'1',NULL,'',NULL,NULL,'0'),('US','United States','États-Unis',NULL,'0',1,'1',6,'Washington',NULL,17,'0'),('UY','Uruguay','Uruguay',NULL,'0',2,'1',4,'Montevideo',NULL,16,'0'),('UZ','Uzbekistan','Ouzbékistan',NULL,'0',4,'1',5,'Tashkent',NULL,7,'0'),('VA','Holy See (Vatican City State)','Saint-Siège (État De La Cité Du Vatican)',NULL,'0',5,'1',NULL,'',NULL,12,'0'),('VC','Saint Vincent And The Grenadines','Saint-Vincent-Et-Les Grenadines',NULL,'0',2,'1',NULL,'',NULL,14,'0'),('VE','Venezuela','Venezuela',NULL,'0',2,'1',3,'Caracas',NULL,16,'0'),('VG','Virgin Islands, British','Îles Vierges Britanniques','GB','0',2,'1',NULL,'',NULL,14,'0'),('VI','Virgin Islands, U.S.','Îles Vierges Des États-Unis','US','0',2,'1',NULL,'',NULL,14,'0'),('VN','Viet Nam','Viet Nam',NULL,'0',4,'1',5,'Hanoi',NULL,8,'0'),('VU','Vanuatu','Vanuatu',NULL,'0',4,'1',NULL,'',NULL,19,'0'),('WB','West Bank and Gaza','West Bank and Gaza',NULL,'0',NULL,'1',NULL,NULL,NULL,NULL,'0'),('WF','Wallis And Futuna','Wallis Et Futuna','FR','0',6,'1',NULL,'',NULL,21,'0'),('WS','Samoa','Samoa',NULL,'0',6,'1',NULL,'',NULL,21,'0'),('YE','Yemen','Yémen',NULL,'0',4,'1',2,'Sanaa',NULL,9,'0'),('YT','Mayotte','Mayotte','FR','0',3,'1',NULL,'',NULL,NULL,'0'),('ZA','South Africa','Afrique Du Sud',NULL,'0',3,'1',4,'Pretoria','Cape Town',4,'0'),('ZM','Zambia','Zambie',NULL,'0',3,'1',3,'Lusaka',NULL,1,'0'),('ZW','Zimbabwe','Zimbabwe',NULL,'0',3,'1',2,'Harare',NULL,1,'0');
/*!40000 ALTER TABLE `countries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `countries_equiv`
--

DROP TABLE IF EXISTS `countries_equiv`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `countries_equiv` (
  `country_id` varchar(2) NOT NULL,
  `iso3` varchar(3) default NULL COMMENT 'ISO 3166 (3 alpha)',
  `iana` varchar(2) default NULL COMMENT 'Internet Assigned Numbers Authority',
  `ioc` varchar(3) default NULL COMMENT 'International Olympic Committee',
  `un` varchar(3) default NULL COMMENT 'United Nations, International Traffic Distinguished Signs',
  `isonum` int(11) default NULL COMMENT 'ISO 3166 / UN Statistical Division',
  `itu` varchar(5) default NULL COMMENT 'International Telecommunication Union codes for international telephone calls',
  `ec_comref` varchar(3) default NULL COMMENT 'E.C. COMREF',
  `ec_min` varchar(3) default NULL COMMENT 'E.C. MIN Coding',
  `ec_sysper` varchar(3) default NULL COMMENT 'E.C. Sysper Coding',
  `ec_trade` int(11) default NULL COMMENT 'E.C. Trade Coding',
  `janes_folder` varchar(10) default NULL COMMENT 'Jane''s Sentinel Folder name',
  `janes_base` varchar(10) default NULL COMMENT 'Jane''s Sentinel filenames base',
  `oxan` varchar(255) default NULL COMMENT 'Oxford Analytica Country Name',
  `ec_comref_del` varchar(3) default NULL COMMENT 'E.C. COMREF - DELEGATIONS.PAY_CD',
  `global_atlas` varchar(20) default NULL COMMENT 'The FIPS global atlas code',
  `wikipedia_name` varchar(255) default NULL COMMENT 'The Wikipedia country name',
  PRIMARY KEY  (`country_id`),
  CONSTRAINT `fk_countries_equiv_countries` FOREIGN KEY (`country_id`) REFERENCES `countries` (`country_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Country codes conversion table';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `countries_equiv`
--

LOCK TABLES `countries_equiv` WRITE;
/*!40000 ALTER TABLE `countries_equiv` DISABLE KEYS */;
INSERT INTO `countries_equiv` VALUES ('AD','AND','ad','AND','AND',20,'376','AND','AND','AD',43,NULL,NULL,'Andorra',NULL,'AN','Andorra'),('AE','ARE','ae','UAE',NULL,784,'971','ARE','UAE','UAE',647,'gulf','uaems','United Arab Emirates',NULL,'AE','United_Arab_Emirates'),('AF','AFG','af','AFG','AFG',4,'93','AFG','AFG','AF',660,'sas','afghs','Afghanistan',NULL,'AF','Afghanistan'),('AG','ATG','ag','ANT',NULL,28,'1-268','ATG','ANT','ANT',459,'cac','antbs','Antigua and Barbuda',NULL,'AC','Antigua_And_Barbuda'),('AI','AIA','ai',NULL,NULL,660,'1-264','AIA','ANG',NULL,446,'cac','angus','Anguilla',NULL,'AV','Anguilla'),('AL','ALB','al','ALB','AL',8,'355','ALB','AL','AL',70,'balk','albas','Albania',NULL,'AL','Albania'),('AM','ARM','am','ARM','AM',51,'7','ARM','ARM','AR',77,'cis','armes','Armenia',NULL,'AM','Armenia'),('AN','ANT','an','AHO','NA',530,'599','ANT','NA','AN',478,'cac','neths','Netherlands Antilles',NULL,'NT','Netherlands_Antilles'),('AO','AGO','ao','ANG',NULL,24,'244','AGO','AN','ANG',330,'safr','angos','Angola',NULL,'AO','Angola'),('AQ','ATA','aq',NULL,NULL,10,NULL,'ATA',NULL,NULL,891,NULL,NULL,'Antarctica',NULL,'FS','Antarctica'),('AR','ARG','ar','ARG','RA',32,'54','ARG','RA','RA',528,'sam','arges','Argentina',NULL,'AR','Argentina'),('AS','ASM','as','ASA',NULL,16,'1-684','ASM','XSA',NULL,830,'ocea','amsms','American Samoa',NULL,'AQ','American_Samoa'),('AT','AUT','at','AUT','A',40,'43','AUT','A','A',38,'weur','austs','Austria',NULL,'AU','Austria'),('AU','AUS','au','AUS','AUS',36,'61','AUS','AUS','AUS',800,'ocea','austs','Australia',NULL,'AS','Australia'),('AW','ABW','aw','ARU',NULL,533,'297','ABW','ARU','AW',474,'cac','arubs','Aruba',NULL,'AA','Aruba'),('AX','ALA','ax',NULL,NULL,248,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Åland_Islands'),('AZ','AZE','az','AZE','AZ',31,'994','AZE','AZB','AZ',78,'cis','azers','Azerbaijan',NULL,'AJ','Azerbaijan'),('BA','BIH','ba','BIH','BIH',70,'387','BIH','BOS','BOS',93,'balk','bosns','Bosnia-Hercegovina',NULL,'BK','Bosnia_And_Herzegovina'),('BB','BRB','bb','BAR','BDS',52,'1-246','BRB','BDS','BDS',469,'cac','barbs','Barbados',NULL,'BB','Barbados'),('BD','BGD','bd','BAN','BD',50,'880','BGD','BD','BD',666,'sas','bangs','Bangladesh',NULL,'BG','Bangladesh'),('BE','BEL','be','BEL','B',56,'32','BEL','B','B',17,'weur','belgs','Belgium',NULL,'BE','Belgium'),('BF','BFA','bf','BUR','BF',854,'226','BFA','HV','HV',236,'wafr','burks','Burkina Faso',NULL,'UV','Burkina_Faso'),('BG','BGR','bg','BUL','BG',100,'359','BGR','BG','BG',68,'balk','bulgs','Bulgaria',NULL,'BU','Bulgaria'),('BH','BHR','bh','BRN','BRN',48,'973','BHR','BRN','BH',640,'gulf','bahrs','Bahrain',NULL,'BA','Bahrain'),('BI','BDI','bi','BDI','RU',108,'257','BDI','RU','RU',328,'caf','burus','Burundi',NULL,'BY','Burundi'),('BJ','BEN','bj','BEN','DY',204,'229','BEN','RPB','DY',284,'wafr','benis','Benin',NULL,'BN','Benin'),('BM','BMU','bm','BER',NULL,60,'1-441','BMU','BM','BMU',413,'nam','berms','Bermuda',NULL,'BD','Bermuda'),('BN','BRN','bn','BRU','BRU',96,'673','BRN','BRU','BN',703,'sea','bruns','Brunei',NULL,'BX','Brunei_Darussalam'),('BO','BOL','bo','BOL','BOL',68,'591','BOL','BOL','BO',516,'sam','bolis','Bolivia',NULL,'BL','Bolivia'),('BR','BRA','br','BRA','BR',76,'55','BRA',NULL,'BR',508,'sam','brazs','Brazil',NULL,'BR','Brazil'),('BS','BHS','bs','BAH','BS',44,'1-242','BHS','BS','BS',453,'cac','bahas','Bahamas',NULL,NULL,'Bahamas'),('BT','BTN','bt','BHU',NULL,64,'975','BTN','BHT','BT',675,'sas','bhuts','Bhutan',NULL,'BT','Bhutan'),('BV','BVT','bv',NULL,NULL,74,NULL,'BVT',NULL,NULL,892,NULL,NULL,NULL,NULL,'BV','Bouvet_Island'),('BW','BWA','bw','BOT','BW',72,'267','BWA','RB','RB',391,'safr','botss','Botswana',NULL,'BC','Botswana'),('BY','BLR','by','BLR','BY',112,'375','BLR','BEL','BIE',73,'cis','belas','Belarus',NULL,'BO','Belarus'),('BZ','BLZ','bz','BIZ','BH',84,'501','BLZ','BH','XBL',421,'cac','belzs','Belize',NULL,'BH','Belize'),('CA','CAN','ca','CAN','CDN',124,'1','CAN','CDN','CDN',404,'nam','canas','Canada',NULL,'CA','Canada'),('CC','CCK','cc',NULL,NULL,166,NULL,'CCK',NULL,NULL,833,NULL,NULL,NULL,NULL,'CK','Cocos_(Keeling)_Islands'),('CD','COD','cd','COD','ZRE',180,'243','COD','ZRE','ZRE',322,'caf','drocs','Congo-Kinshasa','ZAR','CG','democratic_republic_of_the_congo'),('CF','CAF','cf','CAF','RCA',140,'236','CAF','RCA','RCA',306,'caf','cares','Central African Republic',NULL,'CT','Central_African_Republic'),('CG','COG','cg','CGO','RCB',178,'242','COG','RCB','RCB',318,'caf','congs','Congo-Brazzaville',NULL,'CF','Congo'),('CH','CHE','ch','SUI','CH',756,'41','CHE','CH','CH',39,'weur','swits','Switzerland',NULL,'SZ','Switzerland'),('CI','CIV','ci','CIV','CI',384,'225','CIV','CI','CI',272,'wafr','cotes','Ivory Coast',NULL,'IV','Côte_D\'Ivoire'),('CK','COK','ck','COK',NULL,184,'682','COK',NULL,NULL,837,'ocea','cooks','Cook Islands',NULL,'CW','Cook_Islands'),('CL','CHL','cl','CHI','RCH',152,'56','CHL','RCH','RCH',512,'sam','chils','Chile',NULL,'CI','Chile'),('CM','CMR','cm','CMR','CAM',120,'237','CMR','CAM','TC',302,'caf','cames','Cameroon',NULL,'CM','Cameroon'),('CN','CHN','cn','CHN',NULL,156,'86','CHN','TJ','CHN',720,'cna','chins','China',NULL,'CH','People\'s_Republic_of_China'),('CO','COL','co','COL','CO',170,'57','COL','CO','CO',480,'sam','colos','Colombia',NULL,'CO','Colombia'),('CR','CRI','cr','CRI','CR',188,'506','CRI','CR','CR',436,'cac','costs','Costa Rica',NULL,'CS','Costa_Rica'),('CU','CUB','cu','CUB','CU',192,'53','CUB','C','CU',448,'cac','cubas','Cuba',NULL,'CU','Cuba'),('CV','CPV','cv','CPV',NULL,132,'238','CPV','XCP','XCV',247,'wafr','capes','Cape Verde',NULL,'CV','Cape_Verde'),('CX','CXR','cx',NULL,NULL,162,NULL,'CXR',NULL,NULL,834,NULL,NULL,NULL,NULL,'KT','Christmas_Island'),('CY','CYP','cy','CYP','CY',196,'357','CYP','CY','CY',600,'emed','cyprs','Cyprus',NULL,'CY','Cyprus'),('CZ','CZE','cz','CZE','CZ',203,'420','CZE','TCH','CS',61,'ceur','czecs','Czechoslovakia',NULL,'EZ','Czech_Republic'),('DE','DEU','de','GER','D',276,'49','DEU','D','D',4,'weur','germs','Germany',NULL,'GM','Germany'),('DJ','DJI','dj','DJI',NULL,262,'253','DJI','XAI','DJI',338,'nafr','djibs','Djibouti',NULL,'DJ','Djibouti'),('DK','DNK','dk','DEN','DK',208,'45','DNK','DK','DK',8,'weur','denms','Denmark',NULL,'DA','Denmark'),('DM','DMA','dm','DMA','WD',212,'1-767','DMA','WD','DMA',460,'cac','domis','Dominica',NULL,'DO','Dominica'),('DO','DOM','do','DOM','DOM',214,'1-809','DOM','DOM','DOM',456,'cac','dreps','Dominican Republic',NULL,'DR','Dominican_Republic'),('DZ','DZA','dz','ALG','DZ',12,'213','DZA','DZ','DZ',208,'nafr','alges','Algeria',NULL,'AG','Algeria'),('EC','ECU','ec','ECU','EC',218,'593','ECU','EC','EG',500,'sam','ecuas','Ecuador',NULL,'EC','Ecuador'),('EE','EST','ee','EST','EST',233,'372','EST','EST','EST',53,'weur','estns','Estonia',NULL,'EN','Estonia'),('EG','EGY','eg','EGY','ET',818,'20','EGY','ET','ET',220,'nafr','egyps','Egypt',NULL,'EG','Egypt'),('EH','ESH','eh',NULL,NULL,732,NULL,'ESH',NULL,NULL,NULL,'nafr','wsahs','Western Sahara',NULL,'WI','Western_Sahara'),('ER','ERI','er','ERI',NULL,232,'291','ERI','ERY','ERY',336,'nafr','erits','Eritrea',NULL,'ER','Eritrea'),('ES','ESP','es','ESP','E',724,'34','ESP','E','E',11,'weur','spais','Spain',NULL,'SP','Spain'),('ET','ETH','et','ETH','ETH',231,'251','ETH','ETH','EP',334,'nafr','ethis','Ethiopia',NULL,'ET','Ethiopia'),('FI','FIN','fi','FIN','FIN',246,'358','FIN','SF','FIN',32,'ceur','finls','Finland',NULL,'FI','Finland'),('FJ','FJI','fj','FIJ','FJI',242,'679','FJI','FJI','IF',815,'ocea','fijis','Fiji',NULL,'FJ','Fiji'),('FK','FLK','fk',NULL,NULL,238,'500','FLK','FAL','FK',529,'sam','falks','Falkland Islands',NULL,'FK','Falkland_Islands_(Malvinas)'),('FM','FSM','fm','FSM',NULL,583,'691','FSM',NULL,NULL,823,'ocea','micrs','Micronesia',NULL,'FM','federated_states_of_micronesia'),('FO','FRO','fo',NULL,'FR',234,'298','FRO','FR',NULL,41,NULL,NULL,NULL,NULL,'FO','Faroe_Islands'),('FR','FRA','fr','FRA','F',250,'33','FRA','F','F',1,'weur','frans','France',NULL,'FR','France'),('GA','GAB','ga','GAB','G',266,'241','GAB','GA','GA',314,'caf','gabos','Gabon',NULL,'GB','Gabon'),('GB','GBR','uk','GBR','GB',826,'44','GBR','GB','GB',6,'weur','units','United Kingdom',NULL,'UK','United_Kingdom'),('GD','GRD','gd','GRN','WG',308,'1-473','GRD','WG','GRE',473,'cac','grens','Grenada',NULL,'GJ','Grenada'),('GE','GEO','ge','GEO','GE',268,NULL,'GEO','GEO','GEO',76,'cis','geors','Georgia',NULL,'GG','Georgia_(country)'),('GF','GUF','gf',NULL,NULL,254,'594','GUF',NULL,NULL,1,'sam','fguis','French Guiana',NULL,'FG','French_Guiana'),('GG','GGY','gg',NULL,'GBG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'GK','Guernsey'),('GH','GHA','gh','GHA','GH',288,'233','GHA','GH','GH',276,'wafr','ghans','Ghana',NULL,'GH','Ghana'),('GI','GIB','gi',NULL,'GBZ',292,'350','GIB','GBZ','GIB',44,NULL,NULL,'Gibraltar',NULL,'GI','Gibraltar'),('GL','GRL','gl',NULL,NULL,304,'299','GRL',NULL,NULL,406,'nam','grees','Greenland',NULL,'GL','Greenland'),('GM','GMB','gm','GAM','WAG',270,'220','GMB','GAM','GAM',252,'wafr','gambs','Gambia',NULL,'GA','Gambia'),('GN','GIN','gn','GUI','RG',324,'224','GIN','GN','GN',260,'wafr','guins','Guinea',NULL,'GV','Guinea'),('GP','GLP','gp',NULL,NULL,312,'590','GLP',NULL,'GLP',1,'cac','guads','Guadeloupe',NULL,'GP','Guadeloupe'),('GQ','GNQ','gq','GEQ',NULL,226,'240','GNQ','GE','GE',310,'caf','eqgus','Equatorial Guinea',NULL,'EK','Equatorial_Guinea'),('GR','GRC','gr','GRE','GR',300,'30','GRC','GR','GR',9,'emed','grees','Greece',NULL,'GR','Greece'),('GS','SGS','gs',NULL,NULL,239,NULL,'SGS',NULL,NULL,893,NULL,NULL,NULL,NULL,'SX','South_Georgia_and_the_South_Sandwich_Islands'),('GT','GTM','gt','GUA','GCA',320,'502','GTM','G','GCA',416,'cac','guats','Guatemala',NULL,'GT','Guatemala'),('GU','GUM','gu','GUM',NULL,316,'1-671','GUM',NULL,NULL,831,'ocea','guams','Guam',NULL,'GQ','Guam'),('GW','GNB','gw','GBS',NULL,624,'245','GNB','GI','GI',257,'wafr','gbiss','Guinea-Bissau',NULL,'PU','Guinea-Bissau'),('GY','GUY','gy','GUY','GUY',328,'592','GUY','GUY','GU',488,'sam','guyas','Guyana',NULL,'GY','Guyana'),('HK','HKG','hk','HKG',NULL,344,'852','HKG','HK','HK',740,NULL,NULL,'Hong Kong',NULL,'HK','Hong_Kong'),('HM','HMD','hm',NULL,NULL,334,NULL,'HMD',NULL,NULL,835,NULL,NULL,NULL,NULL,'HM','Heard_Island_and_McDonald_Islands'),('HN','HND','hn','HON',NULL,340,'504','HND','HON','HN',424,'cac','honds','Honduras',NULL,'HO','Honduras'),('HR','HRV','hr','CRO','HR',191,'385','HRV','CRO','CRO',92,'balk','croas','Croatia',NULL,'HR','Croatia'),('HT','HTI','ht','HAI','RH',332,'509','HTI','RH','RH',452,'cac','haits','Haiti',NULL,'HA','Haiti'),('HU','HUN','hu','HUN','H',348,'36','HUN','H','H',64,'balk','hungs','Hungary',NULL,'HU','Hungary'),('ID','IDN','id','INA','RI',360,'62','IDN','RI','RI',700,'sea','indos','Indonesia',NULL,'ID','Indonesia'),('IE','IRL','ie','IRL','IRL',372,'353','IRL','IRL','IRL',7,'weur','irels','Ireland',NULL,'EI','Ireland'),('IL','ISR','il','ISR','IL',376,'972','ISR','IL','IL',624,'emed','isras','Israel',NULL,'IS','Israel'),('IM','IMN','im',NULL,'GBM',833,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'IM','Isle_Of_Man'),('IN','IND','in','IND','IND',356,'91','IND','IND','IND',664,'sas','indis','India',NULL,'IN','India'),('IO','IOT','io',NULL,NULL,86,NULL,'IOT',NULL,NULL,357,NULL,NULL,NULL,NULL,'IO','British_Indian_Ocean_Territory'),('IQ','IRQ','iq','IRQ','IRQ',368,'964','IRQ','IRQ','IQ',612,'gulf','iraqs','Iraq',NULL,'IZ','Iraq'),('IR','IRN','ir','IRI','IR',364,'98','IRN','IR','IR',616,'gulf','irans','Iran',NULL,'IR','Islamic_Republic_of_Iran'),('IS','ISL','is','ISL','IS',352,'354','ISL','IS','IS',24,'weur','icels','Iceland',NULL,'IC','Iceland'),('IT','ITA','it','ITA','I',380,'39','ITA','I','I',5,'weur','itals','Italy',NULL,'IT','Italy'),('JE','JEY','je',NULL,'GBJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'JE','Jersey'),('JM','JAM','jm','JAM','JA',388,'1-876','JAM','JA','JA',464,'cac','jamas','Jamaica',NULL,'JM','Jamaica'),('JO','JOR','jo','JOR','HKJ',400,'962','JOR','JOR','HKJ',628,'emed','jords','Jordan',NULL,'JO','Jordan'),('JP','JPN','jp','JPN','J',392,'81','JPN','J','J',732,'cna','japns','Japan',NULL,'JA','Japan'),('KE','KEN','ke','KEN','EAK',404,'254','KEN','EAK','EAK',346,'caf','kenys','Kenya',NULL,'KE','Kenya'),('KG','KGZ','kg','KGZ','KS',417,'996','KGZ','KIR','KGZ',83,'cis','kyrgs','Kyrgyzstan',NULL,'KG','Kyrgyzstan'),('KH','KHM','kh','CAM','K',116,'855','KHM','K','KH',696,'sea','cambs','Cambodia',NULL,'CB','Cambodia'),('KI','KIR','ki','KIR',NULL,296,'686','KIR','KRB','KIR',812,'ocea','kiris','Kiribati',NULL,'KR','Kiribati'),('KM','COM','km','COM',NULL,174,'269','COM','XCM','XCM',375,'caf','comos','Comoros',NULL,'CN','Comoros'),('KN','KNA','kn','SKN',NULL,659,'1-869','KNA','SCN',NULL,449,'cac','stkis','Saint Kitts and Nevis',NULL,'SC','Saint_kitts_and_nevis'),('KP','PRK','kp','PRK',NULL,408,'850','PRK','NK',NULL,724,'cna','nkors','North Korea',NULL,'KN','Democratic_People\'s_Republic_of_Korea'),('KR','KOR','kr','KOR','ROK',410,'82','KOR','ROK',NULL,728,'cna','skors','South Korea',NULL,'KS','republic_of_korea'),('KW','KWT','kw','KUW','KWT',414,'965','KWT','KWT','KWT',636,'gulf','kuwts','Kuwait',NULL,'KU','Kuwait'),('KY','CYM','ky','CAY',NULL,136,'1-345','CYM','CAY','KY',463,'cac','cayms','Cayman Islands',NULL,'CJ','Cayman_Islands'),('KZ','KAZ','kz','KAZ','KZ',398,'7','KAZ','KAZ','KAZ',79,'cis','kazas','Kazakhstan',NULL,'KZ','Kazakhstan'),('LA','LAO','la','LAO','LAO',418,'856','LAO','LAO','LA',684,'sea','laoss','Laos',NULL,'LA','Lao_People\'s_Democratic_Republic'),('LB','LBN','lb','LIB','RL',422,'961','LBN','RL','RL',604,'emed','lebns','Lebanon',NULL,'LE','Lebanon'),('LC','LCA','lc','LCA','WL',662,'1-758','LCA','WL',NULL,465,'cac','stlus','Saint Lucia',NULL,'ST','Saint_Lucia'),('LI','LIE','li','LIE','FL',438,'423','LIE','FL','LI',37,'weur','weura010','Liechtenstein',NULL,'LS','Liechtenstein'),('LK','LKA','lk','SRI','CL',144,'94','LKA','CL','LK',669,'sas','srils','Sri Lanka',NULL,'CE','Sri_Lanka'),('LR','LBR','lr','LBR','LB',430,'231','LBR','LB','LB',268,'wafr','libes','Liberia',NULL,'LI','Liberia'),('LS','LSO','ls','LES','LS',426,'266','LSO','LS','LS',395,'safr','lesos','Lesotho',NULL,'LT','Lesotho'),('LT','LTU','lt','LTU','LT',440,'370','LTU','LIT','LIT',55,'ceur','liths','Lithuania',NULL,'LH','Lithuania'),('LU','LUX','lu','LUX','L',442,'352','LUX','L','L',18,'weur','luxes','Luxembourg',NULL,'LU','Luxembourg'),('LV','LVA','lv','LAT','LV',428,'371','LVA','LVA','LET',54,'ceur','latvs','Latvia',NULL,'LG','Latvia'),('LY','LBY','ly','LBA','LAR',434,'218','LBY','LAR','LY',216,'nafr','libys','Libya',NULL,'LY','Libyan_Arab_Jamahiriya'),('MA','MAR','ma','MAR','MA',504,'212','MAR','MA','MA',204,'nafr','moros','Morocco',NULL,'MO','Morocco'),('MC','MCO','mc','MON','MC',492,'377','MCO','MC','MC',1,NULL,NULL,'Monaco',NULL,'MN','Monaco'),('MD','MDA','md','MDA','MD',498,'373','MDA','MOL','MOL',74,'cis','molds','Moldova',NULL,'MD','Republic_of_Moldova'),('ME','MNE','me',NULL,NULL,499,'381','MNE',NULL,NULL,NULL,'balk','balka','Montenegro',NULL,'MJ','Montenegro'),('MG','MDG','mg','MAD','RM',450,'261','MDG','RM','RM',370,'safr','madas','Madagascar',NULL,'MA','Madagascar'),('MH','MHL','mh','MHL',NULL,584,'692','MHL',NULL,NULL,824,'ocea','marss','Marshall Islands',NULL,'RM','Marshall_Islands'),('MK','MKD','mk','MKD','MK',807,'389','MKD','MK','MCE',96,'balk','maces','Macedonia',NULL,'MK','Former_Yugoslav_Republic_Of_Macedonia'),('ML','MLI','ml','MLI','RMM',466,'223','MLI','RMM','RMM',232,'wafr','malis','Mali',NULL,'ML','Mali'),('MM','MMR','mm','MYA','BUR',104,'95','MMR','BUR','MYA',676,'sea','myans','Burma',NULL,'BM','Myanmar'),('MN','MNG','mn','MGL','MGL',496,'976','MNG','MON','MN',716,'cna','mongs','Mongolia',NULL,'MG','Mongolia'),('MO','MAC','mo',NULL,NULL,446,'853','MAC','MCO','MO',743,NULL,NULL,'Macau',NULL,'MC','Macao'),('MP','MNP','mp',NULL,NULL,580,'1-670','MNP',NULL,NULL,820,'ocea','nmars',NULL,NULL,'CQ','Northern_Mariana_Islands'),('MQ','MTQ','mq',NULL,NULL,474,'596','MTQ',NULL,'MQ',1,'cac','marts','Martinique',NULL,'MB','Martinique'),('MR','MRT','mr','MTN','RIM',478,'222','MRT','RIM','RIM',228,'nafr','maurs','Mauritania',NULL,'MR','Mauritania'),('MS','MSR','ms',NULL,NULL,500,'1-664','MSR',NULL,NULL,470,'cac','monts','Montserrat',NULL,'MH','Montserrat'),('MT','MLT','mt','MLT','M',470,'356','MLT','M','MLT',46,'weur','malts','Malta',NULL,'MT','Malta'),('MU','MUS','mu','MRI','MS',480,'230','MUS','MS','MS',373,'safr','maurs','Mauritius',NULL,'MP','Mauritius'),('MV','MDV','mv','MDV',NULL,462,'960','MDV','MD','MV',667,'sas','sasa003','Maldives',NULL,'MV','Maldives'),('MW','MWI','mw','MAW','MW',454,'265','MWI','MW','MW',386,'safr','malas','Malawi',NULL,'MI','Malawi'),('MX','MEX','mx','MEX','MEX',484,'52','MEX','MEX','MEX',412,'cac','mexis','Mexico',NULL,'MX','Mexico'),('MY','MYS','my','MAS','MAL',458,'60','MYS','MAL','PTM',701,'sea','malas','Malaysia',NULL,'MY','Malaysia'),('MZ','MOZ','mz','MOZ','MOC',508,'258','MOZ','MOC','MZB',366,'safr','mozas','Mozambique',NULL,'MZ','Mozambique'),('NA','NAM','na','NAM','NAM',516,'264','NAM','NAM','NA',389,'safr','namis','Namibia',NULL,'WA','Namibia'),('NC','NCL','nc',NULL,NULL,540,'687','NCL','XNC','XNC',809,'ocea','ncals','New Caledonia',NULL,'NC','New_Caledonia'),('NE','NER','ne','NIG','RN',562,'227','NER','RN','NIG',240,'wafr','nigrs','Niger',NULL,'NG','Niger'),('NF','NFK','nf',NULL,NULL,574,NULL,'NFK',NULL,NULL,836,'ocea','norfs',NULL,NULL,'NF','Norfolk_Island'),('NG','NGA','ng','NGR','WAN',566,'234','NGA','WAN','WAN',288,'wafr','nigs','Nigeria',NULL,'NI','Nigeria'),('NI','NIC','ni','NCA','NIC',558,'505','NIC','NIC','NI',432,'cac','nicas','Nicaragua',NULL,'NU','Nicaragua'),('NL','NLD','nl','NED','NL',528,'31','NLD','NL','NL',3,'weur','neths','Netherlands',NULL,'NL','Netherlands'),('NO','NOR','no','NOR','N',578,'47','NOR','N','N',28,'weur','norws','Norway',NULL,'NO','Norway'),('NP','NPL','np','NEP','NEP',524,'977','NPL','NPL','NP',672,'sas','nepas','Nepal',NULL,'NP','Nepal'),('NR','NRU','nr','NRU','NAU',520,'674','NRU','NRU',NULL,803,'ocea','naurs','Nauru',NULL,'NR','Nauru'),('NU','NIU','nu',NULL,NULL,570,'683','NIU',NULL,NULL,838,'ocea','niues',NULL,NULL,'NE','Niue'),('NZ','NZL','nz','NZL','NZ',554,'64','NZL','NZ','NZ',804,'ocea','newzs','New Zealand',NULL,'NZ','New_Zealand'),('OM','OMN','om','OMA',NULL,512,'968','OMN','OMN','OM',649,'gulf','omans','Oman',NULL,'MU','Oman'),('PA','PAN','pa','PAN','PA',591,'507','PAN','PA','PA',442,'cac','panas','Panama',NULL,'PM','Panama'),('PE','PER','pe','PER','PE',604,'51','PER','PE','PE',504,'sam','perus','Peru',NULL,'PE','Peru'),('PF','PYF','pf',NULL,NULL,258,'689','PYF','XPY','XPY',822,'ocea','frens','French Polynesia',NULL,'FP','French_Polynesia'),('PG','PNG','pg','PNG','PNG',598,'675','PNG','PNG','XPG',801,'ocea','papus','Papua New Guinea',NULL,'PP','Papua_New_Guinea'),('PH','PHL','ph','PHI','RP',608,'63','PHL','RP','PH',708,'sea','phils','Philippines',NULL,'RP','Philippines'),('PK','PAK','pk','PAK','PK',586,'92','PAK','PAK','PAK',662,'sas','pakis','Pakistan',NULL,'PK','Pakistan'),('PL','POL','pl','POL','PL',616,'48','POL','PL','PL',60,'ceur','polas','Poland',NULL,'PL','Poland'),('PM','SPM','pm',NULL,NULL,666,'508','SPM','XPM','XPM',408,'nam','stpis','Saint Pierre and Miquelon',NULL,'SB','Saint_pierre_and_miquelon'),('PN','PCN','pn',NULL,NULL,612,NULL,'PCN','PCI',NULL,813,'ocea','pitcs','Pitcairn',NULL,'PC','Pitcairn'),('PR','PRI','pr','PUR',NULL,630,'1','PRI','PRI',NULL,400,'cac','puers','Puerto Rico',NULL,'RQ','Puerto_Rico'),('PS','PSE','ps','PLE',NULL,275,'970','PSE',NULL,'TOC',625,'emed','gazas','Palestinians',NULL,NULL,'Gaza_Strip'),('PT','PRT','pt','POR','P',620,'351','PRT','P','P',10,'weur','ports','Portugal',NULL,'PO','Portugal'),('PW','PLW','pw','PLW',NULL,585,'680','PLW',NULL,NULL,825,'ocea','palas','Palau',NULL,'PS','Palau'),('PY','PRY','py','PAR','PY',600,'595','PRY','PY','PY',520,'sam','paras','Paraguay',NULL,'PA','Paraguay'),('QA','QAT','qa','QAT','Q',634,'974','QAT','QAT','QA',644,'gulf','qatrs','Qatar',NULL,'QA','Qatar'),('RE','REU','re',NULL,NULL,638,'262','REU','XRE','XRE',1,NULL,NULL,'Reunion',NULL,'RE','Reunion'),('RO','ROU','ro','ROM','RO',642,'40','ROM','RO','R',66,'balk','romas','Romania',NULL,'RO','Romania'),('RS','SRB','rs','SRB',NULL,688,'381','SRB',NULL,'SER',94,'balk','yugos','Serbia',NULL,'RI','Serbia'),('RU','RUS','ru','RUS','RUS',643,'7','RUS','RUS','RUS',75,'cis','russs','Russia',NULL,'RS','Russian_Federation'),('RW','RWA','rw','RWA','RWA',646,'250','RWA','RWA','RWA',324,'caf','rwans','Rwanda',NULL,'RW','Rwanda'),('SA','SAU','sa','KSA','SA',682,'966','SAU','AS','SA',632,'gulf','sauds','Saudi Arabia',NULL,'SA','Saudi_Arabia'),('SB','SLB','sb','SOL',NULL,90,'677','SLB','XSO','XSM',806,'ocea','solos','Solomon Islands',NULL,'BP','Solomon_Islands'),('SC','SYC','sc','SEY','SY',690,'248','SYC','SY','XSY',355,'caf','seycs','Seychelles',NULL,'SE','Seychelles'),('SD','SDN','sd','SUD','SUD',736,'249','SDN','SUD','SDN',224,'nafr','sudas','Sudan',NULL,'SU','Sudan'),('SE','SWE','se','SWE','S',752,'46','SWE','S','S',30,'ceur','sweds','Sweden',NULL,'SW','Sweden'),('SG','SGP','sg','SIN','SGP',702,'65','SGP','SGP','SGP',706,'sea','sings','Singapore',NULL,'SN','Singapore'),('SH','SHN','sh',NULL,NULL,654,'290','SHN','SH','ST',329,'safr','sthelena','Saint Helena',NULL,'SH','Saint_Helena'),('SI','SVN','si','SLO','SLO',705,'386','SVN','SVN','SLO',91,'balk','slovs','Slovenia',NULL,'SI','Slovenia'),('SJ','SJM','sj',NULL,NULL,744,NULL,'SJM',NULL,NULL,28,NULL,NULL,NULL,NULL,'SV,JN','Svalbard'),('SK','SVK','sk','SVK','SK',703,'421','SVK','SL','SLK',63,'ceur','slovs','Slovakia',NULL,'LO','Slovakia'),('SL','SLE','sl','SLE','WAL',694,'232','SLE','WAL','WAL',264,'wafr','siers','Sierra Leone',NULL,'SL','Sierra_Leone'),('SM','SMR','sm','SMR','RSM',674,'378','SMR','RSM','SM',47,NULL,NULL,'San Marino',NULL,'SM','San_Marino'),('SN','SEN','sn','SEN','SN',686,'221','SEN','SN','SN',248,'wafr','senes','Senegal',NULL,'SG','Senegal'),('SO','SOM','so','SOM','SO',706,'252','SOM','SP','SO',342,'nafr','somas','Somalia',NULL,'SO','Somalia'),('SR','SUR','sr','SUR','SME',740,'597','SUR','SME','SME',492,'sam','suris','Suriname',NULL,'NS','Suriname'),('ST','STP','st','STP',NULL,678,'239','STP','XST','XST',311,'caf','staps','Sao Tome',NULL,'TP','Sao_tome_and_principe'),('SV','SLV','sv','ESA','ES',222,'503','SLV','ES','SV',428,'cac','elsas','El Salvador',NULL,'ES','El_Salvador'),('SY','SYR','sy','SYR','SYR',760,'963','SYR','SYR','SYR',608,'emed','syris','Syria',NULL,'SY','Syrian_Arab_Republic'),('SZ','SWZ','sz','SWZ','SD',748,'268','SWZ','SD','SD',393,'safr','swazs','Swaziland',NULL,'WZ','Swaziland'),('TC','TCA','tc',NULL,NULL,796,'1-649','TCA','TRC',NULL,454,'cac','turcs','Turks and Caicos',NULL,'TK','Turks_and_Caicos_Islands'),('TD','TCD','td','CHA','TCH',148,'235','TCD','CD','CD',244,'nafr','chads','Chad',NULL,'CD','Chad'),('TF','ATF','tf',NULL,NULL,260,NULL,'ATF',NULL,NULL,894,NULL,NULL,NULL,NULL,NULL,'French_Southern_Territories'),('TG','TGO','tg','TOG','TG',768,'228','TGO','TG','TG',280,'wafr','togos','Togo',NULL,'TO','Togo'),('TH','THA','th','THA','T',764,'66','THA','T','T',680,'sea','thais','Thailand',NULL,'TH','Thailand'),('TJ','TJK','tj','TJK','TJ',762,'992','TJK','TAD','TAD',82,'cis','tajis','Tajikistan',NULL,'TI','Tajikistan'),('TK','TKL','tk',NULL,NULL,772,'690','TKL',NULL,NULL,839,'ocea','tokes',NULL,NULL,'TL','Tokelau'),('TL','TLS','tp','TLS',NULL,626,'670','TMP',NULL,NULL,626,'sea','etims','East Timor',NULL,'TT','Timor-Leste'),('TM','TKM','tm','TKM','TM',795,'993','TKM','TUR','TUR',80,'cis','turks','Turkmenistan',NULL,'TX','Turkmenistan'),('TN','TUN','tn','TUN','TN',788,'216','TUN','TN','TN',212,'nafr','tunis','Tunisia',NULL,'TS','Tunisia'),('TO','TON','to','TGA',NULL,776,'676','TON','TO','TO',817,'ocea','tongs','Tonga',NULL,'TN','Tonga'),('TR','TUR','tr','TUR','TR',792,'90','TUR','TR','TR',52,'emed','turks','Turkey',NULL,'TU','Turkey'),('TT','TTO','tt','TRI','TT',780,'1-868','TTO','TT','TT',472,'cac','trins','Trinidad and Tobago',NULL,'TD','Trinidad_and_tobago'),('TV','TUV','tv',NULL,NULL,798,'688','TUV','TVL',NULL,807,'ocea','tuvas','Tuvalu',NULL,'TV','Tuvalu'),('TW','TWN','tw','TPE',NULL,158,'886','TWN','RC','RC',736,'cna','taiws','Taiwan',NULL,'TW','Taiwan'),('TZ','TZA','tz','TAN',NULL,834,'255','TZA','EAT','EAT',352,'caf','tanzs','Tanzania',NULL,'TZ','Tanzania'),('UA','UKR','ua','UKR','UA',804,'380','UKR','UKR','UA',72,'cis','ukras','Ukraine',NULL,'UP','Ukraine'),('UG','UGA','ug','UGA','EAU',800,'256','UGA','EAU','EAU',350,'caf','ugans','Uganda',NULL,'UG','Uganda'),('UM','UMI','um',NULL,NULL,581,NULL,'UMI',NULL,NULL,832,NULL,NULL,NULL,NULL,NULL,'United_States_Minor_Outlying_Islands'),('US','USA','us','USA','USA',840,'1','USA','USA','USA',400,'nam','amers','United States',NULL,'US','United_States'),('UY','URY','uy','URU','ROU',858,'598','URY','RDU','U',524,'sam','urus','Uruguay',NULL,'UY','Uruguay'),('UZ','UZB','uz','UZB','UZ',860,'998','UZB','OUZ','OUZ',81,'cis','uzbes','Uzbekistan',NULL,'UZ','Uzbekistan'),('VA','VAT','va','VAT','V',336,'379','VAT','SCV','VA',45,NULL,NULL,'Vatican City',NULL,'VT','Holy_See_(Vatican_City_State)'),('VC','VCT','vc','VIN','WV',670,'1-784','VCT','WV',NULL,467,'cac','stvis','Saint Vincent',NULL,'VC','Saint_vincent_and_the_grenadines'),('VE','VEN','ve','VEN','YV',862,'58','VEN','VE','YV',484,'sam','venes','Venezuela',NULL,'VE','Venezuela'),('VG','VGB','vg','IVB','BVI',92,'1-284','VGB','VIB',NULL,468,'cac','brits','Virgin Islands (British)',NULL,'VI','british_virgin_islands'),('VI','VIR','vi','ISV',NULL,850,'1-340','VIR','VIR',NULL,457,'cac','usvis','Virgin Islands',NULL,'VQ','U.S._Virgin_Islands'),('VN','VNM','vn','VIE','VN',704,'84','VNM','VN','VN',690,'sea','viets','Vietnam',NULL,'VM','Viet_Nam'),('VU','VUT','vu','VAN',NULL,548,'678','VUT','XNH','XNH',816,'ocea','vanus','Vanuatu',NULL,'NH','Vanuatu'),('WF','WLF','wf',NULL,NULL,876,'681','WLF','WFI',NULL,811,'ocea','walls','Wallis and Futuna',NULL,'WF','Wallis_and_futuna'),('WS','WSM','ws','SAM','WS',882,'685','WSM','WS','XSA',819,'ocea','samos',NULL,NULL,'WS','Samoa'),('YE','YEM','ye','YEM','YAR',887,'967','YEM','YMN','YE',653,'gulf','yemns','Yemen',NULL,'YM','Yemen'),('YT','MYT','yt',NULL,NULL,175,'269','MYT','MAY',NULL,377,'caf','mayotte','Mayotte',NULL,'MF','Mayotte'),('ZA','ZAF','za','RSA','ZA',710,'27','ZAF','ZA','ZA',388,'safr','safrs','South Africa',NULL,'SF','South_Africa'),('ZM','ZMB','zm','ZAM','RNR',894,'260','ZMB','Z','Z',378,'safr','zambs','Zambia',NULL,'ZA','Zambia'),('ZW','ZWE','zw','ZIM','ZW',716,'263','ZWE','ZW','ZIM',382,'safr','zimbs','Zimbabwe',NULL,'ZI','Zimbabwe');
/*!40000 ALTER TABLE `countries_equiv` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `languages` (
  `language_id` varchar(3) NOT NULL COMMENT 'ISO 639-2/B',
  `name_en` varchar(255) NOT NULL COMMENT 'ISO 639-2/B',
  `name_fr` varchar(255) NOT NULL COMMENT 'ISO 639-2/B',
  `eu_language` enum('0','1') NOT NULL default '0' COMMENT '1 if the language is an  official language of the European Union',
  PRIMARY KEY  (`language_id`),
  KEY `idx_countries_name_en` (`name_en`),
  KEY `idx_countries_name_fr` (`name_fr`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='List of languages (ISO 639-2/B)';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `languages_equiv`
--

DROP TABLE IF EXISTS `languages_equiv`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `languages_equiv` (
  `language_id` varchar(3) NOT NULL,
  `iso6392t` varchar(3) default NULL COMMENT 'ISO 639-2/T',
  `iso6391` varchar(2) default NULL COMMENT 'ISO 639-1',
  `sysbien` varchar(4) default NULL COMMENT 'E.C. SYSBIEN',
  `sysper` varchar(4) default NULL COMMENT 'E.C. SYSPER',
  PRIMARY KEY  (`language_id`),
  CONSTRAINT `fk_languages_equiv_languages` FOREIGN KEY (`language_id`) REFERENCES `languages` (`language_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Language codes conversion table';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `languages_equiv`
--

LOCK TABLES `languages_equiv` WRITE;
/*!40000 ALTER TABLE `languages_equiv` DISABLE KEYS */;
/*!40000 ALTER TABLE `languages_equiv` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `official_regions`
--

DROP TABLE IF EXISTS `official_regions`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `official_regions` (
  `region_id` int(11) unsigned NOT NULL auto_increment,
  `name_en` varchar(255) NOT NULL,
  `name_fr` varchar(255) NOT NULL,
  `comments` text,
  `continent_id` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`region_id`),
  KEY `idx_regions_name_en` (`name_en`),
  KEY `idx_regions_name_fr` (`name_fr`),
  KEY `FK_official_regions_continents` (`continent_id`),
  CONSTRAINT `FK_official_regions_continents` FOREIGN KEY (`continent_id`) REFERENCES `continents` (`continent_id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8 COMMENT='List of geographic regions or groups of countries';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `official_regions`
--

LOCK TABLES `official_regions` WRITE;
/*!40000 ALTER TABLE `official_regions` DISABLE KEYS */;
INSERT INTO `official_regions` VALUES (1,'Eastern Africa','Eastern Africa',NULL,3),(2,'Middle Africa','Middle Africa',NULL,3),(3,'Northern Africa','Northern Africa',NULL,3),(4,'Southern Africa','Southern Africa',NULL,3),(5,'Western Africa','Western Africa',NULL,3),(6,'Eastern Asia','Eastern Asia',NULL,4),(7,'South-central Asia','South-central Asia',NULL,4),(8,'South-eastern Asia','South-eastern Asia',NULL,4),(9,'Western Asia','Western Asia',NULL,4),(10,'Eastern Europe','Eastern Europe',NULL,5),(11,'Northern Europe','Northern Europe',NULL,5),(12,'Southern Europe','Southern Europe',NULL,5),(13,'Western Europe','Western Europe',NULL,5),(14,'Caribbean','Caribbean',NULL,2),(15,'Central America','Central America',NULL,2),(16,'South America','South America',NULL,2),(17,'Northern America','Northern America',NULL,1),(18,'Australia and New Zealand','Australia and New Zealand',NULL,6),(19,'Melanesia','Melanesia',NULL,6),(20,'Micronesia','Micronesia',NULL,6),(21,'Polynesia','Polynesia',NULL,6);
/*!40000 ALTER TABLE `official_regions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `regions`
--

DROP TABLE IF EXISTS `regions`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `regions` (
  `region_id` int(11) unsigned NOT NULL auto_increment,
  `name_en` varchar(255) NOT NULL,
  `name_fr` varchar(255) NOT NULL,
  `comments` text,
  `sub_region` enum('0','1') NOT NULL default '0' COMMENT '1 If the region describes a subpart of a country; 0 if it is a group of countries',
  PRIMARY KEY  (`region_id`),
  KEY `idx_regions_name_en` (`name_en`),
  KEY `idx_regions_name_fr` (`name_fr`)
) ENGINE=InnoDB AUTO_INCREMENT=76 DEFAULT CHARSET=utf8 COMMENT='List of geographic regions or groups of countries';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `regions`
--

LOCK TABLES `regions` WRITE;
/*!40000 ALTER TABLE `regions` DISABLE KEYS */;
INSERT INTO `regions` VALUES (34,'West Bank','West Bank',NULL,'1'),(35,'Gaza','Gaza',NULL,'1'),(36,'Kosovo','Kosovo',NULL,'1'),(37,'British Antartic Territory','British Antartic Territory',NULL,'1'),(38,'Ross Dependency','Ross Dependency',NULL,'1'),(39,'Adélie Land','Adélie Land',NULL,'1'),(40,'Peter I Island','Peter I Island',NULL,'1'),(41,'Australian Antarctic Territory','Australian Antarctic Territory',NULL,'1'),(42,'Queen Maud Land','Queen Maud Land',NULL,'1'),(43,'Antarctic Chilean Territory','Antarctic Chilean Territory',NULL,'1'),(44,'Argentine Antarctica','Argentine Antarctica',NULL,'1'),(48,'Antarctica','Antartique',NULL,'0'),(49,'Eastern Africa','Afrique Orientale',NULL,'0'),(50,'Middle Africa','Afrique Centrale',NULL,'0'),(51,'Northern Africa','Afrique Septentrionale',NULL,'0'),(52,'Southern Africa','Afrique Australe',NULL,'0'),(53,'Western Africa','Afrique Occidentale',NULL,'0'),(54,'Eastern Asia','Asie Orientale',NULL,'0'),(55,'South-central Asia','Asie Méridionale',NULL,'0'),(56,'South-eastern Asia','Sud-Est Asiatique',NULL,'0'),(57,'Western Asia','Asie Orientale',NULL,'0'),(58,'Eastern Europe','Europe Occidentale',NULL,'0'),(59,'Northern Europe','Europe Septentrionale',NULL,'0'),(60,'Southern Europe','Europe Meridionale',NULL,'0'),(61,'Western Europe','Europe Occidentale',NULL,'0'),(62,'Caribbean','Caraïbes',NULL,'0'),(63,'Central America','Amérique Centrale',NULL,'0'),(64,'South America','Amérique Méridionale',NULL,'0'),(65,'Northern America','Amérique Septentrionale',NULL,'0'),(66,'Australia and New Zealand','Asutralie et Nouvelle-Zélande',NULL,'0'),(67,'Melanesia','Mélanésie',NULL,'0'),(68,'Micronesia','Micronésie',NULL,'0'),(69,'Polynesia','Polynésie',NULL,'0'),(70,'Africa','Afrique',NULL,'0'),(71,'Asia','Asie',NULL,'0'),(72,'Europe','Europe',NULL,'0'),(73,'Latin America','Amérique Latine',NULL,'0'),(74,'Northern America','Amérique du Nord',NULL,'0'),(75,'Oceania','Océanie',NULL,'0');
/*!40000 ALTER TABLE `regions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `regions_countries`
--

DROP TABLE IF EXISTS `regions_countries`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `regions_countries` (
  `region_id` int(11) unsigned NOT NULL,
  `country_id` varchar(2) NOT NULL,
  `comments` text,
  PRIMARY KEY  (`region_id`,`country_id`),
  KEY `fk_regions_countries_countries` (`country_id`),
  CONSTRAINT `fk_regions_countries_countries` FOREIGN KEY (`country_id`) REFERENCES `countries` (`country_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_regions_countries_regions` FOREIGN KEY (`region_id`) REFERENCES `regions` (`region_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='List of regions belonging to some countries';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `regions_countries`
--

LOCK TABLES `regions_countries` WRITE;
/*!40000 ALTER TABLE `regions_countries` DISABLE KEYS */;
INSERT INTO `regions_countries` VALUES (34,'PS',NULL),(35,'PS',NULL),(36,'RS',NULL),(37,'AQ','GB'),(38,'AQ','NZ'),(39,'AQ','FR'),(40,'AQ','NO'),(41,'AQ','AU'),(42,'AQ','NO'),(43,'AQ','CL'),(44,'AQ','AR'),(49,'BI',NULL),(49,'DJ',NULL),(49,'ER',NULL),(49,'ET',NULL),(49,'KE',NULL),(49,'KM',NULL),(49,'MG',NULL),(49,'MU',NULL),(49,'MW',NULL),(49,'MZ',NULL),(49,'RE',NULL),(49,'RW',NULL),(49,'SC',NULL),(49,'SO',NULL),(49,'TZ',NULL),(49,'UG',NULL),(49,'ZM',NULL),(49,'ZW',NULL),(50,'AO',NULL),(50,'CD',NULL),(50,'CF',NULL),(50,'CG',NULL),(50,'CM',NULL),(50,'GA',NULL),(50,'GQ',NULL),(50,'ST',NULL),(50,'TD',NULL),(51,'DZ',NULL),(51,'EG',NULL),(51,'EH',NULL),(51,'LY',NULL),(51,'MA',NULL),(51,'SD',NULL),(51,'TN',NULL),(52,'BW',NULL),(52,'LS',NULL),(52,'NA',NULL),(52,'SZ',NULL),(52,'ZA',NULL),(53,'BF',NULL),(53,'BJ',NULL),(53,'CI',NULL),(53,'CV',NULL),(53,'GH',NULL),(53,'GM',NULL),(53,'GN',NULL),(53,'GW',NULL),(53,'LR',NULL),(53,'ML',NULL),(53,'MR',NULL),(53,'NE',NULL),(53,'NG',NULL),(53,'SH',NULL),(53,'SL',NULL),(53,'SN',NULL),(53,'TG',NULL),(54,'CN',NULL),(54,'HK',NULL),(54,'JP',NULL),(54,'KP',NULL),(54,'KR',NULL),(54,'MN',NULL),(54,'MO',NULL),(54,'TW',NULL),(55,'AF',NULL),(55,'BD',NULL),(55,'BT',NULL),(55,'IN',NULL),(55,'IR',NULL),(55,'KG',NULL),(55,'KZ',NULL),(55,'LK',NULL),(55,'MV',NULL),(55,'NP',NULL),(55,'PK',NULL),(55,'TJ',NULL),(55,'TM',NULL),(55,'UZ',NULL),(56,'BN',NULL),(56,'ID',NULL),(56,'KH',NULL),(56,'LA',NULL),(56,'MM',NULL),(56,'MY',NULL),(56,'PH',NULL),(56,'SG',NULL),(56,'TH',NULL),(56,'TL',NULL),(56,'VN',NULL),(57,'AE',NULL),(57,'AM',NULL),(57,'AZ',NULL),(57,'BH',NULL),(57,'CY',NULL),(57,'GE',NULL),(57,'IL',NULL),(57,'IQ',NULL),(57,'JO',NULL),(57,'KW',NULL),(57,'LB',NULL),(57,'OM',NULL),(57,'PS',NULL),(57,'QA',NULL),(57,'SA',NULL),(57,'SY',NULL),(57,'TR',NULL),(57,'YE',NULL),(58,'BG',NULL),(58,'BY',NULL),(58,'CZ',NULL),(58,'HU',NULL),(58,'MD',NULL),(58,'PL',NULL),(58,'RO',NULL),(58,'RU',NULL),(58,'SK',NULL),(58,'UA',NULL),(59,'DK',NULL),(59,'EE',NULL),(59,'FI',NULL),(59,'FO',NULL),(59,'GB',NULL),(59,'IE',NULL),(59,'IM',NULL),(59,'IS',NULL),(59,'LT',NULL),(59,'LV',NULL),(59,'NO',NULL),(59,'SE',NULL),(60,'AD',NULL),(60,'AL',NULL),(60,'BA',NULL),(60,'ES',NULL),(60,'GI',NULL),(60,'GR',NULL),(60,'HR',NULL),(60,'IT',NULL),(60,'MK',NULL),(60,'MT',NULL),(60,'PT',NULL),(60,'SI',NULL),(60,'SM',NULL),(60,'VA',NULL),(61,'AT',NULL),(61,'BE',NULL),(61,'CH',NULL),(61,'DE',NULL),(61,'FR',NULL),(61,'LI',NULL),(61,'LU',NULL),(61,'MC',NULL),(61,'NL',NULL),(62,'AG',NULL),(62,'AI',NULL),(62,'AN',NULL),(62,'AW',NULL),(62,'BB',NULL),(62,'BS',NULL),(62,'CU',NULL),(62,'DM',NULL),(62,'DO',NULL),(62,'GD',NULL),(62,'GP',NULL),(62,'HT',NULL),(62,'JM',NULL),(62,'KN',NULL),(62,'KY',NULL),(62,'LC',NULL),(62,'MQ',NULL),(62,'MS',NULL),(62,'PR',NULL),(62,'TC',NULL),(62,'TT',NULL),(62,'VC',NULL),(62,'VG',NULL),(62,'VI',NULL),(63,'BZ',NULL),(63,'CR',NULL),(63,'GT',NULL),(63,'HN',NULL),(63,'MX',NULL),(63,'NI',NULL),(63,'PA',NULL),(63,'SV',NULL),(64,'AR',NULL),(64,'BO',NULL),(64,'BR',NULL),(64,'CL',NULL),(64,'CO',NULL),(64,'EC',NULL),(64,'FK',NULL),(64,'GF',NULL),(64,'GY',NULL),(64,'PE',NULL),(64,'PY',NULL),(64,'SR',NULL),(64,'UY',NULL),(64,'VE',NULL),(65,'BM',NULL),(65,'CA',NULL),(65,'GL',NULL),(65,'PM',NULL),(65,'US',NULL),(66,'AU',NULL),(66,'NF',NULL),(66,'NZ',NULL),(67,'FJ',NULL),(67,'NC',NULL),(67,'PG',NULL),(67,'SB',NULL),(67,'VU',NULL),(68,'FM',NULL),(68,'GU',NULL),(68,'KI',NULL),(68,'MH',NULL),(68,'MP',NULL),(68,'NR',NULL),(68,'PW',NULL),(69,'AS',NULL),(69,'CK',NULL),(69,'NU',NULL),(69,'PF',NULL),(69,'PN',NULL),(69,'TK',NULL),(69,'TO',NULL),(69,'TV',NULL),(69,'WF',NULL),(69,'WS',NULL);
/*!40000 ALTER TABLE `regions_countries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `regions_regions`
--

DROP TABLE IF EXISTS `regions_regions`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `regions_regions` (
  `parent_region_id` int(11) unsigned NOT NULL,
  `child_region_id` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`parent_region_id`,`child_region_id`),
  KEY `fk_regions_regions_child` (`child_region_id`),
  CONSTRAINT `fk_regions_regions_child` FOREIGN KEY (`child_region_id`) REFERENCES `regions` (`region_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_regions_regions_parent` FOREIGN KEY (`parent_region_id`) REFERENCES `regions` (`region_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='List of regions belonging to other regions';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `regions_regions`
--

LOCK TABLES `regions_regions` WRITE;
/*!40000 ALTER TABLE `regions_regions` DISABLE KEYS */;
INSERT INTO `regions_regions` VALUES (48,37),(48,38),(48,39),(48,40),(48,41),(48,42),(48,43),(48,44),(70,49),(70,50),(70,51),(70,52),(70,53),(71,54),(71,55),(71,56),(71,57),(72,58),(72,59),(72,60),(72,61),(73,62),(73,63),(73,64),(74,65),(75,66),(75,67),(75,68),(75,69),(70,70),(71,71),(72,72),(74,74);
/*!40000 ALTER TABLE `regions_regions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `users` (
  `user_id` varchar(16) NOT NULL default '' COMMENT 'ID of the officer (As defined in the user_id field of the LDAP database)',
  `creation_time` datetime NOT NULL default '0000-00-00 00:00:00' COMMENT 'Date & Time at which this record has been inserted',
  `creation_user_id` varchar(16) NOT NULL default '' COMMENT 'LDAP user_id of the user who has inserted this record',
  `ldap_title` varchar(5) default NULL COMMENT 'Cached value of the LDAP title attribute',
  `ldap_firstname` varchar(255) default NULL COMMENT 'Cached value of the LDAP firstname attribute',
  `ldap_lastname` varchar(255) default NULL COMMENT 'Cached value of the LDAP lastname attribute',
  `ldap_displayname` varchar(255) default NULL COMMENT 'Cached value of the LDAP displayname attribute',
  `ldap_department` varchar(255) default NULL COMMENT 'Cached value of the LDAP department attribute',
  `ldap_email` varchar(255) default NULL COMMENT 'Cached value of the LDAP email attribute',
  `ldap_phone` varchar(255) default NULL COMMENT 'Cached value of the LDAP phone attribute',
  `ldap_office` varchar(255) default NULL COMMENT 'Cached value of the LDAP office attribute',
  `ldap_group` text NOT NULL COMMENT 'Cached value of the LDAP list of user groups (comma separated)',
  `deleted_from_ldap` enum('y','n') default 'n' COMMENT 'If set to ''y'' the user has been deleted from LDAP',
  PRIMARY KEY  USING BTREE (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Permanence System - ACL';
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `v_countries`
--

DROP TABLE IF EXISTS `v_countries`;
/*!50001 DROP VIEW IF EXISTS `v_countries`*/;
/*!50001 CREATE TABLE `v_countries` (
  `parent_region_id` int(11) unsigned,
  `parent_region_name_en` varchar(255),
  `parent_region_name_fr` varchar(255),
  `parent_region_comments` text,
  `region_id` int(11) unsigned,
  `region_name_en` varchar(255),
  `region_name_fr` varchar(255),
  `region_comments` text,
  `country_id` varchar(2),
  `country_name_en` varchar(255),
  `country_name_fr` varchar(255),
  `code_iso2` varchar(2),
  `code_iso3` varchar(3),
  `code_iana` varchar(2),
  `code_ioc` varchar(3),
  `code_un` varchar(3),
  `code_isonum` int(11),
  `code_itu` varchar(5),
  `code_ec_comref` varchar(3),
  `code_ec_min` varchar(3),
  `code_ec_sysper` varchar(3),
  `code_ec_trade` int(11),
  `code_janes_folder` varchar(10),
  `code_janes_base` varchar(10),
  `code_oxan` varchar(255),
  `code_ec_comref_del` varchar(3),
  `is_eu_member` enum('0','1'),
  `is_official` enum('0','1'),
  `cluster_id` int(11) unsigned,
  `parent_country_id` varchar(2)
) */;

--
-- Temporary table structure for view `v_main_regions`
--

DROP TABLE IF EXISTS `v_main_regions`;
/*!50001 DROP VIEW IF EXISTS `v_main_regions`*/;
/*!50001 CREATE TABLE `v_main_regions` (
  `parent_region_id` int(11) unsigned,
  `parent_region_name_en` varchar(255),
  `parent_region_name_fr` varchar(255),
  `parent_region_comments` text
) */;

--
-- Temporary table structure for view `v_sub_regions`
--

DROP TABLE IF EXISTS `v_sub_regions`;
/*!50001 DROP VIEW IF EXISTS `v_sub_regions`*/;
/*!50001 CREATE TABLE `v_sub_regions` (
  `parent_region_id` int(11) unsigned,
  `parent_region_name_en` varchar(255),
  `parent_region_name_fr` varchar(255),
  `parent_region_comments` text,
  `region_id` int(11) unsigned,
  `region_name_en` varchar(255),
  `region_name_fr` varchar(255),
  `region_comments` text
) */;

--
-- Final view structure for view `v_countries`
--

/*!50001 DROP TABLE `v_countries`*/;
/*!50001 DROP VIEW IF EXISTS `v_countries`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 */
/*!50001 VIEW `v_countries` AS select `p`.`parent_region_id` AS `parent_region_id`,`p`.`parent_region_name_en` AS `parent_region_name_en`,`p`.`parent_region_name_fr` AS `parent_region_name_fr`,`p`.`parent_region_comments` AS `parent_region_comments`,`r`.`region_id` AS `region_id`,`r`.`name_en` AS `region_name_en`,`r`.`name_fr` AS `region_name_fr`,`r`.`comments` AS `region_comments`,`c`.`country_id` AS `country_id`,`c`.`name_en` AS `country_name_en`,`c`.`name_fr` AS `country_name_fr`,`e`.`country_id` AS `code_iso2`,`e`.`iso3` AS `code_iso3`,`e`.`iana` AS `code_iana`,`e`.`ioc` AS `code_ioc`,`e`.`un` AS `code_un`,`e`.`isonum` AS `code_isonum`,`e`.`itu` AS `code_itu`,`e`.`ec_comref` AS `code_ec_comref`,`e`.`ec_min` AS `code_ec_min`,`e`.`ec_sysper` AS `code_ec_sysper`,`e`.`ec_trade` AS `code_ec_trade`,`e`.`janes_folder` AS `code_janes_folder`,`e`.`janes_base` AS `code_janes_base`,`e`.`oxan` AS `code_oxan`,`e`.`ec_comref_del` AS `code_ec_comref_del`,`c`.`eu_member` AS `is_eu_member`,`c`.`official` AS `is_official`,`c`.`cluster_id` AS `cluster_id`,`c`.`parent_country_id` AS `parent_country_id` from (((((`regions` `r` join `regions_regions` `rr`) join `v_main_regions` `p`) join `regions_countries` `rc`) join `countries` `c`) join `countries_equiv` `e`) where ((`rr`.`parent_region_id` = `p`.`parent_region_id`) and (`rr`.`child_region_id` = `r`.`region_id`) and (`rc`.`region_id` = `r`.`region_id`) and (`rc`.`country_id` = `c`.`country_id`) and (`rc`.`country_id` = `e`.`country_id`)) */;

--
-- Final view structure for view `v_main_regions`
--

/*!50001 DROP TABLE `v_main_regions`*/;
/*!50001 DROP VIEW IF EXISTS `v_main_regions`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 */
/*!50001 VIEW `v_main_regions` AS select `r`.`region_id` AS `parent_region_id`,`r`.`name_en` AS `parent_region_name_en`,`r`.`name_fr` AS `parent_region_name_fr`,`r`.`comments` AS `parent_region_comments` from `regions` `r` where exists(select 1 AS `Not_used` from `regions_regions` `rr` where (`rr`.`parent_region_id` = `r`.`region_id`)) */;

--
-- Final view structure for view `v_sub_regions`
--

/*!50001 DROP TABLE `v_sub_regions`*/;
/*!50001 DROP VIEW IF EXISTS `v_sub_regions`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 */
/*!50001 VIEW `v_sub_regions` AS select `p`.`parent_region_id` AS `parent_region_id`,`p`.`parent_region_name_en` AS `parent_region_name_en`,`p`.`parent_region_name_fr` AS `parent_region_name_fr`,`p`.`parent_region_comments` AS `parent_region_comments`,`r`.`region_id` AS `region_id`,`r`.`name_en` AS `region_name_en`,`r`.`name_fr` AS `region_name_fr`,`r`.`comments` AS `region_comments` from ((`regions` `r` join `regions_regions` `rr`) join `v_main_regions` `p`) where ((`rr`.`parent_region_id` = `p`.`parent_region_id`) and (`rr`.`child_region_id` = `r`.`region_id`)) */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-12-21 16:26:41
