-- MySQL dump 10.11
--
-- Host: localhost    Database: tariqapro
-- ------------------------------------------------------
-- Server version	5.0.67-community

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


CREATE DATABASE  IF NOT EXISTS `tariqapro` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `tariqapro`;

--
-- Table structure for table `adv_search`
--

DROP TABLE IF EXISTS `adv_search`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `adv_search` (
  `engine_id` varchar(32) NOT NULL COMMENT 'The engine identifier',
  `source_id` int(10) unsigned NOT NULL default '0' COMMENT 'The source_identifier',
  `title` varchar(255) default NULL COMMENT 'The title',
  `description` text COMMENT 'The description',
  `order` int(10) unsigned NOT NULL default '0' COMMENT 'The order',
  PRIMARY KEY  (`engine_id`,`source_id`),
  KEY `FK_adv_search_sources` (`source_id`),
  CONSTRAINT `FK_adv_search_engines` FOREIGN KEY (`engine_id`) REFERENCES `engines` (`engine_id`) ON UPDATE CASCADE,
  CONSTRAINT `FK_adv_search_sources` FOREIGN KEY (`source_id`) REFERENCES `sources` (`source_id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The advanced search sources';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `adv_search`
--

LOCK TABLES `adv_search` WRITE;
/*!40000 ALTER TABLE `adv_search` DISABLE KEYS */;
INSERT INTO `adv_search` VALUES ('GoogleNews',1,'Google News search','Google News search',10);
/*!40000 ALTER TABLE `adv_search` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `channeltv`
--

DROP TABLE IF EXISTS `channeltv`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `channeltv` (
  `channel_id` int(10) unsigned NOT NULL auto_increment COMMENT 'The channel identifier',
  `streaming_url` varchar(255) NOT NULL COMMENT 'The streaming URL',
  `logo_url` varchar(255) default NULL COMMENT 'The logo URL',
  `category_id` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`channel_id`),
  KEY `FK_channeltv_categories` (`category_id`),
  CONSTRAINT `FK_channeltv_categories` FOREIGN KEY (`category_id`) REFERENCES `channeltv_categories` (`category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 COMMENT='The TV channels';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `channeltv`
--

LOCK TABLES `channeltv` WRITE;
/*!40000 ALTER TABLE `channeltv` DISABLE KEYS */;
/*!40000 ALTER TABLE `channeltv` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `channeltv_categories`
--

DROP TABLE IF EXISTS `channeltv_categories`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `channeltv_categories` (
  `category_id` int(10) unsigned NOT NULL auto_increment COMMENT 'The category identifier',
  `name` varchar(100) NOT NULL COMMENT 'The category name',
  PRIMARY KEY  (`category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='The categories for TV channels';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `channeltv_categories`
--

LOCK TABLES `channeltv_categories` WRITE;
/*!40000 ALTER TABLE `channeltv_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `channeltv_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Temporary table structure for view `clusters`
--

DROP TABLE IF EXISTS `clusters`;
/*!50001 DROP VIEW IF EXISTS `clusters`*/;
/*!50001 CREATE TABLE `clusters` (
  `cluster_id` int(11) unsigned,
  `name` varchar(255),
  `description` text,
  `color` varchar(6)
) */;

--
-- Temporary table structure for view `continents`
--

DROP TABLE IF EXISTS `continents`;
/*!50001 DROP VIEW IF EXISTS `continents`*/;
/*!50001 CREATE TABLE `continents` (
  `continent_id` int(11) unsigned,
  `name_en` varchar(255),
  `name_fr` varchar(255),
  `comments` text
) */;

--
-- Temporary table structure for view `countries`
--

DROP TABLE IF EXISTS `countries`;
/*!50001 DROP VIEW IF EXISTS `countries`*/;
/*!50001 CREATE TABLE `countries` (
  `country_id` varchar(2),
  `name_en` varchar(255),
  `name_fr` varchar(255),
  `parent_country_id` varchar(2),
  `eu_member` enum('0','1'),
  `continent_id` int(11) unsigned,
  `official` enum('0','1'),
  `cluster_id` int(11) unsigned
) */;

--
-- Temporary table structure for view `countries_equiv`
--

DROP TABLE IF EXISTS `countries_equiv`;
/*!50001 DROP VIEW IF EXISTS `countries_equiv`*/;
/*!50001 CREATE TABLE `countries_equiv` (
  `country_id` varchar(2),
  `iso3` varchar(3),
  `iana` varchar(2),
  `ioc` varchar(3),
  `un` varchar(3),
  `isonum` int(11),
  `itu` varchar(5),
  `ec_comref` varchar(3),
  `ec_min` varchar(3),
  `ec_sysper` varchar(3),
  `ec_trade` int(11),
  `janes_folder` varchar(10),
  `janes_base` varchar(10),
  `oxan` varchar(255),
  `ec_comref_del` varchar(3)
) */;

--
-- Table structure for table `countries_reliefweb_maps`
--

DROP TABLE IF EXISTS `countries_reliefweb_maps`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `countries_reliefweb_maps` (
  `map_id` int(10) unsigned NOT NULL auto_increment COMMENT 'The map identifier',
  `country_id` varchar(2) NOT NULL COMMENT 'The country identifier',
  `thumbnail` varchar(255) NOT NULL COMMENT 'The thumbnail of the map',
  `file` varchar(255) NOT NULL COMMENT 'The file of the map',
  `page` varchar(255) NOT NULL COMMENT 'The page of the map',
  PRIMARY KEY  (`map_id`),
  KEY `Index_2` (`country_id`),
  CONSTRAINT `FK_countries_reliefweb_maps_countries` FOREIGN KEY (`country_id`) REFERENCES `meta_common`.`countries` (`country_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=168 DEFAULT CHARSET=utf8 COMMENT='The maps from reliefweb';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `countries_reliefweb_maps`
--

LOCK TABLES `countries_reliefweb_maps` WRITE;
/*!40000 ALTER TABLE `countries_reliefweb_maps` DISABLE KEYS */;
/*!40000 ALTER TABLE `countries_reliefweb_maps` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `engines`
--

DROP TABLE IF EXISTS `engines`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `engines` (
  `engine_id` varchar(32) NOT NULL,
  `name` varchar(255) NOT NULL COMMENT 'Name of the data provider',
  `description` text COMMENT 'Description of the datasource',
  `doc_url` varchar(255) default NULL COMMENT 'URL where to find information about the source',
  `copyright` varchar(255) default NULL,
  `disclaimer` text,
  `logo_url` varchar(255) default NULL COMMENT 'URL of the logo of the data provider',
  `icon_url` varchar(255) default NULL COMMENT 'URL of the icon (small logo) of the data provider',
  `data` varchar(45) default NULL COMMENT 'For Google engines (the type of engine)',
  `access_level` int(11) NOT NULL default '10',
  PRIMARY KEY  (`engine_id`),
  UNIQUE KEY `uq_engines_name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Search engines';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `engines`
--

LOCK TABLES `engines` WRITE;
/*!40000 ALTER TABLE `engines` DISABLE KEYS */;
INSERT INTO `engines` VALUES ('GoogleNews','Google News','News from the Internet','http://news.google.com',NULL,NULL,NULL,NULL,'news',0);
/*!40000 ALTER TABLE `engines` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `flavours`
--

DROP TABLE IF EXISTS `flavours`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `flavours` (
  `flavour_id` int(10) unsigned NOT NULL auto_increment COMMENT 'Theme identifier',
  `name` varchar(45) NOT NULL COMMENT 'Theme name',
  `description` text COMMENT 'Theme description',
  PRIMARY KEY  (`flavour_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='The countries themes';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `flavours`
--

LOCK TABLES `flavours` WRITE;
/*!40000 ALTER TABLE `flavours` DISABLE KEYS */;
INSERT INTO `flavours` VALUES (1,'General',NULL);
/*!40000 ALTER TABLE `flavours` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `homepage_flavours`
--

DROP TABLE IF EXISTS `homepage_flavours`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `homepage_flavours` (
  `flavour_id` int(10) unsigned NOT NULL auto_increment COMMENT 'Theme identifier',
  `name` varchar(45) NOT NULL COMMENT 'Theme name',
  `description` text COMMENT 'Theme description',
  PRIMARY KEY  (`flavour_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='The homepage themes';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `homepage_flavours`
--

LOCK TABLES `homepage_flavours` WRITE;
/*!40000 ALTER TABLE `homepage_flavours` DISABLE KEYS */;
INSERT INTO `homepage_flavours` VALUES (1,'World','World news');
/*!40000 ALTER TABLE `homepage_flavours` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Temporary table structure for view `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!50001 DROP VIEW IF EXISTS `languages`*/;
/*!50001 CREATE TABLE `languages` (
  `language_id` varchar(3),
  `name_en` varchar(255),
  `name_fr` varchar(255),
  `eu_language` enum('0','1')
) */;

--
-- Temporary table structure for view `languages_equiv`
--

DROP TABLE IF EXISTS `languages_equiv`;
/*!50001 DROP VIEW IF EXISTS `languages_equiv`*/;
/*!50001 CREATE TABLE `languages_equiv` (
  `language_id` varchar(3),
  `iso6392t` varchar(3),
  `iso6391` varchar(2),
  `sysbien` varchar(4),
  `sysper` varchar(4)
) */;

--
-- Temporary table structure for view `latestnews_articles`
--

DROP TABLE IF EXISTS `latestnews_articles`;
/*!50001 DROP VIEW IF EXISTS `latestnews_articles`*/;
/*!50001 CREATE TABLE `latestnews_articles` (
  `article_id` int(11) unsigned,
  `feed_id` int(11) unsigned,
  `date` datetime,
  `title` varchar(255),
  `headline` text,
  `summary` text,
  `content` text,
  `language` varchar(12),
  `agency` text,
  `latestnews_id` int(11) unsigned,
  `ts_article` timestamp
) */;

--
-- Temporary table structure for view `latestnews_feeds`
--

DROP TABLE IF EXISTS `latestnews_feeds`;
/*!50001 DROP VIEW IF EXISTS `latestnews_feeds`*/;
/*!50001 CREATE TABLE `latestnews_feeds` (
  `feed_id` int(11) unsigned,
  `query` text,
  `time_range` int(11),
  `title` varchar(255),
  `description` text,
  `picture` varchar(255),
  `link` varchar(255),
  `language` varchar(20),
  `copyright` text,
  `refresh_rate` int(10) unsigned,
  `last_refresh` datetime
) */;

--
-- Table structure for table `latestnews_feeds_countries`
--

DROP TABLE IF EXISTS `latestnews_feeds_countries`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `latestnews_feeds_countries` (
  `feed_id` int(11) unsigned NOT NULL default '0',
  `country_id` varchar(2) NOT NULL,
  PRIMARY KEY  (`feed_id`,`country_id`),
  KEY `fk_country_id` (`country_id`),
  CONSTRAINT `latestnews_feeds_countries_ibfk_1` FOREIGN KEY (`country_id`) REFERENCES `meta_common`.`countries` (`country_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the link latestnews feeds - countries';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `latestnews_feeds_countries`
--

LOCK TABLES `latestnews_feeds_countries` WRITE;
/*!40000 ALTER TABLE `latestnews_feeds_countries` DISABLE KEYS */;
/*!40000 ALTER TABLE `latestnews_feeds_countries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `latestnews_feeds_themes`
--

DROP TABLE IF EXISTS `latestnews_feeds_themes`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `latestnews_feeds_themes` (
  `feed_id` int(11) unsigned NOT NULL default '0',
  `theme_id` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`feed_id`,`theme_id`),
  KEY `fk_theme_id` (`theme_id`),
  CONSTRAINT `latestnews_feeds_themes_ibfk_1` FOREIGN KEY (`theme_id`) REFERENCES `themes` (`theme_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the link latestnews feeds - themes';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `latestnews_feeds_themes`
--

LOCK TABLES `latestnews_feeds_themes` WRITE;
/*!40000 ALTER TABLE `latestnews_feeds_themes` DISABLE KEYS */;
/*!40000 ALTER TABLE `latestnews_feeds_themes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mailing_newsletter`
--

DROP TABLE IF EXISTS `mailing_newsletter`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `mailing_newsletter` (
  `newsletter_id` int(11) unsigned NOT NULL auto_increment,
  `crea_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `subject` text NOT NULL,
  `recipients` text NOT NULL,
  `theme` varchar(255) NOT NULL default '' COMMENT 'name of the visual theme to use',
  `banner` varchar(255) NOT NULL default '' COMMENT 'name of the banner to use',
  `buzz` enum('y','n') NOT NULL default 'n' COMMENT 'if Yes, embed buzztracker''s daily map in the newsletter',
  `scrshot` enum('y','n') NOT NULL default 'n' COMMENT 'Embed a screenshot of Tarîqa',
  `footer` text COMMENT 'The foot message to print on the newsletter',
  `sent` enum('y','n') NOT NULL default 'n' COMMENT 'if Yes, the newsletter was already sent',
  PRIMARY KEY  (`newsletter_id`),
  KEY `ai_mailing_newsletter_id` (`newsletter_id`),
  KEY `idx_mailing_newsletter_sent` (`sent`)
) ENGINE=InnoDB AUTO_INCREMENT=160 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `mailing_newsletter`
--

LOCK TABLES `mailing_newsletter` WRITE;
/*!40000 ALTER TABLE `mailing_newsletter` DISABLE KEYS */;
/*!40000 ALTER TABLE `mailing_newsletter` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mailing_newsletter_articles`
--

DROP TABLE IF EXISTS `mailing_newsletter_articles`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `mailing_newsletter_articles` (
  `article_id` int(11) unsigned NOT NULL auto_increment,
  `newsletter_id` int(11) unsigned NOT NULL default '0',
  `section_id` int(11) unsigned NOT NULL default '0',
  `title` text,
  `link` text,
  `content` text,
  `n` smallint(6) NOT NULL default '0',
  `data` text COMMENT 'if not null: it is the content of the article, otherwise it is stored in the title/link/content fields',
  PRIMARY KEY  (`article_id`),
  KEY `ai_mailing_article_id` (`article_id`),
  KEY `fk_mailing_newsletter_articles_nl` (`newsletter_id`),
  KEY `fk_mailing_newsletter_articles_se` (`section_id`),
  CONSTRAINT `fk_mailing_newsletter_articles_nl` FOREIGN KEY (`newsletter_id`) REFERENCES `mailing_newsletter` (`newsletter_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_mailing_newsletter_articles_se` FOREIGN KEY (`section_id`) REFERENCES `mailing_newsletter_sections` (`section_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2015 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `mailing_newsletter_articles`
--

LOCK TABLES `mailing_newsletter_articles` WRITE;
/*!40000 ALTER TABLE `mailing_newsletter_articles` DISABLE KEYS */;
/*!40000 ALTER TABLE `mailing_newsletter_articles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mailing_newsletter_sections`
--

DROP TABLE IF EXISTS `mailing_newsletter_sections`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `mailing_newsletter_sections` (
  `section_id` int(11) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `description` text,
  PRIMARY KEY  (`section_id`),
  KEY `ai_mailing_section_id` (`section_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `mailing_newsletter_sections`
--

LOCK TABLES `mailing_newsletter_sections` WRITE;
/*!40000 ALTER TABLE `mailing_newsletter_sections` DISABLE KEYS */;
/*!40000 ALTER TABLE `mailing_newsletter_sections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `newstickers_groups`
--

DROP TABLE IF EXISTS `newstickers_groups`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `newstickers_groups` (
  `group_id` int(10) unsigned NOT NULL auto_increment COMMENT 'The group identifier',
  `name` varchar(100) NOT NULL COMMENT 'The group name',
  PRIMARY KEY  (`group_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='The newsticker groups';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `newstickers_groups`
--

LOCK TABLES `newstickers_groups` WRITE;
/*!40000 ALTER TABLE `newstickers_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `newstickers_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `newstickers_queries`
--

DROP TABLE IF EXISTS `newstickers_queries`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `newstickers_queries` (
  `group_id` int(10) unsigned NOT NULL COMMENT 'The group identifier',
  `query_id` int(10) unsigned NOT NULL COMMENT 'The query identifier',
  PRIMARY KEY  (`group_id`,`query_id`),
  KEY `FK_newstickers_queries_queries` (`query_id`),
  CONSTRAINT `FK_newstickers_queries_groups` FOREIGN KEY (`group_id`) REFERENCES `newstickers_groups` (`group_id`) ON UPDATE CASCADE,
  CONSTRAINT `FK_newstickers_queries_queries` FOREIGN KEY (`query_id`) REFERENCES `queries` (`query_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The newstickers queries';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `newstickers_queries`
--

LOCK TABLES `newstickers_queries` WRITE;
/*!40000 ALTER TABLE `newstickers_queries` DISABLE KEYS */;
/*!40000 ALTER TABLE `newstickers_queries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `queries`
--

DROP TABLE IF EXISTS `queries`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `queries` (
  `query_id` int(11) unsigned NOT NULL auto_increment,
  `source_id` int(11) unsigned NOT NULL COMMENT 'Data source',
  `title` varchar(255) NOT NULL COMMENT 'Title of the data block',
  `description` text COMMENT 'Optional description of the block',
  `query` text NOT NULL COMMENT 'Query to run amongst the search engine',
  `time_range` varchar(50) NOT NULL default '15' COMMENT 'Time range (in days) for the queries',
  `flavour_id` int(10) unsigned default NULL COMMENT 'The theme identifier',
  `icon` varchar(255) default NULL,
  PRIMARY KEY  (`query_id`),
  KEY `ai_queries` (`query_id`),
  KEY `fk_queries_sources` (`source_id`),
  KEY `FK_queries_flavours` (`flavour_id`),
  CONSTRAINT `FK_queries_flavours` FOREIGN KEY (`flavour_id`) REFERENCES `flavours` (`flavour_id`),
  CONSTRAINT `fk_queries_sources` FOREIGN KEY (`source_id`) REFERENCES `sources` (`source_id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=38150 DEFAULT CHARSET=utf8 COMMENT='Data sources/queries to run on the search engines';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `queries`
--

LOCK TABLES `queries` WRITE;
/*!40000 ALTER TABLE `queries` DISABLE KEYS */;
INSERT INTO `queries` VALUES (1,1,'Google News','Google News','afghanistan location:afghanistan','previous(15)',1,NULL);
/*!40000 ALTER TABLE `queries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `queries_countries`
--

DROP TABLE IF EXISTS `queries_countries`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `queries_countries` (
  `query_id` int(11) unsigned NOT NULL,
  `country_id` varchar(2) NOT NULL,
  `label` varchar(255) default NULL COMMENT 'Optional label for the data block',
  `description` text COMMENT 'Optional description of the data block',
  `display_order` int(11) unsigned NOT NULL default '0' COMMENT 'The higher, the closer to the top of the page will the block be displayed',
  `flavour_id` int(10) unsigned NOT NULL COMMENT 'The query flavour identifier',
  PRIMARY KEY  USING BTREE (`query_id`,`country_id`,`flavour_id`),
  KEY `fk_queries_countries_countries` (`country_id`),
  KEY `FK_queries_countries_flavours` (`flavour_id`),
  CONSTRAINT `fk_queries_countries_countries` FOREIGN KEY (`country_id`) REFERENCES `meta_common`.`countries` (`country_id`) ON UPDATE CASCADE,
  CONSTRAINT `FK_queries_countries_flavours` FOREIGN KEY (`flavour_id`) REFERENCES `flavours` (`flavour_id`),
  CONSTRAINT `fk_queries_countries_queries` FOREIGN KEY (`query_id`) REFERENCES `queries` (`query_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Associates Data sources and Countries';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `queries_countries`
--

LOCK TABLES `queries_countries` WRITE;
/*!40000 ALTER TABLE `queries_countries` DISABLE KEYS */;
INSERT INTO `queries_countries` VALUES (1,'AF','Afghanistan news','Afghanistan news',10,1);
/*!40000 ALTER TABLE `queries_countries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `queries_homepage`
--

DROP TABLE IF EXISTS `queries_homepage`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `queries_homepage` (
  `query_id` int(11) unsigned NOT NULL,
  `description` text COMMENT 'Optional description of the data block',
  `display_order` int(11) unsigned NOT NULL default '0' COMMENT 'The higher, the closer to the top of the page will the block be displayed',
  `flavour_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`query_id`),
  KEY `fk_queries_homepage_queries` (`query_id`),
  KEY `fk_queries_homepage_flavours` (`flavour_id`),
  CONSTRAINT `fk_queries_homepage_flavours` FOREIGN KEY (`flavour_id`) REFERENCES `homepage_flavours` (`flavour_id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `fk_queries_homepage_queries` FOREIGN KEY (`query_id`) REFERENCES `queries` (`query_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Associates Data sources and Homepage';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `queries_homepage`
--

LOCK TABLES `queries_homepage` WRITE;
/*!40000 ALTER TABLE `queries_homepage` DISABLE KEYS */;
/*!40000 ALTER TABLE `queries_homepage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `queries_regions`
--

DROP TABLE IF EXISTS `queries_regions`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `queries_regions` (
  `query_id` int(11) unsigned NOT NULL,
  `region_id` int(10) unsigned NOT NULL default '0',
  `label` varchar(255) default NULL COMMENT 'Optional label for the data block',
  `description` text COMMENT 'Optional description of the data block',
  `display_order` int(11) unsigned NOT NULL default '0' COMMENT 'The higher, the closer to the top of the page will the block be displayed',
  `flavour_id` int(10) unsigned default NULL COMMENT 'The query flavour identifier',
  PRIMARY KEY  (`query_id`,`region_id`),
  KEY `fk_queries_regions_regions` (`region_id`),
  KEY `FK_queries_regions_flavours` (`flavour_id`),
  CONSTRAINT `FK_queries_regions_flavours` FOREIGN KEY (`flavour_id`) REFERENCES `flavours` (`flavour_id`),
  CONSTRAINT `fk_queries_regions_queries` FOREIGN KEY (`query_id`) REFERENCES `queries` (`query_id`) ON UPDATE CASCADE,
  CONSTRAINT `fk_queries_regions_regions` FOREIGN KEY (`region_id`) REFERENCES `meta_common`.`regions` (`region_id`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Associates Data sources and Regions';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `queries_regions`
--

LOCK TABLES `queries_regions` WRITE;
/*!40000 ALTER TABLE `queries_regions` DISABLE KEYS */;
/*!40000 ALTER TABLE `queries_regions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `queries_themes`
--

DROP TABLE IF EXISTS `queries_themes`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `queries_themes` (
  `query_id` int(11) unsigned NOT NULL,
  `theme_id` int(11) unsigned NOT NULL,
  `label` varchar(255) default NULL COMMENT 'Optional label for the data block',
  `description` text COMMENT 'Optional description of the data block',
  `display_order` int(11) unsigned NOT NULL default '0' COMMENT 'The higher, the closer to the top of the page will the block be displayed',
  PRIMARY KEY  (`query_id`,`theme_id`),
  KEY `fk_queries_themes_themes` (`theme_id`),
  CONSTRAINT `fk_queries_themes_queries` FOREIGN KEY (`query_id`) REFERENCES `queries` (`query_id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_queries_themes_themes` FOREIGN KEY (`theme_id`) REFERENCES `themes` (`theme_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Associates Data sources and Themes';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `queries_themes`
--

LOCK TABLES `queries_themes` WRITE;
/*!40000 ALTER TABLE `queries_themes` DISABLE KEYS */;
INSERT INTO `queries_themes` VALUES (1,1,'Afghanistan news','Afghanistan news',10);
/*!40000 ALTER TABLE `queries_themes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quicksearch_sources`
--

DROP TABLE IF EXISTS `quicksearch_sources`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `quicksearch_sources` (
  `source_id` int(10) unsigned NOT NULL,
  `display_title` text NOT NULL COMMENT 'The title to be displayed in the search form',
  `order` int(10) unsigned NOT NULL default '0' COMMENT 'The order in which to be displayed in the search form',
  PRIMARY KEY  (`source_id`),
  CONSTRAINT `FK_quicksearch_sources` FOREIGN KEY (`source_id`) REFERENCES `sources` (`source_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The sources for quick search';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `quicksearch_sources`
--

LOCK TABLES `quicksearch_sources` WRITE;
/*!40000 ALTER TABLE `quicksearch_sources` DISABLE KEYS */;
INSERT INTO `quicksearch_sources` VALUES (1,'Google News search',10);
/*!40000 ALTER TABLE `quicksearch_sources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `radio_categories`
--

DROP TABLE IF EXISTS `radio_categories`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `radio_categories` (
  `category_id` int(10) unsigned NOT NULL auto_increment COMMENT 'The category identifier',
  `name` varchar(100) NOT NULL COMMENT 'The category name',
  PRIMARY KEY  (`category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='The list of radio categories';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `radio_categories`
--

LOCK TABLES `radio_categories` WRITE;
/*!40000 ALTER TABLE `radio_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `radio_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `radios`
--

DROP TABLE IF EXISTS `radios`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `radios` (
  `radio_id` int(10) unsigned NOT NULL auto_increment COMMENT 'The radio identifier',
  `streaming_url` varchar(255) NOT NULL COMMENT 'The streaming URL',
  `logo_url` varchar(255) default NULL COMMENT 'The logo URL',
  `description` text COMMENT 'The description',
  `category_id` int(10) unsigned NOT NULL COMMENT 'The category identifier',
  PRIMARY KEY  (`radio_id`),
  KEY `FK_radios_categories` (`category_id`),
  CONSTRAINT `FK_radios_categories` FOREIGN KEY (`category_id`) REFERENCES `radio_categories` (`category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='The list of radio podcasts';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `radios`
--

LOCK TABLES `radios` WRITE;
/*!40000 ALTER TABLE `radios` DISABLE KEYS */;
/*!40000 ALTER TABLE `radios` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Temporary table structure for view `regions`
--

DROP TABLE IF EXISTS `regions`;
/*!50001 DROP VIEW IF EXISTS `regions`*/;
/*!50001 CREATE TABLE `regions` (
  `region_id` int(11) unsigned,
  `name_en` varchar(255),
  `name_fr` varchar(255),
  `comments` text,
  `sub_region` enum('0','1')
) */;

--
-- Temporary table structure for view `regions_countries`
--

DROP TABLE IF EXISTS `regions_countries`;
/*!50001 DROP VIEW IF EXISTS `regions_countries`*/;
/*!50001 CREATE TABLE `regions_countries` (
  `region_id` int(11) unsigned,
  `country_id` varchar(2),
  `comments` text
) */;

--
-- Temporary table structure for view `regions_regions`
--

DROP TABLE IF EXISTS `regions_regions`;
/*!50001 DROP VIEW IF EXISTS `regions_regions`*/;
/*!50001 CREATE TABLE `regions_regions` (
  `parent_region_id` int(11) unsigned,
  `child_region_id` int(11) unsigned
) */;

--
-- Temporary table structure for view `rss_articles`
--

DROP TABLE IF EXISTS `rss_articles`;
/*!50001 DROP VIEW IF EXISTS `rss_articles`*/;
/*!50001 CREATE TABLE `rss_articles` (
  `article_id` int(11) unsigned,
  `feed_id` int(11) unsigned,
  `date` datetime,
  `title` text,
  `headline` text,
  `description` longtext,
  `link` text,
  `comments` text,
  `author` text,
  `ts_article` timestamp
) */;

--
-- Temporary table structure for view `rss_feeds`
--

DROP TABLE IF EXISTS `rss_feeds`;
/*!50001 DROP VIEW IF EXISTS `rss_feeds`*/;
/*!50001 CREATE TABLE `rss_feeds` (
  `feed_id` int(11) unsigned,
  `url` varchar(512),
  `title` varchar(255),
  `description` text,
  `picture` varchar(255),
  `link` varchar(255),
  `language` varchar(20),
  `copyright` text,
  `refresh_rate` int(10) unsigned,
  `last_refresh` datetime,
  `use_proxy` tinyint(1),
  `has_pictures` enum('y','n')
) */;

--
-- Table structure for table `rss_feeds_countries`
--

DROP TABLE IF EXISTS `rss_feeds_countries`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `rss_feeds_countries` (
  `feed_id` int(11) unsigned NOT NULL default '0',
  `country_id` varchar(2) NOT NULL,
  PRIMARY KEY  (`feed_id`,`country_id`),
  KEY `fk_country_id` (`country_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='Stores the connections between the feeds and the countries';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `rss_feeds_countries`
--

LOCK TABLES `rss_feeds_countries` WRITE;
/*!40000 ALTER TABLE `rss_feeds_countries` DISABLE KEYS */;
/*!40000 ALTER TABLE `rss_feeds_countries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rss_feeds_themes`
--

DROP TABLE IF EXISTS `rss_feeds_themes`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `rss_feeds_themes` (
  `feed_id` int(11) unsigned NOT NULL default '0',
  `theme_id` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`feed_id`,`theme_id`),
  KEY `fk_theme_id` (`theme_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='Stores the connections between the feeds and the themes';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `rss_feeds_themes`
--

LOCK TABLES `rss_feeds_themes` WRITE;
/*!40000 ALTER TABLE `rss_feeds_themes` DISABLE KEYS */;
/*!40000 ALTER TABLE `rss_feeds_themes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sources`
--

DROP TABLE IF EXISTS `sources`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sources` (
  `source_id` int(11) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `description` text,
  `engine_id` varchar(32) NOT NULL COMMENT 'Search engine to which the current source is relying on',
  `source_data` varchar(255) default NULL COMMENT 'Data used to identify the source inside the search engine',
  `doc_url` varchar(255) default NULL COMMENT 'URL where to find information about the source',
  `copyright` varchar(255) default NULL,
  `disclaimer` text,
  `logo_url` varchar(255) default NULL COMMENT 'URL of the logo of the data provider',
  `icon_url` varchar(255) default NULL COMMENT 'URL of the icon (small logo) of the data provider',
  PRIMARY KEY  (`source_id`),
  KEY `ai_sources` (`source_id`),
  KEY `fk_sources_engines` (`engine_id`),
  CONSTRAINT `fk_sources_engines` FOREIGN KEY (`engine_id`) REFERENCES `engines` (`engine_id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=812 DEFAULT CHARSET=utf8 COMMENT='Data sources (inside search engines)';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sources`
--

LOCK TABLES `sources` WRITE;
/*!40000 ALTER TABLE `sources` DISABLE KEYS */;
INSERT INTO `sources` VALUES (1,'Google News','Google News','GoogleNews',NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `sources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `theme_users`
--

DROP TABLE IF EXISTS `theme_users`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `theme_users` (
  `user_id` varchar(12) NOT NULL,
  `theme_id` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`user_id`,`theme_id`),
  KEY `Index_theme_id` (`theme_id`),
  CONSTRAINT `FK_theme_users_themes` FOREIGN KEY (`theme_id`) REFERENCES `themes` (`theme_id`),
  CONSTRAINT `FK_theme_users_users` FOREIGN KEY (`user_id`) REFERENCES `meta_common`.`users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The users that can modify a theme';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `theme_users`
--

LOCK TABLES `theme_users` WRITE;
/*!40000 ALTER TABLE `theme_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `theme_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `themes`
--

DROP TABLE IF EXISTS `themes`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `themes` (
  `theme_id` int(11) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `description` text,
  `short_text` text,
  `long_text` text,
  `query_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`theme_id`),
  KEY `ai_topics` (`theme_id`),
  KEY `Index_query_id` (`query_id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8 COMMENT='List of themes';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `themes`
--

LOCK TABLES `themes` WRITE;
/*!40000 ALTER TABLE `themes` DISABLE KEYS */;
INSERT INTO `themes` VALUES (1,'Demo theme','Demo theme','Demo theme short text','Demo theme long text',NULL);
/*!40000 ALTER TABLE `themes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `themes_topics`
--

DROP TABLE IF EXISTS `themes_topics`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `themes_topics` (
  `topic_id` int(10) unsigned NOT NULL auto_increment COMMENT 'The topic identifier',
  `theme_id` int(10) unsigned NOT NULL COMMENT 'The theme identifier',
  `title` varchar(100) NOT NULL COMMENT 'The topic title',
  `description` text COMMENT 'The topic description',
  PRIMARY KEY  (`topic_id`),
  KEY `Index_theme_id` (`theme_id`),
  CONSTRAINT `FK_themes_topics_themes` FOREIGN KEY (`theme_id`) REFERENCES `themes` (`theme_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 COMMENT='The themes topics';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `themes_topics`
--

LOCK TABLES `themes_topics` WRITE;
/*!40000 ALTER TABLE `themes_topics` DISABLE KEYS */;
INSERT INTO `themes_topics` VALUES (1,1,'Theme topic','Theme topic');
/*!40000 ALTER TABLE `themes_topics` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `topics_queries`
--

DROP TABLE IF EXISTS `topics_queries`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `topics_queries` (
  `query_id` int(10) unsigned NOT NULL COMMENT 'The query identifier',
  `topic_id` int(10) unsigned NOT NULL COMMENT 'The theme identifier',
  `title` varchar(100) NOT NULL COMMENT 'The title from query',
  PRIMARY KEY  USING BTREE (`query_id`,`topic_id`),
  KEY `FK_topics_queries_themes` USING BTREE (`topic_id`),
  CONSTRAINT `FK_topics_queries_queries` FOREIGN KEY (`query_id`) REFERENCES `queries` (`query_id`),
  CONSTRAINT `FK_topics_queries_topics` FOREIGN KEY (`topic_id`) REFERENCES `themes_topics` (`topic_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The themes topics queries';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `topics_queries`
--

LOCK TABLES `topics_queries` WRITE;
/*!40000 ALTER TABLE `topics_queries` DISABLE KEYS */;
INSERT INTO `topics_queries` VALUES (1,1,'Demo theme topic');
/*!40000 ALTER TABLE `topics_queries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Temporary table structure for view `v_countries`
--

DROP TABLE IF EXISTS `v_countries`;
/*!50001 DROP VIEW IF EXISTS `v_countries`*/;
/*!50001 CREATE TABLE `v_countries` (
  `parent_region_id` int(11) unsigned,
  `parent_region_name_en` varchar(255),
  `parent_region_name_fr` varchar(255),
  `parent_region_comments` text,
  `region_id` int(11) unsigned,
  `region_name_en` varchar(255),
  `region_name_fr` varchar(255),
  `region_comments` text,
  `country_id` varchar(2),
  `country_name_en` varchar(255),
  `country_name_fr` varchar(255),
  `code_iso2` varchar(2),
  `code_iso3` varchar(3),
  `code_iana` varchar(2),
  `code_ioc` varchar(3),
  `code_un` varchar(3),
  `code_isonum` int(11),
  `code_itu` varchar(5),
  `code_ec_comref` varchar(3),
  `code_ec_min` varchar(3),
  `code_ec_sysper` varchar(3),
  `code_ec_trade` int(11),
  `code_janes_folder` varchar(10),
  `code_janes_base` varchar(10),
  `code_oxan` varchar(255),
  `code_ec_comref_del` varchar(3),
  `is_eu_member` enum('0','1'),
  `is_official` enum('0','1'),
  `cluster_id` int(11) unsigned,
  `parent_country_id` varchar(2)
) */;

--
-- Temporary table structure for view `v_main_regions`
--

DROP TABLE IF EXISTS `v_main_regions`;
/*!50001 DROP VIEW IF EXISTS `v_main_regions`*/;
/*!50001 CREATE TABLE `v_main_regions` (
  `parent_region_id` int(11) unsigned,
  `parent_region_name_en` varchar(255),
  `parent_region_name_fr` varchar(255),
  `parent_region_comments` text
) */;

--
-- Temporary table structure for view `v_sub_regions`
--

DROP TABLE IF EXISTS `v_sub_regions`;
/*!50001 DROP VIEW IF EXISTS `v_sub_regions`*/;
/*!50001 CREATE TABLE `v_sub_regions` (
  `parent_region_id` int(11) unsigned,
  `parent_region_name_en` varchar(255),
  `parent_region_name_fr` varchar(255),
  `parent_region_comments` text,
  `region_id` int(11) unsigned,
  `region_name_en` varchar(255),
  `region_name_fr` varchar(255),
  `region_comments` text
) */;

--
-- Table structure for table `weblogs`
--

DROP TABLE IF EXISTS `weblogs`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `weblogs` (
  `query_id` int(11) unsigned NOT NULL,
  `name` varchar(30) NOT NULL,
  PRIMARY KEY  (`query_id`),
  UNIQUE KEY `name_UNIQUE` (`name`),
  CONSTRAINT `weblogs_ibfk_1` FOREIGN KEY (`query_id`) REFERENCES `queries` (`query_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `weblogs`
--

LOCK TABLES `weblogs` WRITE;
/*!40000 ALTER TABLE `weblogs` DISABLE KEYS */;
INSERT INTO `weblogs` VALUES (1,'Weblog query');
/*!40000 ALTER TABLE `weblogs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Final view structure for view `clusters`
--

/*!50001 DROP TABLE `clusters`*/;
/*!50001 DROP VIEW IF EXISTS `clusters`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`cosmin`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `tariqapro`.`clusters` AS select `meta_common`.`clusters`.`cluster_id` AS `cluster_id`,`meta_common`.`clusters`.`name` AS `name`,`meta_common`.`clusters`.`description` AS `description`,`meta_common`.`clusters`.`color` AS `color` from `meta_common`.`clusters` */;

--
-- Final view structure for view `continents`
--

/*!50001 DROP TABLE `continents`*/;
/*!50001 DROP VIEW IF EXISTS `continents`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`metanull`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `tariqapro`.`continents` AS select `meta_common`.`continents`.`continent_id` AS `continent_id`,`meta_common`.`continents`.`name_en` AS `name_en`,`meta_common`.`continents`.`name_fr` AS `name_fr`,`meta_common`.`continents`.`comments` AS `comments` from `meta_common`.`continents` */;

--
-- Final view structure for view `countries`
--

/*!50001 DROP TABLE `countries`*/;
/*!50001 DROP VIEW IF EXISTS `countries`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`popesad`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `tariqapro`.`countries` AS select `meta_common`.`countries`.`country_id` AS `country_id`,`meta_common`.`countries`.`name_en` AS `name_en`,`meta_common`.`countries`.`name_fr` AS `name_fr`,`meta_common`.`countries`.`parent_country_id` AS `parent_country_id`,`meta_common`.`countries`.`eu_member` AS `eu_member`,`meta_common`.`countries`.`continent_id` AS `continent_id`,`meta_common`.`countries`.`official` AS `official`,`meta_common`.`countries`.`cluster_id` AS `cluster_id` from `meta_common`.`countries` */;

--
-- Final view structure for view `countries_equiv`
--

/*!50001 DROP TABLE `countries_equiv`*/;
/*!50001 DROP VIEW IF EXISTS `countries_equiv`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`cosmin`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `tariqapro`.`countries_equiv` AS select `meta_common`.`countries_equiv`.`country_id` AS `country_id`,`meta_common`.`countries_equiv`.`iso3` AS `iso3`,`meta_common`.`countries_equiv`.`iana` AS `iana`,`meta_common`.`countries_equiv`.`ioc` AS `ioc`,`meta_common`.`countries_equiv`.`un` AS `un`,`meta_common`.`countries_equiv`.`isonum` AS `isonum`,`meta_common`.`countries_equiv`.`itu` AS `itu`,`meta_common`.`countries_equiv`.`ec_comref` AS `ec_comref`,`meta_common`.`countries_equiv`.`ec_min` AS `ec_min`,`meta_common`.`countries_equiv`.`ec_sysper` AS `ec_sysper`,`meta_common`.`countries_equiv`.`ec_trade` AS `ec_trade`,`meta_common`.`countries_equiv`.`janes_folder` AS `janes_folder`,`meta_common`.`countries_equiv`.`janes_base` AS `janes_base`,`meta_common`.`countries_equiv`.`oxan` AS `oxan`,`meta_common`.`countries_equiv`.`ec_comref_del` AS `ec_comref_del` from `meta_common`.`countries_equiv` */;

--
-- Final view structure for view `languages`
--

/*!50001 DROP TABLE `languages`*/;
/*!50001 DROP VIEW IF EXISTS `languages`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`cosmin`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `tariqapro`.`languages` AS select `meta_common`.`languages`.`language_id` AS `language_id`,`meta_common`.`languages`.`name_en` AS `name_en`,`meta_common`.`languages`.`name_fr` AS `name_fr`,`meta_common`.`languages`.`eu_language` AS `eu_language` from `meta_common`.`languages` */;

--
-- Final view structure for view `languages_equiv`
--

/*!50001 DROP TABLE `languages_equiv`*/;
/*!50001 DROP VIEW IF EXISTS `languages_equiv`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`cosmin`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `tariqapro`.`languages_equiv` AS select `meta_common`.`languages_equiv`.`language_id` AS `language_id`,`meta_common`.`languages_equiv`.`iso6392t` AS `iso6392t`,`meta_common`.`languages_equiv`.`iso6391` AS `iso6391`,`meta_common`.`languages_equiv`.`sysbien` AS `sysbien`,`meta_common`.`languages_equiv`.`sysper` AS `sysper` from `meta_common`.`languages_equiv` */;

--
-- Final view structure for view `latestnews_articles`
--

/*!50001 DROP TABLE `latestnews_articles`*/;
/*!50001 DROP VIEW IF EXISTS `latestnews_articles`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`popesad`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `tariqapro`.`latestnews_articles` AS select `latestnews_aggregator`.`articles`.`article_id` AS `article_id`,`latestnews_aggregator`.`articles`.`feed_id` AS `feed_id`,`latestnews_aggregator`.`articles`.`date` AS `date`,`latestnews_aggregator`.`articles`.`title` AS `title`,`latestnews_aggregator`.`articles`.`headline` AS `headline`,`latestnews_aggregator`.`articles`.`summary` AS `summary`,`latestnews_aggregator`.`articles`.`content` AS `content`,`latestnews_aggregator`.`articles`.`language` AS `language`,`latestnews_aggregator`.`articles`.`agency` AS `agency`,`latestnews_aggregator`.`articles`.`latestnews_id` AS `latestnews_id`,`latestnews_aggregator`.`articles`.`ts_article` AS `ts_article` from `latestnews_aggregator`.`articles` */;

--
-- Final view structure for view `latestnews_feeds`
--

/*!50001 DROP TABLE `latestnews_feeds`*/;
/*!50001 DROP VIEW IF EXISTS `latestnews_feeds`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`popesad`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `tariqapro`.`latestnews_feeds` AS select `latestnews_aggregator`.`feeds`.`feed_id` AS `feed_id`,`latestnews_aggregator`.`feeds`.`query` AS `query`,`latestnews_aggregator`.`feeds`.`time_range` AS `time_range`,`latestnews_aggregator`.`feeds`.`title` AS `title`,`latestnews_aggregator`.`feeds`.`description` AS `description`,`latestnews_aggregator`.`feeds`.`picture` AS `picture`,`latestnews_aggregator`.`feeds`.`link` AS `link`,`latestnews_aggregator`.`feeds`.`language` AS `language`,`latestnews_aggregator`.`feeds`.`copyright` AS `copyright`,`latestnews_aggregator`.`feeds`.`refresh_rate` AS `refresh_rate`,`latestnews_aggregator`.`feeds`.`last_refresh` AS `last_refresh` from `latestnews_aggregator`.`feeds` */;

--
-- Final view structure for view `regions`
--

/*!50001 DROP TABLE `regions`*/;
/*!50001 DROP VIEW IF EXISTS `regions`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`metanull`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `tariqapro`.`regions` AS select `meta_common`.`regions`.`region_id` AS `region_id`,`meta_common`.`regions`.`name_en` AS `name_en`,`meta_common`.`regions`.`name_fr` AS `name_fr`,`meta_common`.`regions`.`comments` AS `comments`,`meta_common`.`regions`.`sub_region` AS `sub_region` from `meta_common`.`regions` */;

--
-- Final view structure for view `regions_countries`
--

/*!50001 DROP TABLE `regions_countries`*/;
/*!50001 DROP VIEW IF EXISTS `regions_countries`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`metanull`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `tariqapro`.`regions_countries` AS select `meta_common`.`regions_countries`.`region_id` AS `region_id`,`meta_common`.`regions_countries`.`country_id` AS `country_id`,`meta_common`.`regions_countries`.`comments` AS `comments` from `meta_common`.`regions_countries` */;

--
-- Final view structure for view `regions_regions`
--

/*!50001 DROP TABLE `regions_regions`*/;
/*!50001 DROP VIEW IF EXISTS `regions_regions`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`cosmin`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `tariqapro`.`regions_regions` AS select `meta_common`.`regions_regions`.`parent_region_id` AS `parent_region_id`,`meta_common`.`regions_regions`.`child_region_id` AS `child_region_id` from `meta_common`.`regions_regions` */;

--
-- Final view structure for view `rss_articles`
--

/*!50001 DROP TABLE `rss_articles`*/;
/*!50001 DROP VIEW IF EXISTS `rss_articles`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`popesad`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `tariqapro`.`rss_articles` AS select `rss_aggregator`.`articles`.`article_id` AS `article_id`,`rss_aggregator`.`articles`.`feed_id` AS `feed_id`,`rss_aggregator`.`articles`.`date` AS `date`,`rss_aggregator`.`articles`.`title` AS `title`,`rss_aggregator`.`articles`.`headline` AS `headline`,`rss_aggregator`.`articles`.`description` AS `description`,`rss_aggregator`.`articles`.`link` AS `link`,`rss_aggregator`.`articles`.`comments` AS `comments`,`rss_aggregator`.`articles`.`author` AS `author`,`rss_aggregator`.`articles`.`ts_article` AS `ts_article` from `rss_aggregator`.`articles` */;

--
-- Final view structure for view `rss_feeds`
--

/*!50001 DROP TABLE `rss_feeds`*/;
/*!50001 DROP VIEW IF EXISTS `rss_feeds`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`popesad`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `tariqapro`.`rss_feeds` AS select `rss_aggregator`.`feeds`.`feed_id` AS `feed_id`,`rss_aggregator`.`feeds`.`url` AS `url`,`rss_aggregator`.`feeds`.`title` AS `title`,`rss_aggregator`.`feeds`.`description` AS `description`,`rss_aggregator`.`feeds`.`picture` AS `picture`,`rss_aggregator`.`feeds`.`link` AS `link`,`rss_aggregator`.`feeds`.`language` AS `language`,`rss_aggregator`.`feeds`.`copyright` AS `copyright`,`rss_aggregator`.`feeds`.`refresh_rate` AS `refresh_rate`,`rss_aggregator`.`feeds`.`last_refresh` AS `last_refresh`,`rss_aggregator`.`feeds`.`use_proxy` AS `use_proxy`,`rss_aggregator`.`feeds`.`has_pictures` AS `has_pictures` from `rss_aggregator`.`feeds` */;

--
-- Final view structure for view `v_countries`
--

/*!50001 DROP TABLE `v_countries`*/;
/*!50001 DROP VIEW IF EXISTS `v_countries`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`metanull`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `tariqapro`.`v_countries` AS select `v_countries`.`parent_region_id` AS `parent_region_id`,`v_countries`.`parent_region_name_en` AS `parent_region_name_en`,`v_countries`.`parent_region_name_fr` AS `parent_region_name_fr`,`v_countries`.`parent_region_comments` AS `parent_region_comments`,`v_countries`.`region_id` AS `region_id`,`v_countries`.`region_name_en` AS `region_name_en`,`v_countries`.`region_name_fr` AS `region_name_fr`,`v_countries`.`region_comments` AS `region_comments`,`v_countries`.`country_id` AS `country_id`,`v_countries`.`country_name_en` AS `country_name_en`,`v_countries`.`country_name_fr` AS `country_name_fr`,`v_countries`.`code_iso2` AS `code_iso2`,`v_countries`.`code_iso3` AS `code_iso3`,`v_countries`.`code_iana` AS `code_iana`,`v_countries`.`code_ioc` AS `code_ioc`,`v_countries`.`code_un` AS `code_un`,`v_countries`.`code_isonum` AS `code_isonum`,`v_countries`.`code_itu` AS `code_itu`,`v_countries`.`code_ec_comref` AS `code_ec_comref`,`v_countries`.`code_ec_min` AS `code_ec_min`,`v_countries`.`code_ec_sysper` AS `code_ec_sysper`,`v_countries`.`code_ec_trade` AS `code_ec_trade`,`v_countries`.`code_janes_folder` AS `code_janes_folder`,`v_countries`.`code_janes_base` AS `code_janes_base`,`v_countries`.`code_oxan` AS `code_oxan`,`v_countries`.`code_ec_comref_del` AS `code_ec_comref_del`,`v_countries`.`is_eu_member` AS `is_eu_member`,`v_countries`.`is_official` AS `is_official`,`v_countries`.`cluster_id` AS `cluster_id`,`v_countries`.`parent_country_id` AS `parent_country_id` from `meta_common`.`v_countries` */;

--
-- Final view structure for view `v_main_regions`
--

/*!50001 DROP TABLE `v_main_regions`*/;
/*!50001 DROP VIEW IF EXISTS `v_main_regions`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`metanull`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `tariqapro`.`v_main_regions` AS select `v_main_regions`.`parent_region_id` AS `parent_region_id`,`v_main_regions`.`parent_region_name_en` AS `parent_region_name_en`,`v_main_regions`.`parent_region_name_fr` AS `parent_region_name_fr`,`v_main_regions`.`parent_region_comments` AS `parent_region_comments` from `meta_common`.`v_main_regions` */;

--
-- Final view structure for view `v_sub_regions`
--

/*!50001 DROP TABLE `v_sub_regions`*/;
/*!50001 DROP VIEW IF EXISTS `v_sub_regions`*/;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`metanull`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `tariqapro`.`v_sub_regions` AS select `v_sub_regions`.`parent_region_id` AS `parent_region_id`,`v_sub_regions`.`parent_region_name_en` AS `parent_region_name_en`,`v_sub_regions`.`parent_region_name_fr` AS `parent_region_name_fr`,`v_sub_regions`.`parent_region_comments` AS `parent_region_comments`,`v_sub_regions`.`region_id` AS `region_id`,`v_sub_regions`.`region_name_en` AS `region_name_en`,`v_sub_regions`.`region_name_fr` AS `region_name_fr`,`v_sub_regions`.`region_comments` AS `region_comments` from `meta_common`.`v_sub_regions` */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-12-21 17:00:14
