<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	/**
	 * Describe a news Article
	 * (Used by queries on engine/sources, such as LatestNews & LexisNexis)
	 * */
	class Article {
		
		/**
		 * The article identifier
		 * @var integer
		 * @access public
		*/
		public $id;
		
		/**
		 * Title of the article
		 * @var string
		 * */
		public $title;
		
		/**
		 * Date of publication of the article
		 * @var string
		 * */
		public $date;
		
		/**
		 * First paragraph of the article (or abstract or summary)
		 * @var string
		 * */
		public $lead_para;
		
		/**
		 * Text of the article (may be empty)
		 * @var string
		 * */
		public $body;
		
		/**
		 * If available, link to the full article
		 * @var string
		 * */
		public $url;
		
		/**
		 * If available, url to an icon to display in front of the article
		 * @var string
		 * */
		public $icon;
		
		/**
		 * If available the copyright information of the article
		 * @var string
		 * */
		public $copyright;
		
		/**
		 * RSS Enclosure tag -> URL attribute
		 * @var string
		 * */
		public $enclosure_url;

		/**
		 * RSS Enclosure tag -> type attribute
		 * @var string
		 * */
		public $enclosure_type;

		/**
		 * RSS Enclosure tag -> length attribute
		 * @var int
		 * */
		public $enclosure_length;
	}
?>