<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */

    /**
    * Containes information about an engine
    * @author Cosmin Popescu
    * @copyright © EUROPEAN COMMISSION, 2009
    * */
    
    class FactivaContentQuery {
        const factiva_SourcesCategoryPublications = "Publications";
        const factiva_SourcesCategoryPictures = "Pictures";
        const factiva_SourcesCategoryWebsites = "WebSites";
        
        const factiva_SearchOrderPubDateAsc = "PublicationDateChronological";
        const factiva_SearchOrderPubDateDesc = "PublicationDateReverseChronological";
        const factiva_SearchOrderRelevance = "Relevance";
        
        const factiva_SearchDateFormatMDY = "MMDDCCYY";
        const factiva_SearchDateFormatDMY = "DDMMCCYY";
        
        /**
        * The session identifier
        * @var string
        * */
        public $controlData;
        
        /**
         * The query string
         * @var string
         * */
        public $searchString;
        
        /**
         * The first result to return
         * @var int
         * */
        public $first = 0;
        
        /**
         * The count of articles to return
         * @var int
         * */
        public $count = 10;

        /**
         * The category of the articles source
         * @var string
         * */        
        public $contentCategory = null;
        
        /**
         * The search order
         * @var string
         * */        
        public $searchOrder = "PublicationDateReverseChronological";
        
        /**
         * The date format
         * @var string
         * */        
        public $dateFormat = "DDMMCCYY";  
    
        /**
         * If this is set to false, the duplicates article will be included in the search
         * @var boolean
         * */        
        public $noDuplicates = false;  

        /**
         * The number of days to look from the current date before
         * @var int
         * */        
        public $range = 15;
        
        /**
         * The sources codes to search
         * @var string[]
         * */        
        public $sourceCodes = null;
    }

?>