<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */

    /**
    * Containes information about a request to find a LexisNexis source
    * @author Cosmin Popescu
    * @copyright © EUROPEAN COMMISSION, 2009
    * */

    class LexisNexisSourceSearchRequest {
        /**
        * Identifies the language associated with the request.
        * @var string
        * */
        public $locale = null;

        /**
         * Identifies the folder within the source directory from which the search will begin. If this element is empty, the search will begin at the top of the source directory.
         * @var int
        */
        public $folderId = null;

        /**
         * Contains a string of characters that should appear in either the actual name of the publication or the name given to a group of publications.
         * @var string
        */
        public $query = null;

        /**
         * Use Combined Search Pricing Rules/Logic.
         * @var boolean
        */
        public $useCSP = null;

    }

?>