<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	/**
	 * Holds the details of a Tarîqa newsletter
	 * */
	class Newsletter {
		
		/**
		 * Newsletter Identifier
		 * @var int
		 * */
		public $id;
		
		/**
		 * Creation/Last modification time
		 * @var string
		 * */
		public $date;
		
		/**
		 * Subject of the newsletter
		 * @var string
		 * */
		public $subject;
		
		/**
		 * List of recipients
		 * @var string[]
		 * */
		public $recipients;
		
		/**
		 * Name of the template file
		 * @var string
		 * */
		public $template;
		
		/**
		 * If true, the newsletter has been sent
		 * @var boolean
		 * @access public
		*/
		public $sent;
		
		/**
		 * The body of the newsletter
		 * @var string
		 * @access public
		*/
		public $body;
		
		/**
		 * The summary of the newsletter (usually the first paragraph)
		 * @var string
		 * @access public
		*/
		public $summary;
		
		/**
		 * The newsletter category
		 * @var NewsletterCategory
		 * @access public
		*/
		public $category;
		
		/**
		 * Gets the recipients as a string value
		 * @access public
		 * @return string
		*/
		public function getRecipients(){
			if (!is_array($this->recipients)) return null;
			$recipients = '';
			foreach ($this->recipients as $recipient){
				$recipients .= ($recipients == ''?'':';') . $recipient;
			}
			
			return $recipients;
		}
		
		/**
		 * Sets the recipients from a string value
		 * @param string $recipients The recipients
		 * @access public
		 * @return void
		*/
		public function setRecipients($recipients){
			$this->recipients = array();
			if ($recipients != '' && $recipients != null) {
				$parts = explode(';', $recipients);
				foreach ($parts as $recipient){
					$this->recipients[] = $recipient;
				}
			}
		}
		
	}
?>