<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	/**
	 * A single item returned as part of the search
	 * @see OxfordAnalyticaSearchResult
	 * */
	class OxfordAnalyticaHitItem {
		
		/**
		 * The unique identifier of the piece in our system
		 * @var string
		 * */
		public $itemId;
		
		/**
		 * Whether the item has been published in a "free-to-all" mode. Note that our copyright and rules regarding distribution apply in full even to items we provide free of charge.
		 * @var boolean
		 * */
		public $isFree;
		
		/**
		 * The date the item was first published (unix timestamp)
		 * @var int
		 * */
		public $firstRunDate;
		
		/**
		 * The score from our searching software. Please note that this is usually a relative value and is hard to interpret, so we suggest that API integrators do not present it to end-users.
		 * @var float
		 * */
		public $score;
		
		/**
		 * The headline of the search result
		 * @var string
		 * */
		public $headline;
		
		/**
		 * Contains information about which products the items have been published into. Note that most API integrators can ignore this and its children.
		 * @var string[]
		 * */
		public $products;
		
		/**
		 * the URL at which the item can be read
		 * @var string
		 * */
		public $url;
	}
?>