<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	class OxfordAnalyticaQueryBase {
		
		/**
		 * single executive summary paragraphs
		 * */
		const ST_EXECUTIVE_SUMMARY = "ES";
		/**
		 * full length articles
		 * */
		const ST_FULL_LENGTH_ARTICLE = "DB";
		/**
		 * Country profiles
		 * */
		const ST_COUNTRY_PROFILE = "CS";
		
		/**
		 * will produce results in XML-compatible HTML
		 * */
		const DM_HTML = "HTML";
		
		/**
		 * will return XML
		 * */
		const DM_XML = "XML";
		
		/**
		 * The content types to be retrieved. 
		 * @var string
		 * @see ST_EXECUTIBE_SUMMARY
		 * @see ST_FULL_LENGTH_ARTICLE
		 * @see ST_COUNTRY_PROFILE
		 * */
		public $storyType;
		
		/**
		 * Earliest content: The date (unix timestamp) representing the lower date limit of the search.
		 * @var int
		 * */
		public $from;
		
		/**
		 * Latest content: The date (unix timestamp) representing the lower date limit of the search.
		 * @var int
		 * */
		public $to;
		
		/**
		 * Number of results to be returned
		 * @var int
		 * */
		public $pageLen;
		
		/**
		 * The page of results desired, with the first page being identified by zero, next page by 1, etc.
		 * @var int
		 * */
		public $pageNo;
		
		/**
		 * Display mode
		 * @see DM_HTML
		 * @see DM_XML
		 * @var string
		 * */
		public $displayMode;
		
		/**
		 * Default constructor
		 * @return OxfordAnalyticaQueryBase
		 * */
		public function __construct() {
			$this->storyType = self::ST_FULL_LENGTH_ARTICLE;
			$this->displayMode = self::DM_XML;
			$this->pageNo = 0;
			$this->pageLen = 10;
			$this->from = 0;
			$this->to = 0;
		}
		
		
	}
?>