<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	/**
	 * Encloses a Virage Search Query
	 */
	class VirageSearchQuery {
	
		/**
		 * The query string
		 * @var string
		 */
		public $query;
                
		/**
		 * The file name that you are looking for
		 * @var string
		 */
		public $fileName;
                
		/**
		 * The URL of the file that you are looking for
		 * @var string
		 */
		public $url;
                
		/**
		 * The sort string
		 * @see SO_RELEVANCE
		 * @see SO_DATE
		 * @see SO_STARTTIME
		 * @see SO_ENDTIME
		 * @var string
		 */
		public $sort;

		/**
		 * The sort order
		 * @var string
		 */
		public $sortOrder;

		/**
		 * Use stemming
		 * @var boolean
		 */
		public $stemming = true;

		/**
		 * The maximum date of a document
		 * @var string
		 */
		public $maxDate;

		/**
		 * The minimum date of a document
		 * @var string
		 */
		public $minDate;

		/**
		 * The maximum number of results to be returned
		 * @var int
		 */
		public $maxResults = 60;

		/**
		 * Sort Order
		 * @see $sortOrder
		 */
		const SO_RELEVANCE = "Relevance";

		/**
		 * Sort Order
		 * @see $sortOrder
		 */
		const SO_DATE = "Date";

		/**
		 * Sort Order
		 * @see $sortOrder
		 */
		const SO_STARTTIME = "STARTTIME";

		/**
		 * Sort Order
		 * @see $sortOrder
		 */
		const SO_ENDTIME = "ENDTIME";

		/**
		 * The ascendent sort order
		 * @var string
		 * @access const
		 */
		const SORT_ASC = 'asc';

		/**
		 * The descendent sort order
		 * @var string
		 * @access const
		 */
		const SORT_DESC = 'desc';
	}

?>