<?php

	/**
	 * Type of object enclosed in the authenticateResponse object, which contains the userInformation( at the moment it is only the user's locale)
	 * @see authenticateResponse
	 * */
	class WSKUserInformation {
		
		/**
		 * The locale (i.e. 'en-US')
		 * @var string
		 * @see lEnUS
		 * @see lEnGB
		 * @see lEnAU
		 * @see lEnNZ
		 * @see lFr
		 * @see lDe
		 * */
		public $locale;
		
		/**
		 * @see $locale
		 * */
		const lEnUS = "en-US";
		
		/**
		 * @see $locale
		 * */
		const lEnGB = "en-GB";
		
		/**
		 * @see $locale
		 * */
		const lFr = "fr";
		
		/**
		 * @see $locale
		 * */
		const lDe = "de";
		
		/**
		 * @see $locale
		 * */
		const lEnAU = "en-AU";
		
		/**
		 * @see $locale
		 * */
		const lEnNZ = "en-NZ";
		
		/**
		 * Constructs an userInformation object
		 * @param string $locale The user's locale (i.e. 'en-US')
		 * */
		public function __construct( $locale = null ) {
			$this->locale = $locale;
		}
	}
?>