<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	/**
	 * Holds the details of a Tariqa Soap User
	 * 
	 * @see TariqaAuthentication::GetUserDetails
	 * @see TariqaAuthentication::SetUserDetails
	 *
	 * @author Pascal Havelange
	 * @copyright © EUROPEAN COMMISSION, 2008.
	 * */
	class UserDetails {
		
		/**
		 * UserID
		 * @var string
		 * */
		public $userId;
		
		/**
		 * Title (Mr, Ms, Mrs)
		 * @var string
		 * */
		public $title;
		
		/**
		 * Firstname
		 * @var string
		 * */
		public $firstname;
		
		/**
		 * Lastname
		 * @var string
		 * */
		public $lastname;
		
		/**
		 * e-mail address
		 * @var string
		 * */
		public $email;
		
		/**
		 * Phone number
		 * @var string
		 * */
		public $phone;
		
		/**
		 * Flag indicating if the user is an administrator
		 * <b>"Read only"</b>, this parameter can not be modified by the SetUserDetails method
		 * @var boolean
		 * */
		public $isAdministrator;
		
		/**
		 * Construct an UserDetails object
		 * @param array $row
		 * @return UserDetails
		 * */
		public function __construct( $row = null ) {
			if( null !== $row && is_array( $row )) {
				$this->userId = array_key_exists("user_id", $row) ? $row["user_id"] : null;
				$this->title = array_key_exists("title", $row) ? $row["title"] : null;
				$this->firstname = array_key_exists("firstname", $row) ? $row["firstname"] : null;
				$this->lastname = array_key_exists("lastname", $row) ? $row["lastname"] : null;
				$this->email = array_key_exists("email", $row) ? $row["email"] : null;
				$this->phone = array_key_exists("phone", $row) ? $row["phone"] : null;
				$this->isAdministrator = array_key_exists("admin", $row) ? ("y" == $row["admin"] ? true : false) : false;
			}
		}
	}
?>