<?php

	/**
	 * Placeholder for Tarîqa data sources (used in Thematic pages, country pages, ...)
	 * @see ThematicMonitoringItem
	 * @see CountryMonitoringItem
	 * */
	class DataSource {
		
		/**
		 * Identifier of the source
		 * @var int
		 * */
		public $id;
		
		/**
		 * Title of the data source
		 * @var string
		 * */
		public $title;
		
		/**
		 * Description of the data source
		 * @var string
		 * */
		public $description;
		
		/**
		 * Copyright information
		 * @var string
		 * */
		public $copyright;
		
		/**
		 * Disclaimer text
		 * @var string
		 * */
		public $disclaimer;
		
		/**
		 * Disclaimer url
		 * @var string
		 * */
		public $disclaimerUrl;
		
		/**
		 * If set to true, this flag indicates that subsequent queries to this datasources should be treated as external links
		 * @var boolean
		 * */
		public $isUrl;
		
		/**
		 * If not null, specify a default template to use with this source when displaying the final page to the user
		 * @var string
		 * */
		public $template;
		
	}
?>