<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */

    /**
    * Containes information about an engine
    * @author Cosmin Popescu
    * @copyright © EUROPEAN COMMISSION, 2009
    * */
    
    class FactivaSourceGroup {
        const factiva_SourceGroupTypeContent = "Content";
        const factiva_SourceGroupTypeIndustry = "Industry";
        const factiva_SourceGroupTypeLanguage = "Language";
        const factiva_SourceGroupTypeRegion = "Region";

        /**
        * The group identifier
        * @var string
        * */
        public $groupCode;

        /**
        * This element represents a sequence of elements that identify the content category for a source group
        * @var string[]
        * */
        public $applicableContentCategories;

        /**
        * This element represents a sequence of paragraphs containing a textual description for an industry classification or source
        * @var string[]
        * */
        public $description;

        /**
        * This element represents a sequence of paragraphs containing a textual description for an industry classification or source
        * @var string
        * */
        public $groupName;

        /**
        * The number of results found
        * @var string
        * */
        public $groupType;

        /**
        * This element represents the parent group code in which the source code resides
        * @var string
        * */
        public $parentGroupCode;
    
    }

?>