<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


    /**
     * Contains the response of a BrowseSources operation
     * */
    class LexisNexisBrowseSourcesResponse {
        
        /**
         * ID of the parent folder (if any)
         * @var int
         * */
        public $parent_folder_id;
        
		/**
		 * The list of Sources
		 * @var LexisNexisSource[]
		 * */
		public $sources;
		
		/**
		 * The List of subfolders
		 * @var LexisNexisFolder[]
		 * */
		public $folders;
        
        /**
         * Default constructor
         * @param int $parent_folder_id ID of the parent folder [OPTIONAL]
         * @param LexisNexisSource[] List of sources [OPTIONAL]
         * @param LexisNexisFolders[] List of subfolders [OPTIONAL]
         * @return void
         * */
        public function __construct( $parent_folder_id = null, $sources = null, $folders = null ) {
			$this->parent_folder_id = $parent_folder_id;
            $this->sources = $sources;
            $this->folders = $folders;
        }
    }
?>