<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	/**
	 * Encloses a LexisNexis SortResults Query
	 */
	class LexisNexisSortResultsQuery {
	
		/**
		 * The Search Id
		 * @var string
		 */
		public $searchId;
		
		/**
		 * Sort order
		 * @see SO_DATE
		 * @see SO_RELEVANCE
		 * @see SO_IMPLIED
		 * @var string
		 */
		public $sortOrder;
		
		/**
		 * Sort Order
		 * @see $sortOrder
		 */
		const SO_DATE = "Date";
		/**
 		 * Sort Order
		 * @see $sortOrder
		 */
		const SO_RELEVANCE = "Relevance";
		/**
		 * Sort Order
		 * @see $sortOrder
		 */
		const SO_IMPLIED = "Implied";
		
		
		/**
		 * The list of sortkeys (an array of Pair objects, which keys are the sortKey ID and the value is the sort direction
		 * @see SD_ASCENDING
		 * @see SD_DESCENDING
		 * @var Pair[]
		 */
		public $sortKeys;
		
		/**
		 * Sort Direction
		 * @see $sortKeys
		 */
		const SD_ASCENDING = "Ascending";
		/**
		 * Sort Direction
		 * @see $sortKeys
		 */
		const SD_DESCENDING = "Descending";
		
		
		/**
		 * Default constructor
		 * @param string $searchId
		 * @param string $sortOrder
		 * @param Pair[] $sortKeys
		 * @return void
		 */
		public function __construct( $searchId = null, $sortOrder = self::SO_RELEVANCE, $sortKeys = null ) {
			$this->searchId = $searchId;
			$this->sortOrder = $sortOrder;
			$this->sortKeys = $sortKeys;
		}

	}

?>