<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


/**
 * This class describes an RSS feed container
 * From the RSS Aggregator!
 * */
class RSS_feed {
	
	/**
	 * Unique identifier for the feed
	 * @var int
	 * */
	public $feed_id;

	/**
	 * Full URL of the feed
	 * @var string
	 **/
	public $url;
	
	/**
	 * Title of the feed
	 * @var string
	 * */
	public $title;
	
	/**
	 * Description of the feed
	 * @var string
	 * */
	public $description;
	
	/**
	 * URL of the embeded Logo
	 * @var string
	 * */
	public $picture;
	
	/**
	 * URL of the site corresponding to the current feed
	 * @var string
	 * */
	public $link;
	
	/**
	 * Language of the feed (if available)
	 * @var string
	 * */
	public $language;
	
	/**
	 * Copyright information
	 * @var string
	 * */
	public $copyright;
	
	/**
	 * Refresh rate of the feed (in minutes). [0 value means unrestricted].
	 * @var int
	 * */
	public $refresh_rate;
	
	/**
	 * Date/time at which the feed was last refreshed (Unix timestamp)
	 * @var int
	 * */
	public $last_refresh;
	
	/**
	 * If set to true, the feed will be downloaded through the proxy, otherwise direct connection will be used
	 * @var int
	 * */
	public $use_proxy;

	/**
	 * If true, then the feed has video content
	 * @var boolean
	 * */
	public $has_video;

	/**
	 * If true, then the feed has audio content
	 * @var boolean
	 * */
	public $has_audio;
}
?>