<?php
/*
 * © EUROPEAN COMMISSION, 2008-2010
 *
 * Concédée sous licence EUPL, version 1.1 uniquement (la «Licence»).
 * Vous ne pouvez utiliser la présente oeuvre que conformément à la Licence.
 * Vous pouvez obtenir une copie de la Licence à l’adresse suivante:
 *
 * http://ec.europa.eu/idabc/eupl
 *
 * Sauf obligation légale ou contractuelle écrite, le logiciel distribué sous la Licence est distribué «en l’état»,
 * SANS GARANTIES OU CONDITIONS QUELLES QU’ELLES SOIENT, expresses ou implicites.
 * Consultez la Licence pour les autorisations et les restrictions linguistiques spécifiques relevant de la Licence.
 *
 * Auteurs de l'oeuvre:
 *   Pascal Havelange, Pascal.HAVELANGE@ec.europa.eu
 *   Cosmin POPESCU, Adrian.POPESCU@ext.ec.europa.eu
 *
 */


	/**
	 * Describes a Geographic Region
	 * @author Pascal Havelange
	 * @copyright © EUROPEAN COMMISSION, 2008
	 * @author: Pascal Havelange
	 * */
	class Region {

		/**
		 * Id of the region
		 * @var int
		 * */
		public $region_id;

		/**
		 * Name of the region in english
		 * @var string
		 * */
		public $name;

		/**
		 * Comments
		 * @var string
		 * */
		public $comments;

		/**
		 * If false, it indicates that the region is a group of countries (I.e. Middle East, Balkans are regions composed of several countries)
		 * If true, the region is a portion of a country (I.e. Kosovo 'belongs' to Serbia, Palestine 'belongs' to Israël)
		 * @var boolean
		 * */
		public $is_sub_region;

		/**
		 * List of countries belonging to the Region
		 * ATTENTION: if is_sub_region is true, then countries will contain only one item: the parent country
		 * @var Country[]
		 * */
		public $countries;

	}
?>