<?php
	/**
	 * Type of object returned by the Authenticate operation
	 * */
	class WSKAuthenticateResponse {
		
		/**
		 * Date of expiration of the binarySecurityToken
		 * @var string
		 * */
		public $expiration;
		
		/**
		 * LexisNexis BinarySecurityToken
		 * @var string
		 * */
		public $binarySecurityToken;
		
		/**
		 * userInformation
		 * @var WSKUserInformation
		 * */
		public $userInformation;
		
		/**
		 * Constructs an authenticateResponse object
		 * @param string $binarySecurityToken The LexisNexis binary security token
		 * @param string $expiration The expiration date of the token
		 * @param string $locale The locale of the user (i.e.: en-US)
		 * */
		public function __construct( $binarySecurityToken = null, $expiration = null, $locale = null) {
			$this->binarySecurityToken = $binarySecurityToken;
			$this->expiration = $expiration;
			$this->userInformation = new WSKUserInformation( $locale );
		}
	}
?>