<?php
	/**
	 * This class represents the type of object returned by a BrowseSources operation
	 * @see WSKBrowseSourcesRequest
	 * @example examples/browsesources.php Browse the list of sources
	 * */
	class WSKBrowseSourcesResponse {
		
		/**
		 * Encloses zero or more source elements that each identify a source in the requested folder.
		 * @var WSKSourceList
		 * */
		public $sourceList;
		
		/**
		 * Encloses zero or more folder elements, which identify each of the subfolders under the requested folder.
		 * @var WSKFolderList
		 * */
		public $folderList  ;
		
		/**
		 * Constructs a WSKBrowseSourcesResponse object
		 * @param WSKSourceList $sourceList Encloses zero or more source elements that each identify a source in the requested folder.
		 * @param WSKFolderList $folderList Encloses zero or more folder elements, which identify each of the subfolders under the requested folder.
		 * */
		public function __construct( $sourceList = null, $folderList = null ) {
			$this->sourceList = $sourceList;
			$this->folderList = $folderList;
		}
	}
?>