<?php
	/**
	 * Contains the begin and end  elements which identify the range of documents to be retrieved.
	 * Note: The identities of the documents are unknown at this point. Therefore, they are identified by their position in the sorted list (the first document is document 1, the second is document 2, etc.).
	 **/
	class WSKDocumentRange {
		
		/**
		 * Identifies the first document to be returned in the response. It must be used in conjunction with end.
		 * non-negative integer
		 * @var int
		 * */
		public $begin;
		
		/**
		 * Identifies the last document to be returned in the response. It must be used in conjunction with begin.
		 * non-negative integer
		 * @var int
		 * */
		public $end;
		
		/**
		 * Constructs a WSKDocumentRange Object
		 * @param int $begin
		 * @param int $end
		 * @see $begin
		 * @see $end
		 * */
		public function __construct( $begin, $end ) {
			$this->begin = $begin;
			$this->end = $end;
		}
		
	}
?>