<?php
	/**
	 * Encloses the name and folderId elements which identify each subfolder under the requested folder.
	 * @see WSKBrowseSourcesResponse
	 * */
	class WSKFolder {
		
		/**
		 * Identifies the name of the source directory folder.
		 * @var string
		 * */
		public $name;
		
		/**
		 * Contains an identifier that is associated with this particular folder in the source directory.
		 * @var string
		 * */
		public $folderId;
		
		/**
		 * Cosntructs a folder object
		 * @param string $folderId Contains a unique identifier value used to represent a specific source in the source directory.
		 * @param string $name Contains either the actual name of the publication or the name given to a group of publications.
		 * */
		public function __construct( $folderId = null, $name = null ) {
			$this->folderId = $folderId;
			$this->name = $name;
		}
	}
?>