<?php
	/**
	 * This class represents the type of object returned by a GetDocumentsByRange operation
	 * @see WSKGetDocumentsByRangeRequest
	 * @example examples/getDocumentsByRange.php Example using custom class to parse NITF
	 * @example examples/getDocumentsByRange_PEAR.php Example using the PEAR::XML_NITF class to parse NITF 
	 * */
	class WSKGetDocumentsByRangeResponse {
		
		/**
		 * Encloses zero or more documentContainer elements, each of which identifies a single document.
		 * @var WSKDocumentContainerList
		 * */
		public $documentContainerList;
		
		/**
		 * Constructs a documentContainerListObject
		 * @param WSKDocumentContainerList $documentContainerList
		 * */
		public function __construct( $documentContainerList = null ) {
			$this->documentContainerList = $documentContainerList;
		}
	}
?>