<?php
	/**
	 * This class represents the type of object returned by a GetSourceDetails operation
	 * @see WSKGetSourceDetailsRequest
	 * @example examples/getsourcedetails.php Display information about a source
	 * */
	class WSKGetSourceDetailsResponse {
		
		/**
		 * Encloses one or more sourceGuide elements.
		 * @var WSKSourceGuideList
		 * */
		public $sourceGuideList;
		
		/**
		 * Encloses the securedSourceId, expiration, permissibleUseMessage, and informationalMessage elements which identify the secured source information to be displayed to your user.
		 * @var WSKSecuredSource  
		 * */
		public $securedSource  ;
		
		/**
		 * Encloses a collection of elements which provide detailed information about a single source in the requested folder.
		 * @var WSKSource
		 * */
		public $source;
		
		/**
		 * Constructs a getSourceDetailsResponse object
		 * @param WSKSourceGuideList $sourceGuideList Encloses one or more sourceGuide elements.
		 * @param WSKSecuredSource $securedSource Encloses the securedSourceId, expiration, permissibleUseMessage, and informationalMessage elements which identify the secured source information to be displayed to your user.
		 * @param WSKSource $source Encloses a collection of elements which provide detailed information about a single source in the requested folder.
		 * */
		public function __construct( $sourceGuideList = null, $securedSource = null, $source = null ) {
			$this->sourceGuideList = $sourceGuideList;
			$this->securedSource = $securedSource;
			$this->source = $source;
		}
	}
?>