<?php
	/**
	 * Contains the WSKSourceIdList element which identifies the sources to be searched.
	 * */
	class WSKSourceInformation {
		/**
		 * Identifies the sources to be searched.
		 * @var WSKSourceIdList 
		 * */
		public $sourceIdList;
		
		/**
		 * Constructs a WSKSourceInformation objects
		 * @param string[] $sources One or more sourceId elements which each identify a source to be searched. 
		 * */	
		public function __construct( $sources = null ) {
			if( 0 == func_num_args() || null == $sources ) {
				$this->sourceIdList = null;
			} else {
				$this->sourceIdList = new WSKSourceIdList( $sources );
			}
		}
	}
?>